#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(crypto_transfer_aead_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_akcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_hash_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_kpp_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_transfer_skcipher_request_to_engine, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_aead_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_akcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_hash_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_kpp_request, "_gpl", "");
KSYMTAB_FUNC(crypto_finalize_skcipher_request, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_start, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_stop, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init_and_set, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_alloc_init, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_exit, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aead, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_aeads, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahash, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_ahashes, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_akcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_kpp, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skcipher, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_register_skciphers, "_gpl", "");
KSYMTAB_FUNC(crypto_engine_unregister_skciphers, "_gpl", "");

SYMBOL_CRC(crypto_transfer_aead_request_to_engine, 0xb2e59445, "_gpl");
SYMBOL_CRC(crypto_transfer_akcipher_request_to_engine, 0xcbcc6991, "_gpl");
SYMBOL_CRC(crypto_transfer_hash_request_to_engine, 0x1699be7e, "_gpl");
SYMBOL_CRC(crypto_transfer_kpp_request_to_engine, 0xe1597cc1, "_gpl");
SYMBOL_CRC(crypto_transfer_skcipher_request_to_engine, 0x537abefe, "_gpl");
SYMBOL_CRC(crypto_finalize_aead_request, 0x327b5fab, "_gpl");
SYMBOL_CRC(crypto_finalize_akcipher_request, 0xddd0930b, "_gpl");
SYMBOL_CRC(crypto_finalize_hash_request, 0x4e6e4cf8, "_gpl");
SYMBOL_CRC(crypto_finalize_kpp_request, 0x0ced8e98, "_gpl");
SYMBOL_CRC(crypto_finalize_skcipher_request, 0xeecc3378, "_gpl");
SYMBOL_CRC(crypto_engine_start, 0xd626af37, "_gpl");
SYMBOL_CRC(crypto_engine_stop, 0x23ee0530, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init_and_set, 0xdb0a4ca8, "_gpl");
SYMBOL_CRC(crypto_engine_alloc_init, 0x18a60af2, "_gpl");
SYMBOL_CRC(crypto_engine_exit, 0xe24e0dbe, "_gpl");
SYMBOL_CRC(crypto_engine_register_aead, 0xf506495e, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aead, 0x19bd6c11, "_gpl");
SYMBOL_CRC(crypto_engine_register_aeads, 0x9ec0e1cf, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_aeads, 0x805cb75f, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahash, 0x06791fee, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahash, 0x22806cc4, "_gpl");
SYMBOL_CRC(crypto_engine_register_ahashes, 0xe7e656ba, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_ahashes, 0x540c2387, "_gpl");
SYMBOL_CRC(crypto_engine_register_akcipher, 0x18b56ce6, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_akcipher, 0xaefb094c, "_gpl");
SYMBOL_CRC(crypto_engine_register_kpp, 0xf4152809, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_kpp, 0xdb79c140, "_gpl");
SYMBOL_CRC(crypto_engine_register_skcipher, 0x2e12dfac, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skcipher, 0x88fa4819, "_gpl");
SYMBOL_CRC(crypto_engine_register_skciphers, 0x4e4480f2, "_gpl");
SYMBOL_CRC(crypto_engine_unregister_skciphers, 0x4cce0cc9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x94b202a1, "kthread_queue_work" },
	{ 0x268c5673, "_dev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x313c7301, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x87c906ba, "kthread_create_worker" },
	{ 0x72e1afba, "_dev_info" },
	{ 0xaf9a5c30, "sched_set_fifo" },
	{ 0x277ae34a, "kthread_destroy_worker" },
	{ 0xac8d9770, "crypto_register_aead" },
	{ 0xb027067f, "crypto_unregister_aead" },
	{ 0x7d5cb315, "crypto_register_ahash" },
	{ 0x2c12e277, "crypto_unregister_ahash" },
	{ 0x36905744, "crypto_register_akcipher" },
	{ 0x33bdefd1, "crypto_unregister_akcipher" },
	{ 0x39452f24, "crypto_register_kpp" },
	{ 0xa0d0156b, "crypto_unregister_kpp" },
	{ 0x41c43012, "crypto_register_skcipher" },
	{ 0x6fdeac59, "crypto_unregister_skcipher" },
	{ 0xb86dcd80, "crypto_enqueue_request" },
	{ 0xbe0c3438, "crypto_dequeue_request" },
	{ 0xe7915530, "crypto_enqueue_request_head" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5388079424D07DA9929859C");
MODULE_INFO(rhelversion, "9.6");
