#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mhi_register_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_unregister_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_alloc_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_free_controller, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_after_power_down, "_gpl", "");
KSYMTAB_FUNC(__mhi_driver_register, "_gpl", "");
KSYMTAB_FUNC(mhi_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(mhi_get_exec_env, "_gpl", "");
KSYMTAB_FUNC(mhi_get_mhi_state, "_gpl", "");
KSYMTAB_FUNC(mhi_soc_reset, "_gpl", "");
KSYMTAB_FUNC(mhi_get_free_desc_count, "_gpl", "");
KSYMTAB_FUNC(mhi_notify, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_dma, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_buf, "_gpl", "");
KSYMTAB_FUNC(mhi_queue_is_full, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_prepare_for_transfer_autoqueue, "_gpl", "");
KSYMTAB_FUNC(mhi_unprepare_from_transfer, "_gpl", "");
KSYMTAB_FUNC(mhi_get_channel_doorbell_offset, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_suspend, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume, "_gpl", "");
KSYMTAB_FUNC(mhi_pm_resume_force, "_gpl", "");
KSYMTAB_FUNC(mhi_async_power_up, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down, "_gpl", "");
KSYMTAB_FUNC(mhi_power_down_keep_dev, "_gpl", "");
KSYMTAB_FUNC(mhi_sync_power_up, "", "");
KSYMTAB_FUNC(mhi_force_rddm_mode, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get, "_gpl", "");
KSYMTAB_FUNC(mhi_device_get_sync, "_gpl", "");
KSYMTAB_FUNC(mhi_device_put, "_gpl", "");
KSYMTAB_FUNC(mhi_download_rddm_image, "_gpl", "");

SYMBOL_CRC(mhi_register_controller, 0x28bd97da, "_gpl");
SYMBOL_CRC(mhi_unregister_controller, 0x69209276, "_gpl");
SYMBOL_CRC(mhi_alloc_controller, 0x0c233f57, "_gpl");
SYMBOL_CRC(mhi_free_controller, 0xcf12047c, "_gpl");
SYMBOL_CRC(mhi_prepare_for_power_up, 0xb48ed052, "_gpl");
SYMBOL_CRC(mhi_unprepare_after_power_down, 0x4fada0bd, "_gpl");
SYMBOL_CRC(__mhi_driver_register, 0xc4c6a4b1, "_gpl");
SYMBOL_CRC(mhi_driver_unregister, 0x416c93ec, "_gpl");
SYMBOL_CRC(mhi_get_exec_env, 0xb9d69bd1, "_gpl");
SYMBOL_CRC(mhi_get_mhi_state, 0xe1acd18a, "_gpl");
SYMBOL_CRC(mhi_soc_reset, 0xd06de85b, "_gpl");
SYMBOL_CRC(mhi_get_free_desc_count, 0x3653c5d8, "_gpl");
SYMBOL_CRC(mhi_notify, 0xafc51d83, "_gpl");
SYMBOL_CRC(mhi_queue_skb, 0x891be85a, "_gpl");
SYMBOL_CRC(mhi_queue_dma, 0x45f5aea0, "_gpl");
SYMBOL_CRC(mhi_queue_buf, 0x7282fb8f, "_gpl");
SYMBOL_CRC(mhi_queue_is_full, 0x7aeb4e7d, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer, 0xf7e0fb0f, "_gpl");
SYMBOL_CRC(mhi_prepare_for_transfer_autoqueue, 0x9b039b5b, "_gpl");
SYMBOL_CRC(mhi_unprepare_from_transfer, 0x0c732e03, "_gpl");
SYMBOL_CRC(mhi_get_channel_doorbell_offset, 0x3faecacb, "_gpl");
SYMBOL_CRC(mhi_pm_suspend, 0xe60ef6de, "_gpl");
SYMBOL_CRC(mhi_pm_resume, 0xf5d89407, "_gpl");
SYMBOL_CRC(mhi_pm_resume_force, 0x061ff3fd, "_gpl");
SYMBOL_CRC(mhi_async_power_up, 0x00a86ab9, "_gpl");
SYMBOL_CRC(mhi_power_down, 0xb059fea7, "_gpl");
SYMBOL_CRC(mhi_power_down_keep_dev, 0x03dc9acf, "_gpl");
SYMBOL_CRC(mhi_sync_power_up, 0x7cb37ed0, "");
SYMBOL_CRC(mhi_force_rddm_mode, 0x0ef0480e, "_gpl");
SYMBOL_CRC(mhi_device_get, 0xca6209fe, "_gpl");
SYMBOL_CRC(mhi_device_get_sync, 0x83146048, "_gpl");
SYMBOL_CRC(mhi_device_put, 0x1559f211, "_gpl");
SYMBOL_CRC(mhi_download_rddm_image, 0xe8bada08, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x231fa0b2, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x3f411105, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc7fc1ae1, "bpf_trace_run4" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xeee37d03, "sysfs_create_file_ns" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18b49732, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf36378d4, "trace_raw_output_prep" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0xaff51269, "dma_unmap_page_attrs" },
	{ 0xee27abfd, "request_firmware" },
	{ 0x8e564777, "trace_event_printf" },
	{ 0x8e135a0, "device_initialize" },
	{ 0x2920c95f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b329f55, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc566d0c7, "bpf_trace_run2" },
	{ 0xb7641d06, "prepare_to_wait_event" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0xb467ca1b, "event_triggers_call" },
	{ 0xad904669, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xce5ff720, "__dynamic_dev_dbg" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xbdebf933, "dev_driver_string" },
	{ 0xe9688af5, "trace_event_buffer_commit" },
	{ 0xb555e5f0, "dma_map_page_attrs" },
	{ 0x62077d93, "pm_wakeup_dev_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x39c5d99, "put_device" },
	{ 0xc6ef6c51, "trace_event_ignore_this_pid" },
	{ 0xcda8f28d, "sysfs_remove_file_ns" },
	{ 0xc62250e4, "rt_write_unlock" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x72e1afba, "_dev_info" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2afb19ea, "perf_trace_run_bpf_submit" },
	{ 0x43489ace, "bus_unregister" },
	{ 0x268c5673, "_dev_err" },
	{ 0x5fc63594, "device_wakeup_enable" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x15360117, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0xb0e15858, "dma_alloc_attrs" },
	{ 0xaf8e059a, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd0a95618, "ida_free" },
	{ 0x6d56621a, "driver_unregister" },
	{ 0xd7482f05, "vcalloc" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x18b48e28, "__memset_io" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x866466a6, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0xb6fbb27b, "bpf_trace_run3" },
	{ 0x4d0a599d, "rt_read_lock" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xf019a95, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x76d7e56b, "trace_event_buffer_reserve" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7a5e96e9, "rt_read_unlock" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd2c99589, "rt_write_lock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x340d5d1e, "driver_register" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xe3bb2bf9, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A6799FF7734A934FCE082B");
MODULE_INFO(rhelversion, "9.6");
