#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x951e002c, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xc87dad1b, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x596686b0, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x66d41d3f, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xc1a6df50, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x835619e7, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x48acf87a, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0xfb37ec71, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x566cd57e, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x9f9f98e2, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xce3b4c12, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0x1adc0497, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xedd79d25, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x122be0b3, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0x59ef5550, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x570c66cd, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x852e8834, "dma_mmap_pages" },
	{ 0x208239ab, "dma_free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x20486bef, "drm_gem_create_mmap_offset" },
	{ 0xe0c54905, "drm_gem_object_init" },
	{ 0x9e78912f, "drm_atomic_helper_damage_iter_init" },
	{ 0xfbf66e2f, "dma_alloc_pages" },
	{ 0x1c0299c0, "drm_gem_private_object_init" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xd0353bb8, "drm_gem_vm_close" },
	{ 0x90f1a4b4, "drm_gem_vm_open" },
	{ 0x278f134f, "down_write" },
	{ 0xc9a693cf, "up_write" },
	{ 0x6413e627, "drm_gem_object_release" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xb0e15858, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0xd90406e8, "drm_gem_handle_create" },
	{ 0x9134b6c5, "drm_gem_fb_get_obj" },
	{ 0xda205729, "__drm_dev_dbg" },
	{ 0xf019a95, "dma_free_attrs" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x99d5b8fa, "__dma_sync_single_for_device" },
	{ 0x46fcf55c, "dma_buf_vmap_unlocked" },
	{ 0x89153328, "dma_mmap_attrs" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd6023a4d, "dma_get_sgtable_attrs" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x19d1216e, "drm_prime_gem_destroy" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "drm,drm_kms_helper");


MODULE_INFO(srcversion, "022E95739579CC8FE5ED61C");
MODULE_INFO(rhelversion, "9.6");
