#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gem_shmem_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_put_pages, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin_locked, "", "");
KSYMTAB_FUNC(drm_gem_shmem_pin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_unpin, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_shmem_madvise, "", "");
KSYMTAB_FUNC(drm_gem_shmem_purge, "", "");
KSYMTAB_FUNC(drm_gem_shmem_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_shmem_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_print_info, "", "");
KSYMTAB_FUNC(drm_gem_shmem_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_get_pages_sgt, "_gpl", "");
KSYMTAB_FUNC(drm_gem_shmem_prime_import_sg_table, "_gpl", "");

SYMBOL_CRC(drm_gem_shmem_create, 0xf0177aec, "_gpl");
SYMBOL_CRC(drm_gem_shmem_free, 0x7d853e10, "_gpl");
SYMBOL_CRC(drm_gem_shmem_put_pages, 0x8f203658, "");
SYMBOL_CRC(drm_gem_shmem_pin_locked, 0x7d64ab85, "");
SYMBOL_CRC(drm_gem_shmem_unpin_locked, 0x30f918bb, "");
SYMBOL_CRC(drm_gem_shmem_pin, 0x7e2ac641, "");
SYMBOL_CRC(drm_gem_shmem_unpin, 0x6c050abe, "");
SYMBOL_CRC(drm_gem_shmem_vmap, 0x07d03187, "");
SYMBOL_CRC(drm_gem_shmem_vunmap, 0xea10fe22, "");
SYMBOL_CRC(drm_gem_shmem_madvise, 0xb3f7b6db, "");
SYMBOL_CRC(drm_gem_shmem_purge, 0x07777b1b, "");
SYMBOL_CRC(drm_gem_shmem_dumb_create, 0xb27a0759, "_gpl");
SYMBOL_CRC(drm_gem_shmem_vm_ops, 0xf98769bf, "_gpl");
SYMBOL_CRC(drm_gem_shmem_mmap, 0x8dc503a5, "_gpl");
SYMBOL_CRC(drm_gem_shmem_print_info, 0xfdddc367, "");
SYMBOL_CRC(drm_gem_shmem_get_sg_table, 0x878c9075, "_gpl");
SYMBOL_CRC(drm_gem_shmem_get_pages_sgt, 0xa7dce628, "_gpl");
SYMBOL_CRC(drm_gem_shmem_prime_import_sg_table, 0xc6ce9552, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb675bb7a, "ww_mutex_lock_interruptible" },
	{ 0xd5adc73b, "vmf_insert_pfn" },
	{ 0x6994dbc4, "drm_gem_get_pages" },
	{ 0x30a3fee1, "dma_buf_vmap" },
	{ 0x2c91e17c, "vm_get_page_prot" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x463898f6, "invalidate_mapping_pages" },
	{ 0x35efac2e, "ww_mutex_unlock" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x7463666a, "unmap_mapping_range" },
	{ 0x94961283, "vunmap" },
	{ 0x8c889105, "dma_buf_mmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x20486bef, "drm_gem_create_mmap_offset" },
	{ 0xe0c54905, "drm_gem_object_init" },
	{ 0xbdebf933, "dev_driver_string" },
	{ 0x1c0299c0, "drm_gem_private_object_init" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xd0353bb8, "drm_gem_vm_close" },
	{ 0x90f1a4b4, "drm_gem_vm_open" },
	{ 0x278f134f, "down_write" },
	{ 0xc9a693cf, "up_write" },
	{ 0x6413e627, "drm_gem_object_release" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0xf1268bcf, "ww_mutex_lock" },
	{ 0x55005586, "vmap" },
	{ 0xd90406e8, "drm_gem_handle_create" },
	{ 0xda205729, "__drm_dev_dbg" },
	{ 0xd044cbe3, "drm_prime_pages_to_sg" },
	{ 0xcb3332da, "dma_buf_vunmap" },
	{ 0xd6ba5320, "shmem_truncate_range" },
	{ 0xbc0d826d, "drm_printf" },
	{ 0x37b9b48c, "dma_map_sgtable" },
	{ 0xa6c83e55, "drm_gem_free_mmap_offset" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xc2e5572e, "dma_unmap_sg_attrs" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xbe89b2fd, "drm_gem_put_pages" },
	{ 0x33daef0f, "drm_gem_private_object_fini" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x19d1216e, "drm_prime_gem_destroy" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "A6CE38331A05B1B8CAE5812");
MODULE_INFO(rhelversion, "9.6");
