#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tmc_free_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_alloc_sg_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_data_range, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_sync_table, "_gpl", "");
KSYMTAB_FUNC(tmc_sg_table_get_data, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_get_catu_device, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_set_catu_ops, "_gpl", "");
KSYMTAB_FUNC(tmc_etr_remove_catu_ops, "_gpl", "");

SYMBOL_CRC(tmc_free_sg_table, 0xf681e976, "_gpl");
SYMBOL_CRC(tmc_alloc_sg_table, 0x9316da9f, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_data_range, 0x0f9674b1, "_gpl");
SYMBOL_CRC(tmc_sg_table_sync_table, 0x3eee13f5, "_gpl");
SYMBOL_CRC(tmc_sg_table_get_data, 0xcd15257b, "_gpl");
SYMBOL_CRC(tmc_etr_get_catu_device, 0x9daaa2d6, "_gpl");
SYMBOL_CRC(tmc_etr_set_catu_ops, 0x1219c2b2, "_gpl");
SYMBOL_CRC(tmc_etr_remove_catu_ops, 0x04a264a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x269d6aac, "coresight_get_platform_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xf9a8eed1, "misc_deregister" },
	{ 0xbdd9960b, "idr_find" },
	{ 0x313c7301, "devm_kmalloc" },
	{ 0xbd2a5088, "coresight_disclaim_device_unlocked" },
	{ 0x10ad34aa, "amba_driver_unregister" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xaff51269, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x208239ab, "dma_free_pages" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x21154497, "coresight_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xce5ff720, "__dynamic_dev_dbg" },
	{ 0xb555e5f0, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0xfbf66e2f, "dma_alloc_pages" },
	{ 0xcad5cdfa, "coresight_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc9882f50, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x6cf3d0e8, "__free_pages" },
	{ 0x92f44146, "fwnode_property_read_u32_array" },
	{ 0x72e1afba, "_dev_info" },
	{ 0x6c42319a, "__amba_driver_register" },
	{ 0x476d75fc, "coresight_claim_device" },
	{ 0x2dfdd28d, "iommu_get_domain_for_dev" },
	{ 0xf6951702, "idr_remove" },
	{ 0x80df2fa8, "__dma_sync_single_for_cpu" },
	{ 0x268c5673, "_dev_err" },
	{ 0x335ce2a8, "idr_alloc" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x55005586, "vmap" },
	{ 0xeca1a8e2, "coresight_timeout" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd316b569, "misc_register" },
	{ 0xc570f84a, "__alloc_pages" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0xe016b433, "nonseekable_open" },
	{ 0x399eff81, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x73efafcd, "fwnode_property_present" },
	{ 0xa0e21f4f, "__pm_runtime_resume" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0x99d5b8fa, "__dma_sync_single_for_device" },
	{ 0xaf7cf67f, "devm_ioremap_resource" },
	{ 0x8b7b0164, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1894d5dc, "dma_set_mask" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x67b5060b, "perf_aux_output_flag" },
	{ 0xe5e1713e, "coresight_alloc_device_name" },
	{ 0xecfb329f, "coresight_barrier_pkt" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x3a27223a, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x405a1642, "coresight_disclaim_device" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "coresight");

MODULE_ALIAS("amba:d???BB961");
MODULE_ALIAS("amba:d???BB9E8");
MODULE_ALIAS("amba:d???BB9E9");
MODULE_ALIAS("amba:d???BB9EA");

MODULE_INFO(srcversion, "EAE21FBF7A48EFFEFF1C924");
MODULE_INFO(rhelversion, "9.6");
