#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(coresight_barrier_pkt, "_gpl", "");
KSYMTAB_FUNC(coresight_set_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_cti_ops, "_gpl", "");
KSYMTAB_FUNC(coresight_set_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_get_percpu_sink, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_claim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device_unlocked, "_gpl", "");
KSYMTAB_FUNC(coresight_disclaim_device, "_gpl", "");
KSYMTAB_FUNC(coresight_set_assoc_ectdev_mutex, "_gpl", "");
KSYMTAB_FUNC(coresight_disable_path, "_gpl", "");
KSYMTAB_FUNC(coresight_enable, "_gpl", "");
KSYMTAB_FUNC(coresight_disable, "_gpl", "");
KSYMTAB_FUNC(coresight_timeout, "_gpl", "");
KSYMTAB_FUNC(coresight_register, "_gpl", "");
KSYMTAB_FUNC(coresight_unregister, "_gpl", "");
KSYMTAB_FUNC(coresight_loses_context_with_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_alloc_device_name, "_gpl", "");
KSYMTAB_FUNC(etm_perf_symlink, "_gpl", "");
KSYMTAB_FUNC(coresight_find_csdev_by_fwnode, "_gpl", "");
KSYMTAB_FUNC(coresight_get_cpu, "_gpl", "");
KSYMTAB_FUNC(coresight_get_platform_data, "_gpl", "");
KSYMTAB_FUNC(coresight_add_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(coresight_remove_sysfs_link, "_gpl", "");
KSYMTAB_FUNC(cscfg_load_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_unload_config_sets, "_gpl", "");
KSYMTAB_FUNC(cscfg_register_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_unregister_csdev, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_reset_feats, "_gpl", "");
KSYMTAB_FUNC(cscfg_config_sysfs_get_active_cfg, "_gpl", "");
KSYMTAB_FUNC(cscfg_activate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_deactivate_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_enable_active_config, "_gpl", "");
KSYMTAB_FUNC(cscfg_csdev_disable_active_config, "_gpl", "");

SYMBOL_CRC(coresight_barrier_pkt, 0xecfb329f, "_gpl");
SYMBOL_CRC(coresight_set_cti_ops, 0xbf74c3ff, "_gpl");
SYMBOL_CRC(coresight_remove_cti_ops, 0x4a0e600f, "_gpl");
SYMBOL_CRC(coresight_set_percpu_sink, 0xa4e552d3, "_gpl");
SYMBOL_CRC(coresight_get_percpu_sink, 0xa7c56c36, "_gpl");
SYMBOL_CRC(coresight_claim_device_unlocked, 0x132947bb, "_gpl");
SYMBOL_CRC(coresight_claim_device, 0x476d75fc, "_gpl");
SYMBOL_CRC(coresight_disclaim_device_unlocked, 0xbd2a5088, "_gpl");
SYMBOL_CRC(coresight_disclaim_device, 0x405a1642, "_gpl");
SYMBOL_CRC(coresight_set_assoc_ectdev_mutex, 0x0b7c5dc1, "_gpl");
SYMBOL_CRC(coresight_disable_path, 0xe16f84f5, "_gpl");
SYMBOL_CRC(coresight_enable, 0xa40b92ce, "_gpl");
SYMBOL_CRC(coresight_disable, 0xdf9d5b05, "_gpl");
SYMBOL_CRC(coresight_timeout, 0xeca1a8e2, "_gpl");
SYMBOL_CRC(coresight_register, 0x21154497, "_gpl");
SYMBOL_CRC(coresight_unregister, 0xcad5cdfa, "_gpl");
SYMBOL_CRC(coresight_loses_context_with_cpu, 0xaf2ae0ff, "_gpl");
SYMBOL_CRC(coresight_alloc_device_name, 0xe5e1713e, "_gpl");
SYMBOL_CRC(etm_perf_symlink, 0x57e0db25, "_gpl");
SYMBOL_CRC(coresight_find_csdev_by_fwnode, 0x0b834ee8, "_gpl");
SYMBOL_CRC(coresight_get_cpu, 0xbae33da2, "_gpl");
SYMBOL_CRC(coresight_get_platform_data, 0x269d6aac, "_gpl");
SYMBOL_CRC(coresight_add_sysfs_link, 0x99e07e95, "_gpl");
SYMBOL_CRC(coresight_remove_sysfs_link, 0x29ca4fbb, "_gpl");
SYMBOL_CRC(cscfg_load_config_sets, 0x65048870, "_gpl");
SYMBOL_CRC(cscfg_unload_config_sets, 0x79f69084, "_gpl");
SYMBOL_CRC(cscfg_register_csdev, 0x4c395a4b, "_gpl");
SYMBOL_CRC(cscfg_unregister_csdev, 0xcdb053d6, "_gpl");
SYMBOL_CRC(cscfg_csdev_reset_feats, 0xe0eb3817, "_gpl");
SYMBOL_CRC(cscfg_config_sysfs_get_active_cfg, 0xb0043d28, "_gpl");
SYMBOL_CRC(cscfg_activate_config, 0x985cc71d, "_gpl");
SYMBOL_CRC(cscfg_deactivate_config, 0xbe69f28a, "_gpl");
SYMBOL_CRC(cscfg_csdev_enable_active_config, 0x2337e448, "_gpl");
SYMBOL_CRC(cscfg_csdev_disable_active_config, 0xe408203a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9dda11eb, "of_graph_get_remote_endpoint" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x2719e188, "try_module_get" },
	{ 0xe1171aff, "is_acpi_device_node" },
	{ 0x290561a2, "of_fwnode_ops" },
	{ 0xebec1664, "config_group_init" },
	{ 0x313c7301, "devm_kmalloc" },
	{ 0x450d1d36, "of_get_next_parent" },
	{ 0x18b49732, "dev_set_name" },
	{ 0xe5ddc25, "configfs_register_group" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5af685dc, "perf_aux_output_begin" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xebe53382, "sysfs_add_file_to_group" },
	{ 0x5ab7f461, "device_unregister" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x696ecbcb, "of_graph_is_present" },
	{ 0x96848186, "scnprintf" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x952fc03b, "__cpu_present_mask" },
	{ 0x527a688a, "processors" },
	{ 0xf01b84d6, "of_graph_parse_endpoint" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xad904669, "get_device" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xce5ff720, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3d688f4b, "configfs_unregister_subsystem" },
	{ 0xc9c59943, "device_match_fwnode" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0x5cfc1a5b, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x39c5d99, "put_device" },
	{ 0xc9882f50, "kmalloc_node_trace" },
	{ 0x618911fc, "numa_node" },
	{ 0x40b6becb, "bus_for_each_dev" },
	{ 0x72e1afba, "_dev_info" },
	{ 0xc604114f, "config_item_set_name" },
	{ 0xcd6663d1, "module_put" },
	{ 0x5a31037e, "sysfs_create_link" },
	{ 0x3aff3200, "acpi_evaluate_object_typed" },
	{ 0xaf6d011d, "sysfs_remove_link_from_group" },
	{ 0xecdcc35, "perf_pmu_register" },
	{ 0xb5f40446, "of_get_child_by_name" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x43489ace, "bus_unregister" },
	{ 0xeb2f33cc, "devm_kfree" },
	{ 0x268c5673, "_dev_err" },
	{ 0x296120a1, "bus_find_device" },
	{ 0x265d4b79, "configfs_register_subsystem" },
	{ 0x6957ea9e, "__of_parse_phandle_with_args" },
	{ 0x94c53ae, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x769b1671, "config_group_init_type_name" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x5418db2b, "perf_pmu_unregister" },
	{ 0x441b2fd3, "of_find_property" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32a0302c, "perf_aux_output_end" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xef32cb8a, "of_graph_get_next_endpoint" },
	{ 0xaf7abeb3, "sysfs_remove_file_from_group" },
	{ 0xbe31f442, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2b091a7c, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x4584042e, "fwnode_handle_get" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x162893fd, "hashlen_string" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x5f7e64a3, "of_graph_get_port_parent" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x1f79cc19, "devm_kasprintf" },
	{ 0xcb2d4c21, "sysfs_remove_group" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x73efafcd, "fwnode_property_present" },
	{ 0xa0e21f4f, "__pm_runtime_resume" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0x22804256, "acpi_fetch_acpi_dev" },
	{ 0x4129ab2b, "of_cpu_node_to_id" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x771aa416, "amba_bustype" },
	{ 0x8f079371, "platform_bus_type" },
	{ 0xc9a92939, "sysfs_add_link_to_group" },
	{ 0x8b7b0164, "perf_get_aux" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xa0ae9036, "of_node_name_eq" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x67b5060b, "perf_aux_output_flag" },
	{ 0x646282f3, "configfs_unregister_group" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x3a27223a, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x667d794c, "__dev_fwnode" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xe3bb2bf9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B8B4B5C5EDF0B852DD613FF");
MODULE_INFO(rhelversion, "9.6");
