#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(i3c_device_do_priv_xfers, "_gpl", "");
KSYMTAB_FUNC(i3c_device_get_info, "_gpl", "");
KSYMTAB_FUNC(i3c_device_disable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_enable_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_request_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_device_free_ibi, "_gpl", "");
KSYMTAB_FUNC(i3cdev_to_dev, "_gpl", "");
KSYMTAB_FUNC(i3c_device_match_id, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_register_with_owner, "_gpl", "");
KSYMTAB_FUNC(i3c_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(i3c_master_get_free_addr, "_gpl", "");
KSYMTAB_FUNC(i3c_master_entdaa_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_disec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_enec_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_defslvs_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_do_daa, "_gpl", "");
KSYMTAB_FUNC(i3c_master_set_info, "_gpl", "");
KSYMTAB_FUNC(i3c_master_add_i3c_dev_locked, "_gpl", "");
KSYMTAB_FUNC(i3c_master_queue_ibi, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_free_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_alloc_pool, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_get_free_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_generic_ibi_recycle_slot, "_gpl", "");
KSYMTAB_FUNC(i3c_master_register, "_gpl", "");
KSYMTAB_FUNC(i3c_master_unregister, "_gpl", "");

SYMBOL_CRC(i3c_device_do_priv_xfers, 0xac467df1, "_gpl");
SYMBOL_CRC(i3c_device_get_info, 0xde3c79a4, "_gpl");
SYMBOL_CRC(i3c_device_disable_ibi, 0x09426d48, "_gpl");
SYMBOL_CRC(i3c_device_enable_ibi, 0x1f0e5ed8, "_gpl");
SYMBOL_CRC(i3c_device_request_ibi, 0xea3e31e9, "_gpl");
SYMBOL_CRC(i3c_device_free_ibi, 0xbca6ab2c, "_gpl");
SYMBOL_CRC(i3cdev_to_dev, 0x52cec539, "_gpl");
SYMBOL_CRC(i3c_device_match_id, 0xf04fbcf6, "_gpl");
SYMBOL_CRC(i3c_driver_register_with_owner, 0x139a3d8c, "_gpl");
SYMBOL_CRC(i3c_driver_unregister, 0x2ff2c1a3, "_gpl");
SYMBOL_CRC(i3c_master_get_free_addr, 0x6db3e33b, "_gpl");
SYMBOL_CRC(i3c_master_entdaa_locked, 0x11e7b87d, "_gpl");
SYMBOL_CRC(i3c_master_disec_locked, 0x5827d2a3, "_gpl");
SYMBOL_CRC(i3c_master_enec_locked, 0xd0682b2a, "_gpl");
SYMBOL_CRC(i3c_master_defslvs_locked, 0x0c8c26f4, "_gpl");
SYMBOL_CRC(i3c_master_do_daa, 0x581206de, "_gpl");
SYMBOL_CRC(i3c_master_set_info, 0x7a528338, "_gpl");
SYMBOL_CRC(i3c_master_add_i3c_dev_locked, 0xd28879b7, "_gpl");
SYMBOL_CRC(i3c_master_queue_ibi, 0xef2664bd, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_free_pool, 0x76fe3e05, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_alloc_pool, 0x6da4656a, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_get_free_slot, 0x3b8a5023, "_gpl");
SYMBOL_CRC(i3c_generic_ibi_recycle_slot, 0x1526f307, "_gpl");
SYMBOL_CRC(i3c_master_register, 0x0cdac3d3, "_gpl");
SYMBOL_CRC(i3c_master_unregister, 0x8ce2aa31, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xd4b90c44, "__init_rwsem" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x313c7301, "devm_kmalloc" },
	{ 0x74ece896, "of_property_read_variable_u32_array" },
	{ 0x18b49732, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5ab7f461, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x8e135a0, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xa64abf64, "of_get_next_available_child" },
	{ 0xce5ff720, "__dynamic_dev_dbg" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x39c5d99, "put_device" },
	{ 0xe2fc098c, "i2c_del_adapter" },
	{ 0xf6951702, "idr_remove" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x43489ace, "bus_unregister" },
	{ 0x278f134f, "down_write" },
	{ 0x268c5673, "_dev_err" },
	{ 0xc9a693cf, "up_write" },
	{ 0x15360117, "device_add" },
	{ 0x335ce2a8, "idr_alloc" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x9166fada, "strncpy" },
	{ 0x6d56621a, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdc581c84, "i2c_new_client_device" },
	{ 0x2b091a7c, "device_register" },
	{ 0x866466a6, "device_del" },
	{ 0xded561c0, "idr_destroy" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xd58b9dbf, "down_read" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x7596b334, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xefec5c1, "of_i2c_get_board_info" },
	{ 0xf26a31bd, "up_read" },
	{ 0x340d5d1e, "driver_register" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xe3bb2bf9, "bus_register" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0E5A314C6B103C96E296945");
MODULE_INFO(rhelversion, "9.6");
