#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dm_bio_prison_create, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell, "_gpl", "");
KSYMTAB_FUNC(dm_cell_key_has_valid_range, "", "");
KSYMTAB_FUNC(dm_bio_detain, "_gpl", "");
KSYMTAB_FUNC(dm_get_cell, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release, "_gpl", "");
KSYMTAB_FUNC(dm_cell_release_no_holder, "_gpl", "");
KSYMTAB_FUNC(dm_cell_error, "_gpl", "");
KSYMTAB_FUNC(dm_cell_visit_release, "_gpl", "");
KSYMTAB_FUNC(dm_cell_promote_or_release, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_create, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_destroy, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_inc, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_entry_dec, "_gpl", "");
KSYMTAB_FUNC(dm_deferred_set_add_work, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_create_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_destroy_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_alloc_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_bio_prison_free_cell_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_get_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_put_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_quiesce_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_lock_promote_v2, "_gpl", "");
KSYMTAB_FUNC(dm_cell_unlock_v2, "_gpl", "");

SYMBOL_CRC(dm_bio_prison_create, 0x753e20b2, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy, 0xb70b342a, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell, 0x7ab64da3, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell, 0x65ce16a1, "_gpl");
SYMBOL_CRC(dm_cell_key_has_valid_range, 0x476d2454, "");
SYMBOL_CRC(dm_bio_detain, 0x5bf35e5d, "_gpl");
SYMBOL_CRC(dm_get_cell, 0xa72e8478, "_gpl");
SYMBOL_CRC(dm_cell_release, 0xf5a7f69b, "_gpl");
SYMBOL_CRC(dm_cell_release_no_holder, 0xebfff795, "_gpl");
SYMBOL_CRC(dm_cell_error, 0xab6ed543, "_gpl");
SYMBOL_CRC(dm_cell_visit_release, 0xffeeb152, "_gpl");
SYMBOL_CRC(dm_cell_promote_or_release, 0x785a2893, "_gpl");
SYMBOL_CRC(dm_deferred_set_create, 0x17dd39d6, "_gpl");
SYMBOL_CRC(dm_deferred_set_destroy, 0x2eb01e04, "_gpl");
SYMBOL_CRC(dm_deferred_entry_inc, 0xca2e3a88, "_gpl");
SYMBOL_CRC(dm_deferred_entry_dec, 0x6791a44e, "_gpl");
SYMBOL_CRC(dm_deferred_set_add_work, 0xb6d5c65d, "_gpl");
SYMBOL_CRC(dm_bio_prison_create_v2, 0xd99e003d, "_gpl");
SYMBOL_CRC(dm_bio_prison_destroy_v2, 0xace9b57b, "_gpl");
SYMBOL_CRC(dm_bio_prison_alloc_cell_v2, 0xaf3a4d6a, "_gpl");
SYMBOL_CRC(dm_bio_prison_free_cell_v2, 0x03c39bd7, "_gpl");
SYMBOL_CRC(dm_cell_get_v2, 0x08da9f54, "_gpl");
SYMBOL_CRC(dm_cell_put_v2, 0xb52d1cff, "_gpl");
SYMBOL_CRC(dm_cell_lock_v2, 0xf4efed22, "_gpl");
SYMBOL_CRC(dm_cell_quiesce_v2, 0x7e3a3d45, "_gpl");
SYMBOL_CRC(dm_cell_lock_promote_v2, 0x6eba65e4, "_gpl");
SYMBOL_CRC(dm_cell_unlock_v2, 0x0e757ed3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xd4f539a5, "mempool_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b9a5db7, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa9efaeca, "mempool_free" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1296494, "mempool_alloc" },
	{ 0xb0954488, "bio_endio" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xdcb764ad, "memset" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xed9bc8c5, "mempool_exit" },
	{ 0x2a125c26, "kmem_cache_destroy" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A547DB92EAD4D1714406660");
MODULE_INFO(rhelversion, "9.6");
