#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(of_can_transceiver, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xa8e6560d, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x1b5d8573, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x18fc57a9, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xd19e37cf, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xc099cb26, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xec5daf64, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x9b90110b, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x9a519f9c, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0x0e7eef8a, "_gpl");
SYMBOL_CRC(can_bus_off, 0x118376d4, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0xeeed178c, "_gpl");
SYMBOL_CRC(free_candev, 0x84517b77, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x267c24bf, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xcbd43a60, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x9b46cfa1, "");
SYMBOL_CRC(open_candev, 0x0fdcaad7, "_gpl");
SYMBOL_CRC(of_can_transceiver, 0x1bf27931, "_gpl");
SYMBOL_CRC(close_candev, 0x430e8a18, "_gpl");
SYMBOL_CRC(register_candev, 0x8ce9acbf, "_gpl");
SYMBOL_CRC(unregister_candev, 0x4e00e108, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x8f655bc4, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xee693120, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b48ebf5, "skb_put" },
	{ 0x5e205823, "gpiod_set_value" },
	{ 0xe22e8aa0, "skb_tstamp_tx" },
	{ 0x74ece896, "of_property_read_variable_u32_array" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa36792c9, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa3c51798, "unregister_netdev" },
	{ 0x4d799091, "rtnl_link_register" },
	{ 0x88daa093, "netdev_warn" },
	{ 0x27ceb29f, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8699a127, "netdev_err" },
	{ 0xa43da080, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x39973723, "device_property_read_u32_array" },
	{ 0xb5f40446, "of_get_child_by_name" },
	{ 0x8c0cd4e1, "rtnl_link_unregister" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0xf00a075f, "nla_put" },
	{ 0x7a0d0b68, "register_netdev" },
	{ 0xeb6aae86, "free_netdev" },
	{ 0xdcb764ad, "memset" },
	{ 0xa16a6f0f, "sock_efree" },
	{ 0xbff122f8, "netif_rx" },
	{ 0xda38b8f8, "__netdev_alloc_skb" },
	{ 0xa5d2f6bd, "skb_trim" },
	{ 0x6330ecfc, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x289e011b, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8cc5c57d, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x18363d57, "netif_carrier_on" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x65c8cbc, "dev_err_probe" },
	{ 0xa981b70, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x8ff9b90f, "skb_clone_tx_timestamp" },
	{ 0x96628b82, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C85A0E37287CD8A1D19CA13");
MODULE_INFO(rhelversion, "9.6");
