#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x74647690, "phy_drivers_register" },
	{ 0x18a989a0, "mdiobus_read" },
	{ 0xc4cd4012, "phy_trigger_machine" },
	{ 0xf9ca0498, "phy_error" },
	{ 0xf21295c0, "bcm54xx_auxctl_read" },
	{ 0xe6fabb07, "bcm54xx_auxctl_write" },
	{ 0xfbab6090, "bcm_phy_read_shadow" },
	{ 0x9452cf5d, "bcm_phy_write_shadow" },
	{ 0x1584c71d, "phy_modify" },
	{ 0x61e57ff9, "genphy_c37_config_aneg" },
	{ 0x86c1e26f, "__genphy_config_aneg" },
	{ 0x313c7301, "devm_kmalloc" },
	{ 0x1e55bac6, "bcm_phy_get_wol" },
	{ 0xa3c7c23, "bcm_phy_set_wol" },
	{ 0xa8d3fc62, "bcm_phy_get_stats" },
	{ 0xb38e773c, "phy_drivers_unregister" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x97ada295, "mdiobus_write" },
	{ 0x806f3979, "bcm_config_lre_aneg" },
	{ 0x441b2fd3, "of_find_property" },
	{ 0xf0916e7a, "bcm_phy_write_exp" },
	{ 0xcebad1a0, "bcm_phy_read_exp" },
	{ 0xac1c4d94, "genphy_c37_read_status" },
	{ 0x794a2bd9, "genphy_read_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9e58b7da, "bcm_phy_get_sset_count" },
	{ 0xf50a8447, "bcm_ptp_probe" },
	{ 0xe09a7bb8, "devm_gpiod_get" },
	{ 0x3fae5fc4, "gpiod_to_irq" },
	{ 0xa0f0ddfd, "bcm_phy_wol_isr" },
	{ 0x11828e96, "devm_request_threaded_irq" },
	{ 0x3f411105, "device_set_wakeup_capable" },
	{ 0x5fc63594, "device_wakeup_enable" },
	{ 0xe54c4503, "bcm_ptp_stop" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x870cc6a, "bcm_ptp_config_init" },
	{ 0x62077d93, "pm_wakeup_dev_event" },
	{ 0x10399fd9, "genphy_resume" },
	{ 0xc28b8025, "genphy_soft_reset" },
	{ 0x2ee89087, "phy_resolve_aneg_linkmode" },
	{ 0x690f585e, "phy_basic_ports_array" },
	{ 0xbb5a7b2b, "genphy_read_abilities" },
	{ 0x312f8223, "bcm_phy_config_intr" },
	{ 0x2c24dc9c, "bcm_phy_handle_interrupt" },
	{ 0xd44293, "bcm_phy_get_strings" },
	{ 0x441aef8, "bcm_phy_led_brightness_set" },
	{ 0x45b07f53, "genphy_suspend" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "bcm-phy-lib,bcm-phy-ptp");

MODULE_ALIAS("mdio:0000000000100000011000000111????");
MODULE_ALIAS("mdio:0000000000100000011000001110????");
MODULE_ALIAS("mdio:0110000000001101100001001010????");
MODULE_ALIAS("mdio:0000000000100000011000001100????");
MODULE_ALIAS("mdio:0000001101100010010111100110????");
MODULE_ALIAS("mdio:0000001101100010010111010001????");
MODULE_ALIAS("mdio:0000000000100000011000001011????");
MODULE_ALIAS("mdio:0000000101000011101111001010????");
MODULE_ALIAS("mdio:0000001101100010010111010000????");
MODULE_ALIAS("mdio:0000001101100010010111001100????");
MODULE_ALIAS("mdio:0000000101000011101111001011????");
MODULE_ALIAS("mdio:0000000101000011101111010110????");
MODULE_ALIAS("mdio:0000000101000011101111010111????");
MODULE_ALIAS("mdio:0000001101100010010111011001????");
MODULE_ALIAS("mdio:0000000101000011101111000111????");
MODULE_ALIAS("mdio:0000000101000011101111000011????");
MODULE_ALIAS("mdio:0000000101000011101111001111????");
MODULE_ALIAS("mdio:0000001101100010010111110010????");
MODULE_ALIAS("mdio:0000001101100010010111100001????");
MODULE_ALIAS("mdio:0000001101100010010111001101????");

MODULE_INFO(srcversion, "396EFF9154C30096E313E3D");
MODULE_INFO(rhelversion, "9.6");
