#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x3533e722, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0x149e31d0, "_gpl");
SYMBOL_CRC(wwan_create_port, 0xc23fec0e, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0xd08c6e63, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xda654fc1, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0xd9c4dc5c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x231fa0b2, "ida_alloc_range" },
	{ 0x988d20aa, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x81f06baa, "__nlmsg_put" },
	{ 0x4b48ebf5, "skb_put" },
	{ 0x18b49732, "dev_set_name" },
	{ 0xa36792c9, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5ab7f461, "device_unregister" },
	{ 0xa9f201f1, "skb_dequeue" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0x4d799091, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b329f55, "device_for_each_child" },
	{ 0xb7641d06, "prepare_to_wait_event" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0x41d523d5, "rtnl_create_link" },
	{ 0x2f176937, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcc656d23, "skb_queue_purge_reason" },
	{ 0xa43da080, "alloc_netdev_mqs" },
	{ 0x4140cbea, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x39c5d99, "put_device" },
	{ 0x94b31ccf, "__alloc_skb" },
	{ 0x72e1afba, "_dev_info" },
	{ 0xd9ce9890, "skb_queue_tail" },
	{ 0x42b4d737, "rtnl_configure_link" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c0cd4e1, "rtnl_link_unregister" },
	{ 0xe41f1fc5, "init_net" },
	{ 0xcdaf3032, "skb_pull" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0x29c4eca6, "noop_llseek" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x788737da, "debugfs_remove" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd0a95618, "ida_free" },
	{ 0xeb6aae86, "free_netdev" },
	{ 0x4982d2a8, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7b6bf9e, "class_dev_iter_init" },
	{ 0x2b091a7c, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xdcb764ad, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0x6e4d5905, "__register_chrdev" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x547068b3, "stream_open" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x5eb1b508, "device_find_child_by_name" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xa44913c8, "debugfs_create_dir" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0x22905211, "class_register" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x4e5a74e3, "skb_queue_head" },
	{ 0x26ff1ec2, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xccb38b00, "register_netdevice" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
