#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vfio_assign_device_set, "_gpl", "");
KSYMTAB_FUNC(vfio_device_set_open_count, "_gpl", "");
KSYMTAB_FUNC(vfio_find_device_in_devset, "_gpl", "");
KSYMTAB_FUNC(_vfio_alloc_device, "_gpl", "");
KSYMTAB_FUNC(vfio_register_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_emulated_iommu_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_group_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_mig_get_next_state, "_gpl", "");
KSYMTAB_FUNC(vfio_combine_iova_ranges, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_valid, "_gpl", "");
KSYMTAB_FUNC(vfio_file_enforced_coherent, "_gpl", "");
KSYMTAB_FUNC(vfio_file_set_kvm, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_add, "_gpl", "");
KSYMTAB_FUNC(vfio_info_cap_shift, "", "");
KSYMTAB_FUNC(vfio_info_add_capability, "", "");
KSYMTAB_FUNC(vfio_set_irqs_validate_and_prepare, "", "");
KSYMTAB_FUNC(vfio_pin_pages, "", "");
KSYMTAB_FUNC(vfio_unpin_pages, "", "");
KSYMTAB_FUNC(vfio_dma_rw, "", "");
KSYMTAB_FUNC(vfio_file_iommu_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_is_group, "_gpl", "");
KSYMTAB_FUNC(vfio_file_has_dev, "_gpl", "");
KSYMTAB_FUNC(vfio_register_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_unregister_iommu_driver, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_enable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_disable, "_gpl", "");
KSYMTAB_FUNC(vfio_virqfd_flush_thread, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_device_ictx, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_get_dev_id, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_physical_detach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_bind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_unbind, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_attach_ioas, "_gpl", "");
KSYMTAB_FUNC(vfio_iommufd_emulated_detach_ioas, "_gpl", "");

SYMBOL_CRC(vfio_assign_device_set, 0xb13eabba, "_gpl");
SYMBOL_CRC(vfio_device_set_open_count, 0x22616d5c, "_gpl");
SYMBOL_CRC(vfio_find_device_in_devset, 0xa8b8b77b, "_gpl");
SYMBOL_CRC(_vfio_alloc_device, 0x54980dd9, "_gpl");
SYMBOL_CRC(vfio_register_group_dev, 0xe27d9978, "_gpl");
SYMBOL_CRC(vfio_register_emulated_iommu_dev, 0xed4137e8, "_gpl");
SYMBOL_CRC(vfio_unregister_group_dev, 0x74d47410, "_gpl");
SYMBOL_CRC(vfio_mig_get_next_state, 0x500fe568, "_gpl");
SYMBOL_CRC(vfio_combine_iova_ranges, 0x6e2aa0f0, "_gpl");
SYMBOL_CRC(vfio_file_is_valid, 0x94d37f16, "_gpl");
SYMBOL_CRC(vfio_file_enforced_coherent, 0x0d800ee0, "_gpl");
SYMBOL_CRC(vfio_file_set_kvm, 0xc3ca7b92, "_gpl");
SYMBOL_CRC(vfio_info_cap_add, 0x60a634c4, "_gpl");
SYMBOL_CRC(vfio_info_cap_shift, 0x19567d06, "");
SYMBOL_CRC(vfio_info_add_capability, 0x6c28be5a, "");
SYMBOL_CRC(vfio_set_irqs_validate_and_prepare, 0xadc044b7, "");
SYMBOL_CRC(vfio_pin_pages, 0xff6e91ed, "");
SYMBOL_CRC(vfio_unpin_pages, 0x0b44bcf5, "");
SYMBOL_CRC(vfio_dma_rw, 0x3838e802, "");
SYMBOL_CRC(vfio_file_iommu_group, 0xfb6d3e80, "_gpl");
SYMBOL_CRC(vfio_file_is_group, 0x29331f95, "_gpl");
SYMBOL_CRC(vfio_file_has_dev, 0xe23e8fba, "_gpl");
SYMBOL_CRC(vfio_register_iommu_driver, 0x60a4ab1d, "_gpl");
SYMBOL_CRC(vfio_unregister_iommu_driver, 0x561b54fc, "_gpl");
SYMBOL_CRC(vfio_virqfd_enable, 0x87374f24, "_gpl");
SYMBOL_CRC(vfio_virqfd_disable, 0xe2bb2891, "_gpl");
SYMBOL_CRC(vfio_virqfd_flush_thread, 0xeccfde64, "_gpl");
SYMBOL_CRC(vfio_iommufd_device_ictx, 0x3d379015, "_gpl");
SYMBOL_CRC(vfio_iommufd_get_dev_id, 0x5b9d4faf, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_bind, 0x439582ef, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_unbind, 0x51ef3c9b, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_attach_ioas, 0xe0261c9c, "_gpl");
SYMBOL_CRC(vfio_iommufd_physical_detach_ioas, 0x35fabf31, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_bind, 0xbf9e0309, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_unbind, 0xccc48009, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_attach_ioas, 0x741b35b5, "_gpl");
SYMBOL_CRC(vfio_iommufd_emulated_detach_ioas, 0x396f6735, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0x4be74a3d, "iommufd_vfio_compat_ioas_get_id" },
	{ 0x2daa2f3f, "iommufd_access_unpin_pages" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x231fa0b2, "ida_alloc_range" },
	{ 0x4d6d0bbc, "iommu_group_ref_get" },
	{ 0x2719e188, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xbbbd4a51, "anon_inode_getfile" },
	{ 0xd4b90c44, "__init_rwsem" },
	{ 0x641ff085, "alloc_anon_inode" },
	{ 0xf9a8eed1, "misc_deregister" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x326ab573, "iommufd_access_detach" },
	{ 0x32f0f552, "ida_destroy" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x18b49732, "dev_set_name" },
	{ 0xbcdd5b99, "iommu_group_set_name" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x857cdfc3, "cdev_device_del" },
	{ 0x46c566df, "iommu_group_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x939c6fc1, "class_destroy" },
	{ 0xf5a067bf, "iommu_group_dma_owner_claimed" },
	{ 0x3a93b5, "__xa_erase" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x8e135a0, "device_initialize" },
	{ 0xb0fa0981, "iommufd_device_attach" },
	{ 0xfef03f30, "fd_install" },
	{ 0x8d22bb58, "iommu_group_alloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe847c9e8, "iommufd_access_pin_pages" },
	{ 0xfb504bb8, "iput" },
	{ 0x4e96c486, "add_wait_queue" },
	{ 0x54345ac9, "iommufd_ctx_from_fd" },
	{ 0xdc8b8b90, "iommufd_access_replace" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0xce5ff720, "__dynamic_dev_dbg" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x730a3a46, "iommufd_vfio_compat_set_no_iommu" },
	{ 0xcdc99831, "iommufd_vfio_compat_ioas_create" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x92997ed8, "_printk" },
	{ 0x18330c03, "cdev_device_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x39c5d99, "put_device" },
	{ 0xff620ce6, "iommufd_ctx_from_file" },
	{ 0x72e1afba, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcd6663d1, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0xe3e423ac, "iommu_group_release_dma_owner" },
	{ 0x145f76ac, "fput" },
	{ 0x278f134f, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xc9a693cf, "up_write" },
	{ 0x15360117, "device_add" },
	{ 0x2db02176, "xa_load" },
	{ 0xf0a71526, "iommufd_access_attach" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x129ed993, "class_create" },
	{ 0x73fb68b7, "iommufd_device_bind" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0xd0a95618, "ida_free" },
	{ 0xa8981168, "iommufd_access_rw" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x866466a6, "device_del" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x41ed3cec, "eventfd_ctx_remove_wait_queue" },
	{ 0x8e1c5153, "iommufd_access_destroy" },
	{ 0xd316b569, "misc_register" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd58b9dbf, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x11efddd8, "__xa_cmpxchg" },
	{ 0xffe33bb4, "iommufd_device_to_id" },
	{ 0x45c0f4e5, "init_pseudo" },
	{ 0x964733ab, "iommufd_device_to_ictx" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xa0e21f4f, "__pm_runtime_resume" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xe471accf, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x54e47398, "xa_destroy" },
	{ 0xcaebc4cd, "iommufd_ctx_put" },
	{ 0xbe153ea5, "iommufd_access_create" },
	{ 0xcc9d36c, "iommu_group_claim_dma_owner" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xf2f0047d, "iommufd_device_detach" },
	{ 0x197b9961, "device_iommu_capable" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x22c59106, "simple_release_fs" },
	{ 0x5ca1c284, "kill_anon_super" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xcde8b5b9, "iommufd_device_unbind" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd8ff0604, "iommufd_ctx_has_group" },
	{ 0xe911df29, "eventfd_ctx_do_read" },
	{ 0x7052fecf, "iommu_group_add_device" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0xf26a31bd, "up_read" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x3a27223a, "__pm_runtime_idle" },
	{ 0xe8a3b4c5, "cdev_init" },
	{ 0xd8988a2b, "iommufd_device_replace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbd2ba041, "eventfd_ctx_fileget" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xcd67bdba, "iommu_group_remove_device" },
	{ 0xa004a82a, "simple_pin_fs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "iommufd");


MODULE_INFO(srcversion, "80C08A9AB5DF09EA0863245");
MODULE_INFO(rhelversion, "9.6");
