#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nlmclnt_init, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_done, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_rpc_clnt, "_gpl", "");
KSYMTAB_FUNC(nlmclnt_proc, "_gpl", "");
KSYMTAB_DATA(nlmsvc_ops, "_gpl", "");
KSYMTAB_FUNC(lockd_up, "_gpl", "");
KSYMTAB_FUNC(lockd_down, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_sb, "_gpl", "");
KSYMTAB_FUNC(nlmsvc_unlock_all_by_ip, "_gpl", "");

SYMBOL_CRC(nlmclnt_init, 0x99d6a770, "_gpl");
SYMBOL_CRC(nlmclnt_done, 0x27494e04, "_gpl");
SYMBOL_CRC(nlmclnt_rpc_clnt, 0xe11d98c3, "_gpl");
SYMBOL_CRC(nlmclnt_proc, 0x18c8d993, "_gpl");
SYMBOL_CRC(nlmsvc_ops, 0x40015f61, "_gpl");
SYMBOL_CRC(lockd_up, 0xb39ae78f, "_gpl");
SYMBOL_CRC(lockd_down, 0xbdfd4231, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_sb, 0x0a2c9c87, "_gpl");
SYMBOL_CRC(nlmsvc_unlock_all_by_ip, 0x77e35ccc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42f6d0f, "rpc_put_task" },
	{ 0xdee4a00c, "svc_generic_rpcbind_set" },
	{ 0x932b304b, "svc_wake_up" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd4b90c44, "__init_rwsem" },
	{ 0xc7fc1ae1, "bpf_trace_run4" },
	{ 0x90034aef, "param_ops_uint" },
	{ 0xb5bd3d9b, "register_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf2d2acf4, "rpc_shutdown_client" },
	{ 0x7917333, "svc_bind" },
	{ 0x9ac2d7, "proc_create" },
	{ 0x17787f73, "svc_recv" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4dda1edf, "xdr_inline_decode" },
	{ 0xf36378d4, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x1fe1e1ad, "locks_end_grace" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0x8e564777, "trace_event_printf" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xbf5ba3bd, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2920c95f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0xff0924c9, "simple_transaction_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xae4f442d, "vfs_test_lock" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xf8cb22bf, "svc_exit_thread" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xb7641d06, "prepare_to_wait_event" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xb467ca1b, "event_triggers_call" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x924fe86e, "param_get_ulong" },
	{ 0x28add978, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc3de986a, "__put_cred" },
	{ 0xb95e69fa, "register_pernet_subsys" },
	{ 0xbd7d15ba, "locks_in_grace" },
	{ 0x3b9eb121, "wake_up_process" },
	{ 0xe9688af5, "trace_event_buffer_commit" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x1a5a9230, "proc_dobool" },
	{ 0xd52f9326, "locks_lock_inode_wait" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6e8a279b, "unregister_sysctl_table" },
	{ 0xc6ef6c51, "trace_event_ignore_this_pid" },
	{ 0x292239, "locks_release_private" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xc46ff66e, "locks_init_lock" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb852b498, "simple_transaction_release" },
	{ 0x16922013, "svc_xprt_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcf50adb4, "svc_age_temp_xprts_now" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2afb19ea, "perf_trace_run_bpf_submit" },
	{ 0x278f134f, "down_write" },
	{ 0xe41f1fc5, "init_net" },
	{ 0xc9a693cf, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x41367b41, "svc_set_num_threads" },
	{ 0xc195508b, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x113c0cae, "vfs_cancel_lock" },
	{ 0x4e24279e, "proc_doulongvec_minmax" },
	{ 0xaf8e059a, "trace_event_reg" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x53445f68, "nlm_debug" },
	{ 0x64dded7a, "freezing_slow_path" },
	{ 0x5448f43a, "rpc_create" },
	{ 0xb800ec1a, "svc_destroy" },
	{ 0x5702544c, "rpc_call_start" },
	{ 0x75ca8061, "svc_create" },
	{ 0x3fca0884, "default_llseek" },
	{ 0xa4286268, "rpc_call_sync" },
	{ 0x73489241, "proc_mkdir" },
	{ 0xd8e6477e, "unregister_pernet_subsys" },
	{ 0xdcb764ad, "memset" },
	{ 0xd6f78b89, "vfs_lock_file" },
	{ 0xf957451b, "rpc_delay" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x8ac91623, "svc_generic_init_request" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xd58b9dbf, "down_read" },
	{ 0x815859fe, "svc_set_client" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0xf1b765a4, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb206bfba, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x5d44883f, "rpc_force_rebind" },
	{ 0x76d7e56b, "trace_event_buffer_reserve" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe471accf, "param_ops_bool" },
	{ 0xe5c55b1a, "rpc_restart_call" },
	{ 0x652afbdd, "svc_xprt_destroy_all" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x38132628, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x79111caf, "svc_find_xprt" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xc4d5ca97, "proc_dointvec" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xd61c4d63, "svc_print_addr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x97a13692, "locks_delete_block" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5214cbb0, "locks_start_grace" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x1654f930, "param_get_int" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf26a31bd, "up_read" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xbe2bec6e, "svc_xprt_create" },
	{ 0xe0f5e167, "rpc_wait_for_completion_task" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xddae5949, "locks_copy_lock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x80e2f74f, "proc_dointvec_minmax" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,grace");


MODULE_INFO(srcversion, "B2433ABB3770CFD41D926C7");
MODULE_INFO(rhelversion, "9.6");
