#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0x34701cb2, "_gpl");
SYMBOL_CRC(ip_tunnel_rcv, 0xca57c04f, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x6d4849fc, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xcdda830c, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0xbcf95047, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x773e88e3, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x7522dbfc, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0x359f929e, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x4c51e624, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0xbf725588, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0x140fae42, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x97489b2c, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x5dcec297, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x286e267d, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xa23f9076, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x3995bec9, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x7a5aaa8d, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0xb8e3b7b2, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x725d9218, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0xd11badb4, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x82c8a3da, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0xc171cd70, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xdfb4f545, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x612a6b83, "iptun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd43e0fe9, "icmpv6_ndo_send" },
	{ 0x8377f699, "icmp_ndo_send" },
	{ 0x98cf60b3, "strlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xa43da080, "alloc_netdev_mqs" },
	{ 0xccb38b00, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xa916b694, "strnlen" },
	{ 0xeb6aae86, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2f176937, "unregister_netdevice_queue" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xdcb764ad, "memset" },
	{ 0x9d58ce5b, "ip_route_output_flow" },
	{ 0x541b46ad, "dst_release" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd4881283, "__dev_get_by_index" },
	{ 0xac31adea, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x83ac11e3, "gro_cells_init" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7c0e22ad, "netdev_state_change" },
	{ 0x906a2281, "ns_capable" },
	{ 0xbeb9759, "dev_set_mtu" },
	{ 0xe41f1fc5, "init_net" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xecdf4f33, "skb_copy_bits" },
	{ 0xe6286f15, "iptunnel_xmit" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0xdefe036e, "__skb_get_hash_net" },
	{ 0x37e16238, "dst_cache_get_ip4" },
	{ 0x46dbe45e, "dst_cache_set_ip4" },
	{ 0x482739c8, "pskb_expand_head" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x24d0918f, "neigh_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4fb61be5, "__pskb_pull_tail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x7e611122, "skb_scrub_packet" },
	{ 0x5c7a7e11, "gro_cells_receive" },
	{ 0x92997ed8, "_printk" },
	{ 0xf51b4a74, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4DA277ABD94D01FCFFFB5F0");
MODULE_INFO(rhelversion, "9.6");
