#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0xc577d3a7, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xdd4caaf5, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x7de91059, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xc2d722ff, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xc2cc7992, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x1af25dc3, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x1e36c35c, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x8ee4aaf3, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x2a1208e6, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x0f90dddc, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xb139aea1, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0xa25bdf51, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf5e7295b, "ipv6_chk_addr_and_flags" },
	{ 0xe5e3a8e2, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x61592429, "ip6tun_encaps" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x6d98ebb2, "register_pernet_device" },
	{ 0xa45810bd, "xfrm6_tunnel_register" },
	{ 0x4d799091, "rtnl_link_register" },
	{ 0x3b025cdd, "xfrm6_tunnel_deregister" },
	{ 0xc20c536, "unregister_pernet_device" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2f176937, "unregister_netdevice_queue" },
	{ 0xdcb764ad, "memset" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x338b8de7, "rt6_lookup" },
	{ 0x541b46ad, "dst_release" },
	{ 0xd4881283, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x895ee1b1, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xe41f1fc5, "init_net" },
	{ 0xa43da080, "alloc_netdev_mqs" },
	{ 0x7a0d0b68, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x4829a47e, "memcpy" },
	{ 0xeb6aae86, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8c0cd4e1, "rtnl_link_unregister" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x83ac11e3, "gro_cells_init" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x4fb61be5, "__pskb_pull_tail" },
	{ 0xccb38b00, "register_netdevice" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7c0e22ad, "netdev_state_change" },
	{ 0xeb09acab, "make_kuid" },
	{ 0xfcf548fb, "ip6_redirect" },
	{ 0x3502eec9, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x88d00784, "dst_cache_get" },
	{ 0x553447ea, "ip6_route_output_flags" },
	{ 0x6adc43e9, "xfrm_lookup" },
	{ 0x7e611122, "skb_scrub_packet" },
	{ 0x141bccf6, "skb_realloc_headroom" },
	{ 0x3462c1f5, "skb_set_owner_w" },
	{ 0xa36792c9, "consume_skb" },
	{ 0xceb62ef5, "ipv6_push_frag_opts" },
	{ 0x59a862d6, "skb_push" },
	{ 0x154d6ad7, "ip6_local_out" },
	{ 0xdb5005af, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xecdf4f33, "skb_copy_bits" },
	{ 0xac8ea7ab, "ip6_dst_hoplimit" },
	{ 0x5ad1fcd4, "ipv6_dev_get_saddr" },
	{ 0x24d0918f, "neigh_destroy" },
	{ 0x8cc5c57d, "skb_clone" },
	{ 0xcdaf3032, "skb_pull" },
	{ 0xa95720f8, "__icmpv6_send" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0x5c7a7e11, "gro_cells_receive" },
	{ 0xf51b4a74, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x9d58ce5b, "ip_route_output_flow" },
	{ 0x2d4b6c37, "ip_route_input_noref" },
	{ 0xc52a61b7, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2e8cac1e, "iptunnel_handle_offloads" },
	{ 0xd43e0fe9, "icmpv6_ndo_send" },
	{ 0x8377f699, "icmp_ndo_send" },
	{ 0xb882547e, "__iptunnel_pull_header" },
	{ 0x585e5eed, "metadata_dst_alloc" },
	{ 0x749dd022, "__xfrm_policy_check" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x906a2281, "ns_capable" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xec131935, "dev_get_tstats64" },
	{ 0xe471accf, "param_ops_bool" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "ipv6,tunnel6");


MODULE_INFO(srcversion, "3DD7C01CB2A7CAF119C80A5");
MODULE_INFO(rhelversion, "9.6");
