#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xba6a9c6c, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xee5d03bc, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x6ab6a7d3, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x4b03fa7c, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xa7035e09, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x1a5e6413, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x31a5fe34, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0xbce1846d, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xcb8029e6, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x34630456, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x81889117, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xb93a8759, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x945d0afd, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x2d3cf028, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x4effa27a, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x05973514, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x7d33ffbd, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x1a0ce0ff, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0xa5c57449, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x784e4da9, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xacb07435, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x8c2a1ce1, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xfa59c385, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x7d004d70, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x67123bce, "_gpl");
SYMBOL_CRC(print_tuple, 0x45c3ac0c, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xd8673034, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xf1bc4beb, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0xc58272d8, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x064308f1, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x5391baff, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0xc7e5ed6d, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xc0421126, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xd91c8f8a, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x1a547b1d, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xbcebb168, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xc54ca471, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x3e7adf93, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x468749e2, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x7a70818e, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x35f8cbce, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xbea301cb, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xcb035000, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xaa44b6b6, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xb3fc818d, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0xab7c0ef4, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x9a00e74e, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x4a0da520, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x23c04045, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x670a45ee, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0x870803b2, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xbe48c482, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x527f6a4b, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x9b3bf4d7, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x42ff50f5, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x14256256, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x43cf412e, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0xe13ec2fd, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0xbd07230a, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x83f449c3, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x2633e755, "_gpl");
SYMBOL_CRC(nf_confirm, 0xa1a282f0, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0xe230dcbf, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x134aa330, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x9b1f4db2, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0x8253b33f, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0xdfa8fd56, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0x908f4639, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xb1205483, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xf7928f2d, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x50308168, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xc40eb89d, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x75fc200c, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xdbd304cc, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x3e66c8aa, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x2449409c, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x516537cd, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xf7a21ffd, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0x310ce2bc, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x3d9cf90b, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x639561e8, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x669353fa, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x02c5b33a, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xcc659669, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x7965c58d, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x37bbee5c, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x14831262, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x424ffabd, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x3ce84e41, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x11b204fc, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xb6a4fe0a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32cee89b, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x2719e188, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x47c888db, "nf_defrag_ipv4_disable" },
	{ 0x82415830, "nf_ip6_checksum" },
	{ 0x45b36703, "proc_dou8vec_minmax" },
	{ 0xecdf4f33, "skb_copy_bits" },
	{ 0x90034aef, "param_ops_uint" },
	{ 0x8f8cd641, "proc_dointvec_jiffies" },
	{ 0xef3be249, "register_net_sysctl" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xff29aa16, "nf_register_sockopt" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xe3048cd2, "nfct_btf_struct_access" },
	{ 0x5491873c, "param_set_uint" },
	{ 0x6e593d96, "nf_defrag_ipv4_enable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xc476da51, "nf_ct_frag6_gather" },
	{ 0xd09c854f, "get_net_ns_by_id" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8b9a5db7, "kmem_cache_create" },
	{ 0x60bbc8bb, "nf_ct_hook" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f285282, "proc_create_net_data" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xb95e69fa, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x131c0035, "nf_unregister_sockopt" },
	{ 0xf2f0d83f, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xeb09acab, "make_kuid" },
	{ 0xcc0cb001, "nf_defrag_ipv6_disable" },
	{ 0x65c65b22, "ipv6_skip_exthdr" },
	{ 0x53963c70, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x95a016d6, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xcd6663d1, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xbca1201b, "nf_checksum" },
	{ 0x9177790b, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe41f1fc5, "init_net" },
	{ 0xf3142648, "nf_ip6_check_hbh_len" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x3cf20673, "kmem_cache_free" },
	{ 0x72a61a44, "seq_putc" },
	{ 0xf00a075f, "nla_put" },
	{ 0xb10f5b35, "nf_checksum_partial" },
	{ 0x23b78018, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xd3792c96, "nf_unregister_net_hooks" },
	{ 0xb028f388, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xd8e6477e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x9fe98c05, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc7c9eb45, "nf_log_packet" },
	{ 0xbc99e255, "make_kgid" },
	{ 0xda8812b4, "nf_ip_checksum" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x893ccc2d, "register_btf_kfunc_id_set" },
	{ 0xffd185ad, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd58b9dbf, "down_read" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0x9feab381, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9e60c86c, "__skb_checksum" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x14cfe3b8, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe471accf, "param_ops_bool" },
	{ 0xd0c684ff, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x38132628, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39d75d66, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x889b6f4e, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc4d5ca97, "proc_dointvec" },
	{ 0x438665ae, "seq_puts" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2cfe8c38, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x66ba1278, "unregister_net_sysctl_table" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xfc56ce31, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x955e11cc, "pskb_trim_rcsum_slow" },
	{ 0xf26a31bd, "up_read" },
	{ 0x517baa14, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a125c26, "kmem_cache_destroy" },
	{ 0x1740f5e0, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "0DA85C06403759E7A5359CC");
MODULE_INFO(rhelversion, "9.6");
