#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bcma_find_core_unit, "_gpl", "");
KSYMTAB_FUNC(bcma_core_irq, "", "");
KSYMTAB_FUNC(__bcma_driver_register, "_gpl", "");
KSYMTAB_FUNC(bcma_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(bcma_core_is_enabled, "_gpl", "");
KSYMTAB_FUNC(bcma_core_disable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_enable, "_gpl", "");
KSYMTAB_FUNC(bcma_core_set_clockmode, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pll_ctl, "_gpl", "");
KSYMTAB_FUNC(bcma_core_dma_translation, "", "");
KSYMTAB_FUNC(bcma_chipco_get_alp_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_out, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_outen, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_gpio_control, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_read, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_write, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_pll_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_chipctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_regctl_maskset, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_get_bus_clock, "_gpl", "");
KSYMTAB_FUNC(bcma_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(bcma_chipco_b_mii_write, "_gpl", "");
KSYMTAB_FUNC(bcma_core_pci_power_save, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_up, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_down, "_gpl", "");
KSYMTAB_FUNC(bcma_host_pci_irq_ctl, "_gpl", "");

SYMBOL_CRC(bcma_find_core_unit, 0xb915251d, "_gpl");
SYMBOL_CRC(bcma_core_irq, 0xf94f43d9, "");
SYMBOL_CRC(__bcma_driver_register, 0xd04f7123, "_gpl");
SYMBOL_CRC(bcma_driver_unregister, 0xeecb2ae0, "_gpl");
SYMBOL_CRC(bcma_core_is_enabled, 0xa907ebf1, "_gpl");
SYMBOL_CRC(bcma_core_disable, 0x286408d4, "_gpl");
SYMBOL_CRC(bcma_core_enable, 0x17575f61, "_gpl");
SYMBOL_CRC(bcma_core_set_clockmode, 0x4ec52f3b, "_gpl");
SYMBOL_CRC(bcma_core_pll_ctl, 0xa6dec30e, "_gpl");
SYMBOL_CRC(bcma_core_dma_translation, 0x2a080fbc, "");
SYMBOL_CRC(bcma_chipco_get_alp_clock, 0x60d8a8ab, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_out, 0x15b4b248, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_outen, 0x4df49afa, "_gpl");
SYMBOL_CRC(bcma_chipco_gpio_control, 0x4def6b21, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_read, 0x29c7efd4, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_write, 0x6b8e89b4, "_gpl");
SYMBOL_CRC(bcma_chipco_pll_maskset, 0x3fe77c4d, "_gpl");
SYMBOL_CRC(bcma_chipco_chipctl_maskset, 0xec246e1d, "_gpl");
SYMBOL_CRC(bcma_chipco_regctl_maskset, 0x29cb0fe5, "_gpl");
SYMBOL_CRC(bcma_pmu_get_bus_clock, 0x7fc18662, "_gpl");
SYMBOL_CRC(bcma_pmu_spuravoid_pllupdate, 0x119898c2, "_gpl");
SYMBOL_CRC(bcma_chipco_b_mii_write, 0xcb137273, "_gpl");
SYMBOL_CRC(bcma_core_pci_power_save, 0xbbb3eb83, "_gpl");
SYMBOL_CRC(bcma_host_pci_up, 0x54682a77, "_gpl");
SYMBOL_CRC(bcma_host_pci_down, 0xd407510a, "_gpl");
SYMBOL_CRC(bcma_host_pci_irq_ctl, 0x3180aca3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x111e2814, "pci_enable_device" },
	{ 0x18b49732, "dev_set_name" },
	{ 0xc5af4cbb, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6b7a8662, "of_address_to_resource" },
	{ 0x5ab7f461, "device_unregister" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xc978623a, "of_platform_default_populate" },
	{ 0x16df056d, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x8e135a0, "device_initialize" },
	{ 0xaf56600a, "arm64_use_ng_mappings" },
	{ 0x27b37fb6, "pci_request_regions" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xad904669, "get_device" },
	{ 0x3843c56b, "of_irq_parse_one" },
	{ 0xce5ff720, "__dynamic_dev_dbg" },
	{ 0xb561888f, "pci_unregister_driver" },
	{ 0xebd2e860, "pci_read_config_dword" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x92997ed8, "_printk" },
	{ 0xc2a62d1b, "of_irq_parse_raw" },
	{ 0x6d8b8f7c, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x39c5d99, "put_device" },
	{ 0x72e1afba, "_dev_info" },
	{ 0x9acb7d19, "gpiochip_get_data" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x43489ace, "bus_unregister" },
	{ 0x268c5673, "_dev_err" },
	{ 0x15360117, "device_add" },
	{ 0x78ee7806, "platform_device_unregister" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x6d56621a, "driver_unregister" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xc4fce650, "pci_iounmap" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0xb0a0065, "pci_set_master" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0xf4b6e15b, "gpiochip_add_data_with_key" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9ce2dd60, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3ca567e, "platform_device_register_full" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0x50b895a4, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc7e9a643, "pci_disable_device" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x1292bef1, "pcie_set_readrq" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xe39f7a10, "irq_create_of_mapping" },
	{ 0x40863ba1, "ioremap_prot" },
	{ 0xe5883086, "of_dma_configure_id" },
	{ 0x340d5d1e, "driver_register" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x667d794c, "__dev_fwnode" },
	{ 0x7aa8625e, "pci_write_config_dword" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xe3bb2bf9, "bus_register" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00000576sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004313sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004331sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004353sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004357sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004358sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004359sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000016bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv00001028sd00000018bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000105Bsd0000E092bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004365sv0000103Csd0000804Abc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000043B1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00004727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000A8DCsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "25C521496BAEF4FC1986235");
MODULE_INFO(rhelversion, "9.6");
