#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54199890, "crypto_alloc_ahash" },
	{ 0x13e2e4f5, "__host1x_client_init" },
	{ 0xc69217f3, "devm_platform_ioremap_resource" },
	{ 0x313c7301, "devm_kmalloc" },
	{ 0x67cd01ae, "platform_driver_unregister" },
	{ 0xccd74d47, "host1x_job_pin" },
	{ 0x19bd6c11, "crypto_engine_unregister_aead" },
	{ 0x886e5833, "crypto_shash_tfm_digest" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x767d7e65, "crypto_ahash_setkey" },
	{ 0x4829a47e, "memcpy" },
	{ 0x2c25d28b, "host1x_syncpt_request" },
	{ 0xeecc3378, "crypto_finalize_skcipher_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x44d67beb, "host1x_job_put" },
	{ 0xe24e0dbe, "crypto_engine_exit" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xce5ff720, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x62473b67, "host1x_job_unpin" },
	{ 0xa7e988c2, "crypto_destroy_tfm" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x2e12dfac, "crypto_engine_register_skcipher" },
	{ 0x4e6e4cf8, "crypto_finalize_hash_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x88fa4819, "crypto_engine_unregister_skcipher" },
	{ 0x386af91e, "host1x_syncpt_put" },
	{ 0x1699be7e, "crypto_transfer_hash_request_to_engine" },
	{ 0x268c5673, "_dev_err" },
	{ 0x22cf08c1, "crypto_shash_setkey" },
	{ 0x6086133, "host1x_job_submit" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0xb0e15858, "dma_alloc_attrs" },
	{ 0xd626af37, "crypto_engine_start" },
	{ 0xf506495e, "crypto_engine_register_aead" },
	{ 0x27a60e18, "host1x_device_init" },
	{ 0x22806cc4, "crypto_engine_unregister_ahash" },
	{ 0xd802bfd9, "__host1x_client_register" },
	{ 0x91275af1, "crypto_ahash_finup" },
	{ 0x23ee0530, "crypto_engine_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x78b6d2ca, "device_get_match_data" },
	{ 0xb2e59445, "crypto_transfer_aead_request_to_engine" },
	{ 0x37b57c57, "host1x_driver_unregister" },
	{ 0x98d7e352, "crypto_ahash_digest" },
	{ 0x6a991e3a, "host1x_syncpt_wait" },
	{ 0xa05e31f0, "host1x_syncpt_get" },
	{ 0x62c683eb, "crypto_ahash_final" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xdc5be500, "host1x_job_alloc" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xee96ced2, "__platform_driver_register" },
	{ 0x399eff81, "dma_set_coherent_mask" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0xba5e0f05, "host1x_client_unregister" },
	{ 0x327b5fab, "crypto_finalize_aead_request" },
	{ 0xf019a95, "dma_free_attrs" },
	{ 0x37b9b48c, "dma_map_sgtable" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0x207ea6f6, "host1x_channel_request" },
	{ 0x18a60af2, "crypto_engine_alloc_init" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6ec36569, "host1x_device_exit" },
	{ 0x537abefe, "crypto_transfer_skcipher_request_to_engine" },
	{ 0x4348a91e, "host1x_job_add_gather" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1894d5dc, "dma_set_mask" },
	{ 0xd0bf4bd4, "host1x_driver_register_full" },
	{ 0xd6023a4d, "dma_get_sgtable_attrs" },
	{ 0xde64ad2a, "host1x_channel_put" },
	{ 0x65c8cbc, "dev_err_probe" },
	{ 0x457fb252, "devm_clk_get_enabled" },
	{ 0xc2e5572e, "dma_unmap_sg_attrs" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xf8952d83, "crypto_alloc_shash" },
	{ 0x6791fee, "crypto_engine_register_ahash" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xabad9a13, "host1x_syncpt_id" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "host1x,crypto_engine");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aes");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-aesC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hash");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-se-hashC*");

MODULE_INFO(srcversion, "2452D85258E9B7F8B659228");
MODULE_INFO(rhelversion, "9.6");
