#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(devm_drm_of_get_bridge, "", "");
KSYMTAB_FUNC(drmm_of_get_bridge, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xdb072987, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0xf01c3020, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x81e047b6, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x7310fe1a, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x031292e4, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xbd69ffff, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x6d72aed7, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x71acbb7b, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0xb0613acc, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x80838cca, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x2790e110, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x7fb1d709, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0x398a30bc, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x33b84359, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x891b1ef6, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0xe396feaa, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0xfd08abeb, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x57dd80af, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0xa28e2d15, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xc02ba670, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0xc2ff7ec0, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x2bd763e5, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0xc683cc0e, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x3a2dae00, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xfbd57f24, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x319793fe, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x565e50f9, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x73ff47eb, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x507f2c37, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0x22ee07bf, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0x45e1a313, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0xf3df1664, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x12ec0ceb, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xac30a8bc, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xe925bd5c, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x317b1c76, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xc3a3de1b, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x0add6332, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x4d30172f, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xbe51cd12, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x650d2d3f, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xeeeb331a, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x43cac429, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x92e19897, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xbba68820, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0x3940cf7b, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0xcab0e58a, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x0763841e, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x30658856, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x4cf70d30, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0x999e791b, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x0567c9ef, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0xf88b596e, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0x84c9f6d5, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x4ec9fa37, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xb4b22d54, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x1c24f21e, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0x5e033e83, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x38ede3af, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xc7ba3c61, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0xc74fe3d4, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xfe301287, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0xa33aaad4, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xa91d1d3b, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xd4245bee, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x029a391a, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xd14bf612, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x3fa0ea29, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x53e15a39, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xb70a27ce, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0xfa495323, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x3c6535ac, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xc8c2d11a, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x5666193d, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xd111a92f, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x2ebba06a, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xb209666e, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x60be715d, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x2684d0e4, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x1cbf733d, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0xd03f7643, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xca6c4672, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xcc0322b1, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x9e78912f, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0xfc1e019d, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x16619c2d, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x6207ed1a, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x23cac21d, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xe92c59da, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0x8d72f4df, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0x009c6d5d, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xeefb5f09, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x4c841996, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xcce31845, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0x73e88bed, "");
SYMBOL_CRC(drm_flip_work_queue, 0x37fbcff4, "");
SYMBOL_CRC(drm_flip_work_commit, 0xb0b6c13a, "");
SYMBOL_CRC(drm_flip_work_init, 0x1b3cce17, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x23d6d197, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0xdb5332c8, "");
SYMBOL_CRC(drm_fb_swab, 0xe71646ed, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x54524020, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x369b3586, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0x1e1329e3, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0x58783b25, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0xe579f5d2, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x02722da4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0x98af5477, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x008d293a, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x373b0b8d, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xdb2538cb, "");
SYMBOL_CRC(drm_fb_blit, 0xbfe68115, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xaa5fb999, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x7e30f6d6, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xfbf79ec6, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x4f11aacd, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0x3e6318d9, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x35729cbf, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0xed67a048, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x2eafd878, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x750a07c6, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0x9f82ebd6, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x35cab670, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x7a67e434, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0xb1ee43c2, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x4cf7472b, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x545171e4, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x473e0f29, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x9134b6c5, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xae242e58, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x6bcaf532, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xe51c7a4d, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x0c854d69, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xdaca9d63, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x654cb7db, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x683be847, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x924b8a07, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x396fb99f, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x145683be, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x13cbc307, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x46b163f2, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x95175e44, "");
SYMBOL_CRC(drm_crtc_init, 0x3ad1d845, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x8ba6ef27, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x8a4885d2, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x8df8d14a, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x0d1b3fe2, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0xaabd1336, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xacb4eb4f, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x87a507d7, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xa9f37822, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x6b6592d7, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0xeb812895, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x8ad3337c, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x094eeca9, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0xea0408bb, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x048afba3, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xa613844a, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0x01d72a32, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xf1179d87, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x445abc45, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x9a7c533d, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0x4a4ee854, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x7a8de57f, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xc07d7a8a, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xe2c32b04, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x81dd7df8, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x2b267acb, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xf555bde2, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x8442bd42, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x41aba276, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0xf39eec1e, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x0af605fd, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x555b71ed, "");
SYMBOL_CRC(drm_panel_bridge_add, 0x3e7c32a3, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x147e37a8, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x3bdbe51c, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x61e6ab0c, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0xa505e9a9, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xc7dee736, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0xaaf1d212, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x747dc29a, "");
SYMBOL_CRC(devm_drm_of_get_bridge, 0x2594de9c, "");
SYMBOL_CRC(drmm_of_get_bridge, 0x5d552ccc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x723365a3, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xd2f91867, "drm_framebuffer_cleanup" },
	{ 0x61f7b022, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xf0315cb9, "drm_panel_get_modes" },
	{ 0x43f5bceb, "drm_gem_vmap_unlocked" },
	{ 0x2719e188, "try_module_get" },
	{ 0x5dbf479c, "drm_connector_list_update" },
	{ 0x1d7632db, "drm_bridge_add" },
	{ 0x3b6f5db3, "drm_bridge_chain_mode_valid" },
	{ 0xd003af8f, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x313c7301, "devm_kmalloc" },
	{ 0x8feb7936, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x243bfaba, "drm_framebuffer_init" },
	{ 0x75123840, "drm_mode_validate_driver" },
	{ 0x62bf31e5, "drm_atomic_add_affected_planes" },
	{ 0x7fa53418, "dma_buf_end_cpu_access" },
	{ 0x8211fc0, "drm_modeset_unlock_all" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd3fa598f, "drm_mode_probed_add" },
	{ 0xd194396c, "drm_atomic_add_affected_connectors" },
	{ 0x740aa568, "drm_gem_vunmap_unlocked" },
	{ 0x826d2d6d, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0xf75374fb, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0xfb3f6814, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x7c4a5e70, "drm_mode_object_get" },
	{ 0x31089e3e, "drm_edid_override_connector_update" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x29f04150, "drm_crtc_cleanup" },
	{ 0x2c04e0da, "drm_connector_list_iter_begin" },
	{ 0x293c08f7, "drm_mode_set_config_internal" },
	{ 0xb7641d06, "prepare_to_wait_event" },
	{ 0xb9cff81, "drm_encoder_cleanup" },
	{ 0xa7dc9d8, "drm_modeset_acquire_init" },
	{ 0x323d8a2, "dma_fence_set_deadline" },
	{ 0xbada8ab4, "drm_warn_on_modeset_not_all_locked" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc47c376, "drm_plane_get_damage_clips" },
	{ 0xb9938972, "devres_add" },
	{ 0xbdcae400, "dma_fence_wait_timeout" },
	{ 0x422727a4, "drm_add_modes_noedid" },
	{ 0x2e9c678e, "drm_bridge_remove" },
	{ 0x79c1bb66, "drm_mode_object_put" },
	{ 0xbdebf933, "dev_driver_string" },
	{ 0x6885b6ae, "drm_crtc_vblank_get" },
	{ 0x336d1059, "drm_gem_object_lookup" },
	{ 0xe886dbc, "drm_crtc_send_vblank_event" },
	{ 0xe86e172d, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0xf7628d52, "drm_atomic_normalize_zpos" },
	{ 0x34872bd, "drm_edid_connector_update" },
	{ 0xc9e62e7b, "drm_sysfs_hotplug_event" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc492940a, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x830a112f, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x50735fad, "drm_connector_list_iter_end" },
	{ 0x316a061b, "drm_atomic_set_crtc_for_plane" },
	{ 0x7eee015e, "drm_mode_prune_invalid" },
	{ 0x4519d5e4, "drm_client_dev_hotplug" },
	{ 0x26ec542, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x2606a68, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xcd6663d1, "module_put" },
	{ 0xf913d1fb, "dma_buf_begin_cpu_access" },
	{ 0xb0ef366, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x7efa4b8d, "drm_crtc_next_vblank_start" },
	{ 0x15b8804f, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xb129f7df, "drm_modeset_lock" },
	{ 0x7411d9e6, "drm_modeset_unlock" },
	{ 0x49b3c347, "drm_panel_disable" },
	{ 0x7daed81a, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xcc8317f8, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xeb2f33cc, "devm_kfree" },
	{ 0x268c5673, "_dev_err" },
	{ 0x158e3372, "drm_writeback_cleanup_job" },
	{ 0xce0265ee, "drm_modeset_lock_all_ctx" },
	{ 0xeaece81d, "i2c_unregister_device" },
	{ 0xcbabfc77, "drm_atomic_set_fb_for_plane" },
	{ 0xeffb4dbd, "__drm_universal_plane_alloc" },
	{ 0x3e8ca370, "drm_edid_connector_add_modes" },
	{ 0x8026b5e2, "drm_probe_ddc" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x482c8a6d, "__devres_alloc_node" },
	{ 0xeaf0b9bc, "drm_edid_read" },
	{ 0x761700d7, "drm_crtc_commit_wait" },
	{ 0x19450aec, "drm_dev_has_vblank" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x7cad1b9d, "__drm_atomic_helper_disable_plane" },
	{ 0xbf400fc6, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xd90406e8, "drm_gem_handle_create" },
	{ 0xeee0e440, "drm_atomic_set_crtc_for_connector" },
	{ 0xf77b7fc6, "drm_analog_tv_mode" },
	{ 0xb0049e30, "drm_crtc_init_with_planes" },
	{ 0x8ffe3432, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf77555cd, "__memcpy_toio" },
	{ 0x733ef6c8, "drm_crtc_vblank_put" },
	{ 0xdc581c84, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xda205729, "__drm_dev_dbg" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1fd4f9ea, "drm_plane_get_damage_clips_count" },
	{ 0x72ec4d0b, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xa425456f, "drm_atomic_state_alloc" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0xf4830dfd, "drm_atomic_bridge_chain_post_disable" },
	{ 0xecd88385, "drm_connector_update_edid_property" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x7861cdb1, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x9153145b, "__drm_atomic_helper_set_config" },
	{ 0x9c7df6ff, "mutex_trylock" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x968c6572, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x3763c21c, "drm_connector_cleanup" },
	{ 0xfeeb6820, "drm_get_format_info" },
	{ 0xefd023a3, "drm_universal_plane_init" },
	{ 0xf1ae6b89, "drm_any_plane_has_format" },
	{ 0x412c4549, "drm_connector_list_iter_next" },
	{ 0xae9e8212, "drm_modeset_acquire_fini" },
	{ 0xe8508281, "drm_encoder_init" },
	{ 0xd35a48f3, "drm_object_property_get_default_value" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe471accf, "param_ops_bool" },
	{ 0xb6cf6cf1, "drm_of_find_panel_or_bridge" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x373b917a, "drm_modeset_backoff" },
	{ 0xf67e1f93, "drm_panel_prepare" },
	{ 0x166fa2e7, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0x8f11f6b0, "drm_atomic_get_plane_state" },
	{ 0x2906f487, "drm_atomic_bridge_chain_check" },
	{ 0xe65ec0fe, "dma_fence_chain_init" },
	{ 0xd3c6f628, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xe4b1ed5f, "drm_property_blob_put" },
	{ 0x40f94075, "drm_mode_destroy" },
	{ 0xcf8d3531, "drm_bridge_attach" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x759c37d8, "drm_set_preferred_mode" },
	{ 0xb2e5eb7c, "drm_atomic_bridge_chain_pre_enable" },
	{ 0xa2a6e93, "drm_atomic_state_clear" },
	{ 0x682775bf, "drm_mode_config_reset" },
	{ 0xa6c48fae, "drm_property_create_blob" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x28a47bd4, "drm_modeset_drop_locks" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xc4c0920d, "drm_atomic_bridge_chain_disable" },
	{ 0x2a6cc108, "drm_mode_create_from_cmdline_mode" },
	{ 0x241ee3e4, "drm_mode_validate_ycbcr420" },
	{ 0xe10de30d, "drm_atomic_nonblocking_commit" },
	{ 0xa44913c8, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x6f79bd14, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0xd7cd7906, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x581b3b61, "drm_atomic_add_encoder_bridges" },
	{ 0x4e56f017, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xdfc3c762, "drm_sysfs_connector_hotplug_event" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "drm");


MODULE_INFO(srcversion, "D75D11E34412B0681C4FE69");
MODULE_INFO(rhelversion, "9.6");
