#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(host1x_device_init, "", "");
KSYMTAB_FUNC(host1x_device_exit, "", "");
KSYMTAB_FUNC(host1x_driver_register_full, "", "");
KSYMTAB_FUNC(host1x_driver_unregister, "", "");
KSYMTAB_FUNC(__host1x_client_init, "", "");
KSYMTAB_FUNC(host1x_client_exit, "", "");
KSYMTAB_FUNC(__host1x_client_register, "", "");
KSYMTAB_FUNC(host1x_client_unregister, "", "");
KSYMTAB_FUNC(host1x_client_suspend, "", "");
KSYMTAB_FUNC(host1x_client_resume, "", "");
KSYMTAB_FUNC(host1x_bo_pin, "", "");
KSYMTAB_FUNC(host1x_bo_unpin, "", "");
KSYMTAB_FUNC(host1x_syncpt_alloc, "", "");
KSYMTAB_FUNC(host1x_syncpt_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_incr, "", "");
KSYMTAB_FUNC(host1x_syncpt_wait, "", "");
KSYMTAB_FUNC(host1x_syncpt_request, "", "");
KSYMTAB_FUNC(host1x_syncpt_put, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_max, "", "");
KSYMTAB_FUNC(host1x_syncpt_read_min, "", "");
KSYMTAB_FUNC(host1x_syncpt_read, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_by_id_noref, "", "");
KSYMTAB_FUNC(host1x_syncpt_get, "", "");
KSYMTAB_FUNC(host1x_syncpt_get_base, "", "");
KSYMTAB_FUNC(host1x_syncpt_base_id, "", "");
KSYMTAB_FUNC(host1x_syncpt_release_vblank_reservation, "", "");
KSYMTAB_FUNC(host1x_get_dma_mask, "", "");
KSYMTAB_FUNC(host1x_job_submit, "", "");
KSYMTAB_FUNC(host1x_channel_get, "", "");
KSYMTAB_FUNC(host1x_channel_stop, "", "");
KSYMTAB_FUNC(host1x_channel_put, "", "");
KSYMTAB_FUNC(host1x_channel_request, "", "");
KSYMTAB_FUNC(host1x_job_alloc, "", "");
KSYMTAB_FUNC(host1x_job_get, "", "");
KSYMTAB_FUNC(host1x_job_put, "", "");
KSYMTAB_FUNC(host1x_job_add_gather, "", "");
KSYMTAB_FUNC(host1x_job_add_wait, "", "");
KSYMTAB_FUNC(host1x_job_pin, "", "");
KSYMTAB_FUNC(host1x_job_unpin, "", "");
KSYMTAB_FUNC(tegra_mipi_request, "", "");
KSYMTAB_FUNC(tegra_mipi_free, "", "");
KSYMTAB_FUNC(tegra_mipi_enable, "", "");
KSYMTAB_FUNC(tegra_mipi_disable, "", "");
KSYMTAB_FUNC(tegra_mipi_finish_calibration, "", "");
KSYMTAB_FUNC(tegra_mipi_start_calibration, "", "");
KSYMTAB_FUNC(host1x_fence_create, "", "");
KSYMTAB_FUNC(host1x_fence_cancel, "", "");
KSYMTAB_FUNC(host1x_memory_context_alloc, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_get, "_gpl", "");
KSYMTAB_FUNC(host1x_memory_context_put, "_gpl", "");

SYMBOL_CRC(host1x_device_init, 0x27a60e18, "");
SYMBOL_CRC(host1x_device_exit, 0x6ec36569, "");
SYMBOL_CRC(host1x_driver_register_full, 0xd0bf4bd4, "");
SYMBOL_CRC(host1x_driver_unregister, 0x37b57c57, "");
SYMBOL_CRC(__host1x_client_init, 0x13e2e4f5, "");
SYMBOL_CRC(host1x_client_exit, 0xac19c8f3, "");
SYMBOL_CRC(__host1x_client_register, 0xd802bfd9, "");
SYMBOL_CRC(host1x_client_unregister, 0xba5e0f05, "");
SYMBOL_CRC(host1x_client_suspend, 0xb153fa59, "");
SYMBOL_CRC(host1x_client_resume, 0x394b2896, "");
SYMBOL_CRC(host1x_bo_pin, 0x4e640c61, "");
SYMBOL_CRC(host1x_bo_unpin, 0x3f154975, "");
SYMBOL_CRC(host1x_syncpt_alloc, 0xd35d224b, "");
SYMBOL_CRC(host1x_syncpt_id, 0xabad9a13, "");
SYMBOL_CRC(host1x_syncpt_incr_max, 0x0b78c396, "");
SYMBOL_CRC(host1x_syncpt_incr, 0x4e6267cc, "");
SYMBOL_CRC(host1x_syncpt_wait, 0x6a991e3a, "");
SYMBOL_CRC(host1x_syncpt_request, 0x2c25d28b, "");
SYMBOL_CRC(host1x_syncpt_put, 0x386af91e, "");
SYMBOL_CRC(host1x_syncpt_read_max, 0x1b2def11, "");
SYMBOL_CRC(host1x_syncpt_read_min, 0x859bc29d, "");
SYMBOL_CRC(host1x_syncpt_read, 0x206a1dff, "");
SYMBOL_CRC(host1x_syncpt_get_by_id, 0x815391a5, "");
SYMBOL_CRC(host1x_syncpt_get_by_id_noref, 0xa55890ba, "");
SYMBOL_CRC(host1x_syncpt_get, 0xa05e31f0, "");
SYMBOL_CRC(host1x_syncpt_get_base, 0x727dbdef, "");
SYMBOL_CRC(host1x_syncpt_base_id, 0x51de13ce, "");
SYMBOL_CRC(host1x_syncpt_release_vblank_reservation, 0xa360a1e8, "");
SYMBOL_CRC(host1x_get_dma_mask, 0x592b409c, "");
SYMBOL_CRC(host1x_job_submit, 0x06086133, "");
SYMBOL_CRC(host1x_channel_get, 0xd8bf3daa, "");
SYMBOL_CRC(host1x_channel_stop, 0x2c90ec8a, "");
SYMBOL_CRC(host1x_channel_put, 0xde64ad2a, "");
SYMBOL_CRC(host1x_channel_request, 0x207ea6f6, "");
SYMBOL_CRC(host1x_job_alloc, 0xdc5be500, "");
SYMBOL_CRC(host1x_job_get, 0xc52272ec, "");
SYMBOL_CRC(host1x_job_put, 0x44d67beb, "");
SYMBOL_CRC(host1x_job_add_gather, 0x4348a91e, "");
SYMBOL_CRC(host1x_job_add_wait, 0x50fe7b9c, "");
SYMBOL_CRC(host1x_job_pin, 0xccd74d47, "");
SYMBOL_CRC(host1x_job_unpin, 0x62473b67, "");
SYMBOL_CRC(tegra_mipi_request, 0x6421db3c, "");
SYMBOL_CRC(tegra_mipi_free, 0x9451a33e, "");
SYMBOL_CRC(tegra_mipi_enable, 0xf8a79b19, "");
SYMBOL_CRC(tegra_mipi_disable, 0xa733ff60, "");
SYMBOL_CRC(tegra_mipi_finish_calibration, 0xbcbe65a0, "");
SYMBOL_CRC(tegra_mipi_start_calibration, 0x72e78e54, "");
SYMBOL_CRC(host1x_fence_create, 0x6eda3747, "");
SYMBOL_CRC(host1x_fence_cancel, 0x5e9c1814, "");
SYMBOL_CRC(host1x_memory_context_alloc, 0x48bd61d4, "_gpl");
SYMBOL_CRC(host1x_memory_context_get, 0x466fc044, "_gpl");
SYMBOL_CRC(host1x_memory_context_put, 0x2da29a9d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe61030c1, "iommu_map_sg" },
	{ 0x3df9269f, "platform_device_put" },
	{ 0xa2ed5d7f, "dma_fence_signal_locked" },
	{ 0xc69217f3, "devm_platform_ioremap_resource" },
	{ 0x3da0afa0, "devm_of_platform_populate" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x11828e96, "devm_request_threaded_irq" },
	{ 0x313c7301, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x8a95b8e0, "devm_platform_get_and_ioremap_resource" },
	{ 0x18b49732, "dev_set_name" },
	{ 0x2cc5ab57, "of_find_device_by_node" },
	{ 0x8769c42c, "platform_get_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf36378d4, "trace_raw_output_prep" },
	{ 0x46c566df, "iommu_group_get" },
	{ 0x5ab7f461, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x8e564777, "trace_event_printf" },
	{ 0x2290fb26, "free_iova" },
	{ 0xa3d821e4, "pm_generic_thaw" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x812c8400, "refcount_dec_and_mutex_lock" },
	{ 0x8e135a0, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2920c95f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x526313a8, "pm_generic_poweroff" },
	{ 0x7ddfa94a, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc566d0c7, "bpf_trace_run2" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0xb467ca1b, "event_triggers_call" },
	{ 0xaf59caf4, "dma_fence_add_callback" },
	{ 0x148653, "vsnprintf" },
	{ 0x89485687, "iommu_group_put" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xce5ff720, "__dynamic_dev_dbg" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x9b062449, "devm_clk_get" },
	{ 0xbdcae400, "dma_fence_wait_timeout" },
	{ 0x551a0d47, "__free_iova" },
	{ 0xe9688af5, "trace_event_buffer_commit" },
	{ 0x5d4da93f, "pm_generic_resume" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xd145ea43, "__platform_register_drivers" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x8b8e19c5, "iommu_detach_group" },
	{ 0x6d8b8f7c, "of_get_next_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x39c5d99, "put_device" },
	{ 0xc6ef6c51, "trace_event_ignore_this_pid" },
	{ 0xc30d4b7f, "pm_runtime_enable" },
	{ 0xce7ceda, "alloc_iova" },
	{ 0xc1ed7117, "devm_tegra_core_dev_init_opp_table" },
	{ 0xb34c1aaa, "platform_get_irq_byname_optional" },
	{ 0x9a8a46eb, "dma_fence_remove_callback" },
	{ 0xff1666f3, "reset_control_bulk_assert" },
	{ 0x43db001, "pm_generic_suspend" },
	{ 0x2dfdd28d, "iommu_get_domain_for_dev" },
	{ 0xc857f86f, "of_device_uevent" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xae757dbb, "put_iova_domain" },
	{ 0x2afb19ea, "perf_trace_run_bpf_submit" },
	{ 0x43489ace, "bus_unregister" },
	{ 0x268c5673, "_dev_err" },
	{ 0xe700d767, "reset_control_bulk_deassert" },
	{ 0x9b4e8302, "iommu_domain_free" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x15360117, "device_add" },
	{ 0x6957ea9e, "__of_parse_phandle_with_args" },
	{ 0xdc3fcbc9, "__sw_hweight8" },
	{ 0xe03ef827, "iommu_domain_alloc" },
	{ 0x3fec5aab, "iommu_unmap" },
	{ 0x5262c33a, "dma_fence_signal" },
	{ 0xbbbd1bf9, "bpf_trace_run5" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0xb0e15858, "dma_alloc_attrs" },
	{ 0x788737da, "debugfs_remove" },
	{ 0xaf8e059a, "trace_event_reg" },
	{ 0x207a6c6, "reset_control_bulk_acquire" },
	{ 0x35894d0b, "of_property_count_elems_of_size" },
	{ 0x6d56621a, "driver_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x978a4da9, "of_match_node" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x45d9e78c, "of_device_is_available" },
	{ 0x78eb003f, "dma_fence_init" },
	{ 0x5f13acd4, "mutex_lock_interruptible" },
	{ 0x2d95f3f, "host1x_context_device_bus_type" },
	{ 0xb520d430, "bpf_trace_run1" },
	{ 0x866466a6, "device_del" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xef3e30d9, "pm_generic_freeze" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x2123347a, "debugfs_create_u32" },
	{ 0xe990c852, "devm_platform_ioremap_resource_byname" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x399eff81, "dma_set_coherent_mask" },
	{ 0xb6fbb27b, "bpf_trace_run3" },
	{ 0xebd0f3e8, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x4c95233b, "debugfs_create_file" },
	{ 0xf019a95, "dma_free_attrs" },
	{ 0x76d7e56b, "trace_event_buffer_reserve" },
	{ 0xa0e21f4f, "__pm_runtime_resume" },
	{ 0xd62278d1, "init_iova_domain" },
	{ 0x726de2ce, "__devm_reset_control_bulk_get" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xd9ff21f9, "pm_runtime_force_resume" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x140a5617, "seq_write" },
	{ 0x8f079371, "platform_bus_type" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39d75d66, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf4cd9f8f, "reset_control_bulk_release" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xb7343168, "iommu_map" },
	{ 0xa07ad7ba, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1894d5dc, "dma_set_mask" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xbb23fde8, "__pm_runtime_suspend" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xa0913343, "iommu_attach_group" },
	{ 0xa0a27c48, "single_open" },
	{ 0xa8e7b76f, "of_device_get_match_data" },
	{ 0x5720a33, "pm_generic_restore" },
	{ 0x21373d41, "__pm_runtime_disable" },
	{ 0xa44913c8, "debugfs_create_dir" },
	{ 0xe5883086, "of_dma_configure_id" },
	{ 0x815588a6, "clk_enable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf78e3d99, "platform_unregister_drivers" },
	{ 0xf2d7d372, "pm_runtime_force_suspend" },
	{ 0x340d5d1e, "driver_register" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xc93ce936, "put_pid" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x3a27223a, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xe3bb2bf9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd31ccb06, "of_machine_is_compatible" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra234-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra194-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra186-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra210-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra124-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra114-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra30-host1xC*");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1x");
MODULE_ALIAS("of:N*T*Cnvidia,tegra20-host1xC*");

MODULE_INFO(srcversion, "D0E359044FCD4E486F4089A");
MODULE_INFO(rhelversion, "9.6");
