#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iommufd_device_bind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_has_group, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_unbind, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_ictx, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_to_id, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_device_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_create, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_destroy, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_detach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_attach, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_replace, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_unpin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_pin_pages, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_access_rw, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_get, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_file, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_from_fd, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_ctx_put, "_gpl", "IOMMUFD");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_get_id, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_set_no_iommu, "_gpl", "IOMMUFD_VFIO");
KSYMTAB_FUNC(iommufd_vfio_compat_ioas_create, "_gpl", "IOMMUFD_VFIO");

SYMBOL_CRC(iommufd_device_bind, 0x73fb68b7, "_gpl");
SYMBOL_CRC(iommufd_ctx_has_group, 0xd8ff0604, "_gpl");
SYMBOL_CRC(iommufd_device_unbind, 0xcde8b5b9, "_gpl");
SYMBOL_CRC(iommufd_device_to_ictx, 0x964733ab, "_gpl");
SYMBOL_CRC(iommufd_device_to_id, 0xffe33bb4, "_gpl");
SYMBOL_CRC(iommufd_device_attach, 0xb0fa0981, "_gpl");
SYMBOL_CRC(iommufd_device_replace, 0xd8988a2b, "_gpl");
SYMBOL_CRC(iommufd_device_detach, 0xf2f0047d, "_gpl");
SYMBOL_CRC(iommufd_access_create, 0xbe153ea5, "_gpl");
SYMBOL_CRC(iommufd_access_destroy, 0x8e1c5153, "_gpl");
SYMBOL_CRC(iommufd_access_detach, 0x326ab573, "_gpl");
SYMBOL_CRC(iommufd_access_attach, 0xf0a71526, "_gpl");
SYMBOL_CRC(iommufd_access_replace, 0xdc8b8b90, "_gpl");
SYMBOL_CRC(iommufd_access_unpin_pages, 0x2daa2f3f, "_gpl");
SYMBOL_CRC(iommufd_access_pin_pages, 0xe847c9e8, "_gpl");
SYMBOL_CRC(iommufd_access_rw, 0xa8981168, "_gpl");
SYMBOL_CRC(iommufd_ctx_get, 0xd934efbe, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_file, 0xff620ce6, "_gpl");
SYMBOL_CRC(iommufd_ctx_from_fd, 0x54345ac9, "_gpl");
SYMBOL_CRC(iommufd_ctx_put, 0xcaebc4cd, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_get_id, 0x4be74a3d, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_set_no_iommu, 0x730a3a46, "_gpl");
SYMBOL_CRC(iommufd_vfio_compat_ioas_create, 0xcdc99831, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6d0ef36d, "pin_user_pages_fast" },
	{ 0x680bea5b, "iova_bitmap_free" },
	{ 0xbbbd4a51, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd4b90c44, "__init_rwsem" },
	{ 0xf9a8eed1, "misc_deregister" },
	{ 0x2f57e450, "iommu_device_claim_dma_owner" },
	{ 0x1b2af57e, "iopf_free_group" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x46c566df, "iommu_group_get" },
	{ 0xf53465de, "pin_user_pages_remote" },
	{ 0x783dc8f6, "iommu_iova_to_phys" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0x836d208e, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x582c2685, "fget" },
	{ 0x869aae67, "__put_task_struct" },
	{ 0xcdafd679, "__xas_next" },
	{ 0x58d7f30e, "xas_find" },
	{ 0x95443215, "iommu_dev_disable_feature" },
	{ 0x85676bed, "unpin_user_pages" },
	{ 0xfef03f30, "fd_install" },
	{ 0x6653180a, "iopf_group_response" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd316d3b7, "unpin_user_page_range_dirty_lock" },
	{ 0xe664f114, "__account_locked_vm" },
	{ 0xb7641d06, "prepare_to_wait_event" },
	{ 0xbe118c52, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0xc7a03a8, "iova_bitmap_alloc" },
	{ 0x89485687, "iommu_group_put" },
	{ 0x5efdd68b, "__tracepoint_mmap_lock_released" },
	{ 0x79f6c9a8, "iommu_group_replace_domain" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x1a88227d, "kthread_use_mm" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5ec96bee, "iommu_detach_group_handle" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x8b8e19c5, "iommu_detach_group" },
	{ 0xb80973b9, "iommu_paging_domain_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x7429297b, "interval_tree_span_iter_next" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x87f8babd, "iommu_dev_enable_feature" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6fff261f, "__arch_clear_user" },
	{ 0x52a4ef34, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e7943ec, "iommu_group_id" },
	{ 0x145f76ac, "fput" },
	{ 0x278f134f, "down_write" },
	{ 0x9b4e8302, "iommu_domain_free" },
	{ 0xc9a693cf, "up_write" },
	{ 0xcec39b80, "iommu_get_msi_cookie" },
	{ 0x4a09644b, "xas_store" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x3fec5aab, "iommu_unmap" },
	{ 0x2db02176, "xa_load" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x86a8ad43, "xas_load" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x611565b4, "iova_bitmap_for_each" },
	{ 0x9688de8b, "memstart_addr" },
	{ 0x5a6ec621, "iommu_attach_handle_get" },
	{ 0x476053ab, "iommu_replace_group_handle" },
	{ 0x760b522b, "iommu_device_release_dma_owner" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0xd316b569, "misc_register" },
	{ 0x97ef73d2, "unpin_user_page" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xdbd7e7b7, "iommu_put_resv_regions" },
	{ 0xd58b9dbf, "down_read" },
	{ 0xec5c10b8, "__mmdrop" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x11efddd8, "__xa_cmpxchg" },
	{ 0xe016b433, "nonseekable_open" },
	{ 0x49dbd8ca, "xa_erase" },
	{ 0x8a10a85f, "__mmap_lock_do_trace_start_locking" },
	{ 0x91ab7792, "iommu_get_resv_regions" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x53bf381f, "mmput" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xe471accf, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x427fe41c, "xa_find" },
	{ 0xc1e6986e, "interval_tree_span_iter_first" },
	{ 0xbd628752, "__tracepoint_mmap_lock_start_locking" },
	{ 0xb43c3da2, "__mmap_lock_do_trace_released" },
	{ 0xb34e6d36, "xa_store" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5908949, "set_page_dirty_lock" },
	{ 0x197b9961, "device_iommu_capable" },
	{ 0xede7ef08, "xas_nomem" },
	{ 0xb7343168, "iommu_map" },
	{ 0x28652f5e, "free_uid" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2551f9fe, "kthread_unuse_mm" },
	{ 0x76517f03, "interval_tree_span_iter_advance" },
	{ 0x41d45ee5, "iommu_attach_group_handle" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x7d6bad5, "xa_find_after" },
	{ 0x94160518, "__put_task_struct_rcu_cb" },
	{ 0xa0913343, "iommu_attach_group" },
	{ 0x6d49c8ed, "iommu_group_has_isolated_msi" },
	{ 0xf26a31bd, "up_read" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e3e7c65, "pci_bus_type" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "D06B1E82DC103F08D455125");
MODULE_INFO(rhelversion, "9.6");
