#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x2da797e2, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x2a4565ce, "_gpl");
SYMBOL_CRC(media_device_init, 0x34b3da6d, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x6684bb07, "_gpl");
SYMBOL_CRC(__media_device_register, 0xeffe2ded, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0xbfede4d5, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0xddb9ee67, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x6f8a8b34, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0xc6110ca7, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x7901012e, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x70d4fc57, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x40013f05, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x42808893, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xfbeae516, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x392411ee, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x0300807b, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x700ba55c, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xea544669, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x393c7cf2, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x629e39d5, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xc040a345, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x0eacff52, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xf07b04d7, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x1a11928f, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xff9bc6c2, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x22801f2b, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x7bec05df, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0x5fada533, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x6e3dbca3, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x57459168, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x50f17f16, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x54ed5643, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x1addd6eb, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x4a7353b3, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x47dca2f2, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x8e8ff016, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x4c0ccd30, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xeab9860f, "_gpl");
SYMBOL_CRC(media_devnode_create, 0x73721564, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xea3a4049, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0xdc959aa0, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xc06b1440, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xeb579afb, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x3b0bce90, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xcb35cdcd, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0xaa691b43, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x2c47e601, "_gpl");
SYMBOL_CRC(media_request_put, 0x3aa3228c, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x1e85cec7, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x1af8514a, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x2cf9d841, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x1ebe3e1d, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xaadcf564, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0xcdcc2fe6, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0xe5159d57, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xd8017472, "_gpl");
SYMBOL_CRC(media_device_delete, 0x4d8c7eb3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8dcc62a, "krealloc" },
	{ 0x231fa0b2, "ida_alloc_range" },
	{ 0x2719e188, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xbbbd4a51, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x32f0f552, "ida_destroy" },
	{ 0x18b49732, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x857cdfc3, "cdev_device_del" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8e135a0, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfef03f30, "fd_install" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0xad904669, "get_device" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xce5ff720, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x92997ed8, "_printk" },
	{ 0x18330c03, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x39c5d99, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2baafadc, "fwnode_graph_parse_endpoint" },
	{ 0xcd6663d1, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x670a72e8, "device_create_file" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x43489ace, "bus_unregister" },
	{ 0x145f76ac, "fput" },
	{ 0x268c5673, "_dev_err" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0xd0a95618, "ida_free" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x8f079371, "platform_bus_type" },
	{ 0xad6982ff, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xe8a3b4c5, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7e3e7c65, "pci_bus_type" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x6149d53b, "device_remove_file" },
	{ 0xe3bb2bf9, "bus_register" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "53E3D798C82384C14394313");
MODULE_INFO(rhelversion, "9.6");
