#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x490dff1b, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x265d04d7, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0x994680df, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x35dec2a9, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0xacc7ebf1, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0xada4073f, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0x85910663, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x8b1da25b, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x6f212486, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0x2fb93e97, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0xc6c1499a, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0xef9a3fd5, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0xf9ba0306, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0x37a548a4, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x760a0f4f, "yield" },
	{ 0x2719e188, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd4b90c44, "__init_rwsem" },
	{ 0xf9a8eed1, "misc_deregister" },
	{ 0xe6b251de, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x18b49732, "dev_set_name" },
	{ 0x5938826c, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x857cdfc3, "cdev_device_del" },
	{ 0x5ab7f461, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x8e135a0, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x4829a47e, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x7ddfa94a, "seq_lseek" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x8b9a5db7, "kmem_cache_create" },
	{ 0xad904669, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xde3fdf0b, "get_mtd_device_nm" },
	{ 0x6a495ca9, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd9cc27c7, "blocking_notifier_chain_register" },
	{ 0x62e6dc03, "get_mtd_device" },
	{ 0x3b9eb121, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x18330c03, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0xe36a45fa, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x39c5d99, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x95a016d6, "kmem_cache_alloc" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcd6663d1, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x8420eb08, "cdev_add" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x286e2b92, "mtd_block_markbad" },
	{ 0x278f134f, "down_write" },
	{ 0xc9a693cf, "up_write" },
	{ 0x124e82c7, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x3cf20673, "kmem_cache_free" },
	{ 0x788737da, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x84d86fb8, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x28871a99, "put_mtd_device" },
	{ 0x4982d2a8, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x71f89318, "mtd_read" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x69beb711, "kthread_stop" },
	{ 0x64dded7a, "freezing_slow_path" },
	{ 0x2b091a7c, "device_register" },
	{ 0xdcb764ad, "memset" },
	{ 0x6a000610, "kern_path" },
	{ 0xd316b569, "misc_register" },
	{ 0xece784c2, "rb_first" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xa0386680, "mtd_erase" },
	{ 0x2d7ba0fd, "down_write_trylock" },
	{ 0xd58b9dbf, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0xb206bfba, "kthread_create_on_node" },
	{ 0xebd0f3e8, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf4246196, "mtd_write" },
	{ 0x4c95233b, "debugfs_create_file" },
	{ 0x1eed4824, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39d75d66, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xfc294085, "mtd_get_device_size" },
	{ 0x438665ae, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x450c39f9, "seq_open" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa44913c8, "debugfs_create_dir" },
	{ 0x8369e2eb, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf26a31bd, "up_read" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0x22905211, "class_register" },
	{ 0xe8a3b4c5, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x52ed1abc, "cdev_del" },
	{ 0x2a125c26, "kmem_cache_destroy" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18E06EF4ACF2803F0FC3B3A");
MODULE_INFO(rhelversion, "9.6");
