#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x9e160e08, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xcde9304c, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x4872201e, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0xb451b716, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x24801ac9, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xe3ddbbf1, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbe1c259e, "mdiobus_alloc_size" },
	{ 0x8b7a698b, "__tracepoint_xdp_exception" },
	{ 0xb9835446, "xsk_tx_completed" },
	{ 0xa0b56210, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa4e911e1, "xp_alloc" },
	{ 0xc7d36162, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfd03bfc1, "bpf_prog_put" },
	{ 0x3f411105, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc6cb9243, "xp_dma_map" },
	{ 0xecdf4f33, "skb_copy_bits" },
	{ 0x495231ea, "mul_u64_u64_div_u64" },
	{ 0x313c7301, "devm_kmalloc" },
	{ 0xf0f07e62, "eth_mac_addr" },
	{ 0x4b48ebf5, "skb_put" },
	{ 0xe22e8aa0, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3281e668, "netdev_update_features" },
	{ 0xa36792c9, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xe8611f30, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69ec7357, "hrtimer_try_to_cancel" },
	{ 0x86140fa, "bpf_warn_invalid_xdp_action" },
	{ 0xa3c51798, "unregister_netdev" },
	{ 0xe5c8a9e1, "xdp_convert_zc_to_xdp_frame" },
	{ 0xa4a2b4e0, "xdp_features_set_redirect_target" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x6d2fc828, "gpiod_set_value_cansleep" },
	{ 0xaff51269, "dma_unmap_page_attrs" },
	{ 0x64dac1, "hrtimer_init" },
	{ 0xe15245c4, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x5d456155, "ptp_clock_index" },
	{ 0xe908b0f, "phy_attached_info" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ddfa94a, "seq_lseek" },
	{ 0x9b3c5fbb, "page_pool_destroy" },
	{ 0xb019ff44, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x88daa093, "netdev_warn" },
	{ 0x27ceb29f, "devm_gpiod_get_optional" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x274e690b, "flow_rule_match_ipv4_addrs" },
	{ 0x21d44820, "xdp_rxq_info_unreg_mem_model" },
	{ 0x8b65abbc, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x8699a127, "netdev_err" },
	{ 0x2a48bfdc, "phylink_limit_mac_speed" },
	{ 0x3694041d, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xbdebf933, "dev_driver_string" },
	{ 0x98236ff8, "pinctrl_pm_select_default_state" },
	{ 0x60cdc010, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xf51b4a74, "eth_type_trans" },
	{ 0xfa424db5, "__pm_runtime_set_status" },
	{ 0xb555e5f0, "dma_map_page_attrs" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0xc2096f72, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x1b9fd309, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x62077d93, "pm_wakeup_dev_event" },
	{ 0x956a622, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xfb0379c7, "__napi_schedule" },
	{ 0xc30d4b7f, "pm_runtime_enable" },
	{ 0xcd41df64, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0x1d3992ad, "netif_device_detach" },
	{ 0x39973723, "device_property_read_u32_array" },
	{ 0xbbda16a7, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xc62250e4, "rt_write_unlock" },
	{ 0x72e1afba, "_dev_info" },
	{ 0x4a4b6aaf, "xpcs_create_mdiodev" },
	{ 0x89de8e0b, "napi_gro_receive" },
	{ 0x5c324b2f, "netif_device_attach" },
	{ 0x6ffae4f8, "xdp_features_clear_redirect_target" },
	{ 0x73c1803d, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xecc09393, "netdev_pick_tx" },
	{ 0xce1c204f, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x75f0d59, "xp_raw_get_dma" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd2520f38, "xdp_rxq_info_is_reg" },
	{ 0x17fa1091, "devm_alloc_etherdev_mqs" },
	{ 0x849cd341, "flow_block_cb_setup_simple" },
	{ 0x8dce5e85, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0xc63acb46, "dev_open" },
	{ 0x80df2fa8, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xcea4261d, "__irq_apply_affinity_hint" },
	{ 0x268c5673, "_dev_err" },
	{ 0xb9b43d42, "xpcs_destroy" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8a29321a, "pinctrl_pm_select_sleep_state" },
	{ 0xcdaf3032, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1ebe44ac, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x477d3765, "ptp_clock_register" },
	{ 0x696d5462, "xsk_tx_peek_desc" },
	{ 0x84f8b42d, "__of_mdiobus_register" },
	{ 0x963ea38a, "__traceiter_xdp_exception" },
	{ 0x9fc23a9f, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x9b8cc919, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xe4694f10, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xb0e15858, "dma_alloc_attrs" },
	{ 0x788737da, "debugfs_remove" },
	{ 0x31c6c041, "napi_enable" },
	{ 0xc9b7ff53, "xsk_clear_rx_need_wakeup" },
	{ 0x388676b2, "xpcs_get_interfaces" },
	{ 0xf0730292, "xsk_uses_need_wakeup" },
	{ 0x7a0d0b68, "register_netdev" },
	{ 0x786c9c1a, "xsk_get_pool_from_qid" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x863392bd, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x48bcb479, "phylink_generic_validate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x155ba561, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xb6bcee9d, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x5f7de58f, "netif_tx_wake_queue" },
	{ 0x1845720, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x16a62888, "page_pool_create" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x3d696f9f, "flow_rule_match_ports" },
	{ 0x9cd99a7b, "phylink_fwnode_phy_connect" },
	{ 0x2065ae52, "hrtimer_start_range_ns" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xa8e3671f, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0xc8716588, "netif_schedule_queue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6c0770bd, "fwnode_get_named_child_node" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x4831a4da, "ptp_clock_unregister" },
	{ 0x298b7ff1, "xp_dma_unmap" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x4b2b1064, "xpcs_get_an_mode" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6330ecfc, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xeee74701, "xdp_return_frame_rx_napi" },
	{ 0x4635191c, "netdev_alert" },
	{ 0x399eff81, "dma_set_coherent_mask" },
	{ 0xebd0f3e8, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf136c357, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x4d0a599d, "rt_read_lock" },
	{ 0x22181469, "debugfs_rename" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x4c95233b, "debugfs_create_file" },
	{ 0xedb2cae2, "xsk_set_tx_need_wakeup" },
	{ 0xf019a95, "dma_free_attrs" },
	{ 0xa0e21f4f, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x99d5b8fa, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd4fd529b, "xp_set_rxq_info" },
	{ 0x488f85fe, "flow_rule_match_vlan" },
	{ 0xeb720edf, "xdp_rxq_info_unreg" },
	{ 0xa7131b82, "page_pool_alloc_pages" },
	{ 0xd2855cf9, "__xdp_rxq_info_reg" },
	{ 0x7a5e96e9, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x289e011b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x39d75d66, "seq_printf" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0x52a37cd7, "mdiobus_get_phy" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x18363d57, "netif_carrier_on" },
	{ 0xd2c99589, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x7f383819, "hrtimer_cancel" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0x1f800c0f, "xp_free" },
	{ 0xa07ad7ba, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1894d5dc, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x65c8cbc, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x631e451f, "xdp_master_redirect" },
	{ 0xe8584ee8, "xp_raw_get_data" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x96f8dafc, "napi_schedule_prep" },
	{ 0x210bc4ea, "napi_disable" },
	{ 0xa981b70, "dev_kfree_skb_any_reason" },
	{ 0x9c16a56a, "eth_header_parse_protocol" },
	{ 0x70969f9d, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0xa0a27c48, "single_open" },
	{ 0x21373d41, "__pm_runtime_disable" },
	{ 0xa44913c8, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0x8ff9b90f, "skb_clone_tx_timestamp" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0x3a27223a, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x83a900f4, "ethtool_op_get_ts_info" },
	{ 0x6e662856, "xsk_tx_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x667d794c, "__dev_fwnode" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x96628b82, "netdev_info" },
	{ 0x1c4ac488, "page_pool_put_unrefed_page" },
	{ 0x29ee01aa, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "F45351FE0258CEE1E5D9C33");
MODULE_INFO(rhelversion, "9.6");
