#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipvlan_count_rx, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_new, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_delete, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_setup, "_gpl", "");
KSYMTAB_FUNC(ipvlan_link_register, "_gpl", "");

SYMBOL_CRC(ipvlan_count_rx, 0x123f98ff, "_gpl");
SYMBOL_CRC(ipvlan_link_new, 0xbaf24deb, "_gpl");
SYMBOL_CRC(ipvlan_link_delete, 0xc2695bad, "_gpl");
SYMBOL_CRC(ipvlan_link_setup, 0xfc67cef7, "_gpl");
SYMBOL_CRC(ipvlan_link_register, 0xfc6adecc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32cee89b, "__do_once_done" },
	{ 0xe680485a, "ip6_route_input_lookup" },
	{ 0x231fa0b2, "ida_alloc_range" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xfee73859, "dev_pre_changeaddr_notify" },
	{ 0xed78ec8b, "dev_mc_sync" },
	{ 0x32f0f552, "ida_destroy" },
	{ 0x443e4b50, "netdev_is_rx_handler_busy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3281e668, "netdev_update_features" },
	{ 0xa36792c9, "consume_skb" },
	{ 0x154d6ad7, "ip6_local_out" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x80ea6a10, "dev_uc_sync" },
	{ 0x4d799091, "rtnl_link_register" },
	{ 0x7afb0cd7, "netif_inherit_tso_max" },
	{ 0xfebd7665, "eth_header_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9d58ce5b, "ip_route_output_flow" },
	{ 0x2f176937, "unregister_netdevice_queue" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x42ab6920, "dev_uc_unsync" },
	{ 0x1b7724a8, "ether_setup" },
	{ 0x8699a127, "netdev_err" },
	{ 0xb020ae9e, "netdev_upper_dev_link" },
	{ 0xb95e69fa, "register_pernet_subsys" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2a7d4250, "eth_header_parse" },
	{ 0x64f269c6, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe24dff33, "eth_header_cache_update" },
	{ 0x53963c70, "nf_register_net_hooks" },
	{ 0x553447ea, "ip6_route_output_flags" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x2d4b6c37, "ip_route_input_noref" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd4881283, "__dev_get_by_index" },
	{ 0x8c0cd4e1, "rtnl_link_unregister" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xcdaf3032, "skb_pull" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0xec44dd88, "netif_stacked_transfer_operstate" },
	{ 0x5e1d487d, "netdev_upper_dev_unlink" },
	{ 0xf00a075f, "nla_put" },
	{ 0xd0a95618, "ida_free" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x906a2281, "ns_capable" },
	{ 0xd3792c96, "nf_unregister_net_hooks" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x155ba561, "ethtool_op_get_link" },
	{ 0xcb9e98ae, "__ethtool_get_link_ksettings" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xd8e6477e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4fb61be5, "__pskb_pull_tail" },
	{ 0xbff122f8, "netif_rx" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7e611122, "skb_scrub_packet" },
	{ 0x47c65bfc, "unregister_inet6addr_validator_notifier" },
	{ 0x33d85168, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1449e0a4, "vlan_vid_add" },
	{ 0x88928686, "call_netdevice_notifiers" },
	{ 0xa67eec3c, "vlan_vid_del" },
	{ 0x983337b6, "dev_set_allmulti" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x8cc5c57d, "skb_clone" },
	{ 0x541b46ad, "dst_release" },
	{ 0xe2d111d0, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xab63baa5, "unregister_inetaddr_validator_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5dc5f8e7, "ip_local_out" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xc32c71af, "register_inetaddr_validator_notifier" },
	{ 0xd4c57176, "dev_mc_unsync" },
	{ 0x58ca9362, "dev_change_flags" },
	{ 0x418432c4, "netdev_core_stats_inc" },
	{ 0x2e515d14, "dev_forward_skb" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa77bfd29, "register_inet6addr_validator_notifier" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xccb38b00, "register_netdevice" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "ipv6");


MODULE_INFO(srcversion, "DC426A50787DA41CE361D7B");
MODULE_INFO(rhelversion, "9.6");
