#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xc800e8a5, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0xb68ce77c, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x8bedf901, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x3d21349a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b7724a8, "ether_setup" },
	{ 0xcb9e98ae, "__ethtool_get_link_ksettings" },
	{ 0x62498341, "ethtool_get_ts_info_by_layer" },
	{ 0xe41f1fc5, "init_net" },
	{ 0x4e6d4254, "generic_hwtstamp_set_lower" },
	{ 0xae0cc7bb, "generic_hwtstamp_get_lower" },
	{ 0x56fa2e41, "dev_mc_del" },
	{ 0x314af60b, "dev_uc_del" },
	{ 0x66db13b2, "dev_mc_add_excl" },
	{ 0x789ac15c, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xa67eec3c, "vlan_vid_del" },
	{ 0x1449e0a4, "vlan_vid_add" },
	{ 0x983337b6, "dev_set_allmulti" },
	{ 0xce7f3c47, "dev_set_promiscuity" },
	{ 0x42ab6920, "dev_uc_unsync" },
	{ 0xd4c57176, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x4d799091, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8c0cd4e1, "rtnl_link_unregister" },
	{ 0xf00a075f, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x443e4b50, "netdev_is_rx_handler_busy" },
	{ 0xdcb764ad, "memset" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xe2d111d0, "netdev_rx_handler_register" },
	{ 0x37a0cba, "kfree" },
	{ 0x6b590708, "dev_uc_add" },
	{ 0x9c41115b, "dev_set_mac_address" },
	{ 0x88928686, "call_netdevice_notifiers" },
	{ 0x7afb0cd7, "netif_inherit_tso_max" },
	{ 0x3281e668, "netdev_update_features" },
	{ 0xec44dd88, "netif_stacked_transfer_operstate" },
	{ 0xbeb9759, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2f176937, "unregister_netdevice_queue" },
	{ 0x5e1d487d, "netdev_upper_dev_unlink" },
	{ 0x80ea6a10, "dev_uc_sync" },
	{ 0xed78ec8b, "dev_mc_sync" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x8cc5c57d, "skb_clone" },
	{ 0xbff122f8, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x984b8017, "__dev_forward_skb" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa36792c9, "consume_skb" },
	{ 0x64f269c6, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0x4829a47e, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd4881283, "__dev_get_by_index" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xccb38b00, "register_netdevice" },
	{ 0xb020ae9e, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x7d720893, "linkwatch_fire_event" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xee9deb0f, "__netif_rx" },
	{ 0xf92e4030, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x418432c4, "netdev_core_stats_inc" },
	{ 0x33d85168, "__dev_queue_xmit" },
	{ 0x2e515d14, "dev_forward_skb" },
	{ 0x9e4a3960, "passthru_features_check" },
	{ 0x539d550b, "eth_validate_addr" },
	{ 0xe4e3bffc, "ndo_dflt_fdb_dump" },
	{ 0x2a7d4250, "eth_header_parse" },
	{ 0xfebd7665, "eth_header_cache" },
	{ 0xe24dff33, "eth_header_cache_update" },
	{ 0x155ba561, "ethtool_op_get_link" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.6");
