#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x0a05a97a, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x751cafd5, "_gpl");
SYMBOL_CRC(tap_get_minor, 0x917f2931, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x9748f255, "_gpl");
SYMBOL_CRC(tap_get_socket, 0xd35ab817, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0x9aef30dc, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0x451471a0, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x55b80a2f, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x52745ee6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x335ce2a8, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8699a127, "netdev_err" },
	{ 0xf6951702, "idr_remove" },
	{ 0xf00763b5, "skb_copy_datagram_iter" },
	{ 0x202a37c1, "_copy_to_iter" },
	{ 0x7ce5b2a, "iov_iter_advance" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa36792c9, "consume_skb" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xbf5ba3bd, "prepare_to_wait" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xe8a3b4c5, "cdev_init" },
	{ 0x8420eb08, "cdev_add" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x52ed1abc, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37a0cba, "kfree" },
	{ 0xded561c0, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x59a862d6, "skb_push" },
	{ 0xb321620a, "__skb_gso_segment" },
	{ 0xc91b8f0f, "kfree_skb_list_reason" },
	{ 0x956a622, "skb_checksum_help" },
	{ 0xdefe036e, "__skb_get_hash_net" },
	{ 0x5c82e42c, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbdd9960b, "idr_find" },
	{ 0x43a81f08, "sk_alloc" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x93fd79a5, "sock_init_data_uid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x77f7df7c, "__skb_flow_dissect" },
	{ 0x907a2901, "skb_partial_csum_set" },
	{ 0x4fb61be5, "__pskb_pull_tail" },
	{ 0xe41ad350, "iov_iter_npages" },
	{ 0x160fe9ae, "_copy_from_iter" },
	{ 0x5f6fef0e, "sock_alloc_send_pskb" },
	{ 0x4b48ebf5, "skb_put" },
	{ 0x39dcf85d, "zerocopy_sg_from_iter" },
	{ 0x33d85168, "__dev_queue_xmit" },
	{ 0x5fb69aca, "skb_copy_datagram_from_iter" },
	{ 0x89bdc257, "iov_iter_revert" },
	{ 0xecdf4f33, "skb_copy_bits" },
	{ 0xa2d4cb1f, "build_skb" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xa7f4f503, "dev_set_mac_address_user" },
	{ 0x9e48669b, "dev_get_mac_address" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.6");
