#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xcdddc90d, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x27beddba, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x4613bb5a, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xeeb09f43, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xdf94f7a4, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x9a67ff04, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0xc35f2b7a, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0xeb6f699d, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xdab44727, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x9ed452f5, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x83f00e81, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x14f083f7, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x4ff56d52, "_gpl");
SYMBOL_CRC(usbnet_open, 0xf3cf9dd0, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x0b77481d, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x62c9ce40, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x9d096f3c, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x94773ea2, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x93cf5771, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0x1006711e, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0x68ee54bb, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x58695a34, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xdb6f350d, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xe37e0a83, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x37695b35, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x31ff08b1, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xda604f50, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x1b9a2a18, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x0553710d, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0xd2c9b0d7, "");
SYMBOL_CRC(usbnet_manage_power, 0x5438d9bd, "");
SYMBOL_CRC(usbnet_link_change, 0xa7da9b10, "");
SYMBOL_CRC(usbnet_read_cmd, 0x18db04ae, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x1e768661, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x85f07869, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x0a2bbabc, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xba83925c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f2fbea4, "usb_set_interface" },
	{ 0x672e91e2, "usb_string" },
	{ 0xce5ff720, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6330ecfc, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xcc656d23, "skb_queue_purge_reason" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xd8f62de7, "usb_get_urb" },
	{ 0x4dd051d1, "usb_unlink_urb" },
	{ 0xd6b6bf30, "usb_free_urb" },
	{ 0xf518c67d, "usb_submit_urb" },
	{ 0x8699a127, "netdev_err" },
	{ 0xc8650f73, "mii_ethtool_get_link_ksettings" },
	{ 0x75ad947b, "mii_ethtool_set_link_ksettings" },
	{ 0x497ea56b, "mii_nway_restart" },
	{ 0x4c87dc07, "usb_autopm_put_interface_async" },
	{ 0x37a0cba, "kfree" },
	{ 0xa3c51798, "unregister_netdev" },
	{ 0xd78a95de, "usb_scuttle_anchored_urbs" },
	{ 0xc3292192, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xeb6aae86, "free_netdev" },
	{ 0x96628b82, "netdev_info" },
	{ 0x18363d57, "netif_carrier_on" },
	{ 0x289e011b, "netif_carrier_off" },
	{ 0x6c73f5c5, "usb_control_msg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4829a47e, "memcpy" },
	{ 0x24736a4, "usb_autopm_get_interface" },
	{ 0x2d458dc, "usb_autopm_put_interface" },
	{ 0xb1f7dd19, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xb143a15a, "mii_link_ok" },
	{ 0x155ba561, "ethtool_op_get_link" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4e96c486, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x6470faaa, "remove_wait_queue" },
	{ 0x1d3992ad, "netif_device_detach" },
	{ 0x5c324b2f, "netif_device_attach" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xf741cb79, "skb_defer_rx_timestamp" },
	{ 0xbff122f8, "netif_rx" },
	{ 0xf51b4a74, "eth_type_trans" },
	{ 0xd9ce9890, "skb_queue_tail" },
	{ 0xa09cf7b5, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xdcb764ad, "memset" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0x7a0d0b68, "register_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xc30d4b7f, "pm_runtime_enable" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xa9f201f1, "skb_dequeue" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x8ff9b90f, "skb_clone_tx_timestamp" },
	{ 0x2201d4cd, "usb_autopm_get_interface_async" },
	{ 0xa981b70, "dev_kfree_skb_any_reason" },
	{ 0xe22e8aa0, "skb_tstamp_tx" },
	{ 0xb695b902, "usb_anchor_urb" },
	{ 0xda38b8f8, "__netdev_alloc_skb" },
	{ 0xa36792c9, "consume_skb" },
	{ 0x5f7de58f, "netif_tx_wake_queue" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0x72871db9, "usb_autopm_get_interface_no_resume" },
	{ 0x79385846, "usb_get_from_anchor" },
	{ 0x4b48ebf5, "skb_put" },
	{ 0x3e6bee50, "usb_clear_halt" },
	{ 0xf0f07e62, "eth_mac_addr" },
	{ 0x539d550b, "eth_validate_addr" },
	{ 0xec131935, "dev_get_tstats64" },
	{ 0x83a900f4, "ethtool_op_get_ts_info" },
	{ 0x70969f9d, "param_ops_int" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "D10E818D1D587F6CA0A230B");
MODULE_INFO(rhelversion, "9.6");
