#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_alloc_task, "_gpl", "");
KSYMTAB_FUNC(sas_alloc_slow_task, "_gpl", "");
KSYMTAB_FUNC(sas_free_task, "_gpl", "");
KSYMTAB_FUNC(sas_prep_resume_ha, "", "");
KSYMTAB_FUNC(sas_resume_ha, "", "");
KSYMTAB_FUNC(sas_suspend_ha, "", "");
KSYMTAB_DATA(dev_attr_phy_event_threshold, "_gpl", "");
KSYMTAB_FUNC(sas_domain_attach_transport, "_gpl", "");
KSYMTAB_FUNC(sas_register_ha, "_gpl", "");
KSYMTAB_FUNC(sas_unregister_ha, "_gpl", "");
KSYMTAB_FUNC(sas_drain_work, "_gpl", "");
KSYMTAB_FUNC(sas_notify_port_event, "_gpl", "");
KSYMTAB_FUNC(sas_notify_phy_event, "_gpl", "");
KSYMTAB_FUNC(sas_get_local_phy, "_gpl", "");
KSYMTAB_FUNC(sas_eh_abort_handler, "_gpl", "");
KSYMTAB_FUNC(sas_request_addr, "_gpl", "");
KSYMTAB_FUNC(sas_queuecommand, "_gpl", "");
KSYMTAB_FUNC(sas_target_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_device_configure, "_gpl", "");
KSYMTAB_FUNC(sas_change_queue_depth, "_gpl", "");
KSYMTAB_FUNC(sas_bios_param, "_gpl", "");
KSYMTAB_FUNC(sas_task_abort, "_gpl", "");
KSYMTAB_FUNC(sas_phy_reset, "_gpl", "");
KSYMTAB_FUNC(sas_eh_device_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_eh_target_reset_handler, "_gpl", "");
KSYMTAB_FUNC(sas_slave_alloc, "_gpl", "");
KSYMTAB_FUNC(sas_target_destroy, "_gpl", "");
KSYMTAB_FUNC(sas_ioctl, "_gpl", "");
KSYMTAB_FUNC(sas_ssp_task_response, "_gpl", "");
KSYMTAB_FUNC(sas_ata_schedule_reset, "_gpl", "");
KSYMTAB_FUNC(try_test_sas_gpio_gp_bit, "", "");

SYMBOL_CRC(sas_alloc_task, 0x9dda93c2, "_gpl");
SYMBOL_CRC(sas_alloc_slow_task, 0xb3b3e521, "_gpl");
SYMBOL_CRC(sas_free_task, 0x13290340, "_gpl");
SYMBOL_CRC(sas_prep_resume_ha, 0x47d708ea, "");
SYMBOL_CRC(sas_resume_ha, 0x02fcc837, "");
SYMBOL_CRC(sas_suspend_ha, 0x41203706, "");
SYMBOL_CRC(dev_attr_phy_event_threshold, 0xe2cfc434, "_gpl");
SYMBOL_CRC(sas_domain_attach_transport, 0xb8ecd9ce, "_gpl");
SYMBOL_CRC(sas_register_ha, 0x5a1e3cec, "_gpl");
SYMBOL_CRC(sas_unregister_ha, 0xa798b306, "_gpl");
SYMBOL_CRC(sas_drain_work, 0x3ab52cf2, "_gpl");
SYMBOL_CRC(sas_notify_port_event, 0x40fd69d7, "_gpl");
SYMBOL_CRC(sas_notify_phy_event, 0xd79b0680, "_gpl");
SYMBOL_CRC(sas_get_local_phy, 0xa68deff7, "_gpl");
SYMBOL_CRC(sas_eh_abort_handler, 0xb3a7c93a, "_gpl");
SYMBOL_CRC(sas_request_addr, 0xcfda1b3a, "_gpl");
SYMBOL_CRC(sas_queuecommand, 0xe5ac5e01, "_gpl");
SYMBOL_CRC(sas_target_alloc, 0xb462d4f7, "_gpl");
SYMBOL_CRC(sas_device_configure, 0xc60ebd97, "_gpl");
SYMBOL_CRC(sas_change_queue_depth, 0xd203bccf, "_gpl");
SYMBOL_CRC(sas_bios_param, 0x0b978e11, "_gpl");
SYMBOL_CRC(sas_task_abort, 0x7f863d40, "_gpl");
SYMBOL_CRC(sas_phy_reset, 0x4a8e8036, "_gpl");
SYMBOL_CRC(sas_eh_device_reset_handler, 0x644d1172, "_gpl");
SYMBOL_CRC(sas_eh_target_reset_handler, 0x2a0f3246, "_gpl");
SYMBOL_CRC(sas_slave_alloc, 0xfd9903be, "_gpl");
SYMBOL_CRC(sas_target_destroy, 0x89f31290, "_gpl");
SYMBOL_CRC(sas_ioctl, 0xbeaa7db3, "_gpl");
SYMBOL_CRC(sas_ssp_task_response, 0x45de6914, "_gpl");
SYMBOL_CRC(sas_ata_schedule_reset, 0xc38d3c27, "_gpl");
SYMBOL_CRC(try_test_sas_gpio_gp_bit, 0x4a8e3d34, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5872e9be, "ata_qc_complete" },
	{ 0x3d54a8a6, "ata_sas_scsi_ioctl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2ee8329f, "sas_rphy_remove" },
	{ 0x7efc0344, "ata_sas_device_configure" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0xd1d6f823, "ata_sas_port_destroy" },
	{ 0x5da662ac, "bsg_job_done" },
	{ 0xf04e5b58, "ata_sas_queuecmd" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xda5c424b, "sas_rphy_unlink" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x247d0702, "ata_sas_tport_add" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0xf29bfae, "scsi_schedule_eh" },
	{ 0xee27abfd, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xaa21803d, "ata_host_init" },
	{ 0x252a3924, "sas_port_alloc" },
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x4829a47e, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0x7cc3525d, "scsi_eh_ready_devs" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xc644e772, "sas_port_get_phy" },
	{ 0xffe4eab, "ata_sas_port_resume" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb7641d06, "prepare_to_wait_event" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0x26c90ea4, "scsi_eh_get_sense" },
	{ 0x8b9a5db7, "kmem_cache_create" },
	{ 0xad904669, "get_device" },
	{ 0xb4802f3a, "ata_wait_after_reset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xbdb90892, "sas_phy_alloc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x39c5d99, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x81f9ec5a, "ata_sas_tport_delete" },
	{ 0x5bcc0df7, "ata_dev_classify" },
	{ 0x95a016d6, "kmem_cache_alloc" },
	{ 0x72e1afba, "_dev_info" },
	{ 0x7c874317, "sas_phy_free" },
	{ 0xb889245a, "scsi_eh_finish_cmd" },
	{ 0xd40d07d3, "ata_sas_port_alloc" },
	{ 0xfc4dada5, "ata_port_schedule_eh" },
	{ 0xf811e69d, "scsi_eh_flush_done_q" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc2a113a, "add_timer" },
	{ 0xcbad0a2c, "sas_port_add" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0xa304aa32, "sas_port_mark_backlink" },
	{ 0x3cf20673, "kmem_cache_free" },
	{ 0xcbc6ef15, "ata_std_qc_defer" },
	{ 0xad94d124, "ata_sas_port_start" },
	{ 0x9c19e7bc, "ata_scsi_port_error_handler" },
	{ 0xbfbc0f86, "ata_change_queue_depth" },
	{ 0xb6965b8c, "ata_std_error_handler" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3d2f8f60, "sas_end_device_alloc" },
	{ 0x5f13acd4, "mutex_lock_interruptible" },
	{ 0xc03eb889, "sas_read_port_mode_page" },
	{ 0xbbe1c94e, "sas_expander_alloc" },
	{ 0xa46c873, "ata_sas_port_stop" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x68c1364, "sas_rphy_delete" },
	{ 0x5eaaf88d, "scsi_is_host_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x20a3ca71, "sas_attach_transport" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x3aa8a5e4, "scsi_host_busy" },
	{ 0xea665dfd, "ata_sas_async_probe" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0xb36ba27a, "sas_port_delete" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5be71e0d, "ata_sas_port_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x4297bdfd, "ata_sas_port_suspend" },
	{ 0xaab8cd3d, "sas_rphy_add" },
	{ 0xf2fcaf46, "sas_port_delete_phy" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7dbe9d5b, "sas_rphy_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x838aa0ff, "sas_port_add_phy" },
	{ 0x9313707d, "ata_scsi_cmd_error_handler" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x7283d967, "scsi_unblock_requests" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x3bed70ed, "sas_phy_add" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xd48f6f24, "ata_host_put" },
	{ 0x3023a5ee, "sas_port_free" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x5d2adf67, "ata_std_sched_eh" },
	{ 0x59c9c9fa, "scsi_block_requests" },
	{ 0x5188fa5e, "blk_abort_request" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xafd61d14, "sas_remove_children" },
	{ 0x48602251, "scsi_change_queue_depth" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x9170c583, "ata_port_wait_eh" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x2a125c26, "kmem_cache_destroy" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_sas");


MODULE_INFO(srcversion, "933E62F885CA8097A566310");
MODULE_INFO(rhelversion, "9.6");
