#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0xafd61d14, "");
SYMBOL_CRC(sas_remove_host, 0xdc92cfa4, "");
SYMBOL_CRC(sas_get_address, 0xae167512, "");
SYMBOL_CRC(sas_tlr_supported, 0x72d9c4b1, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xd568bd05, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x39852f25, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0x26438913, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0xbdb90892, "");
SYMBOL_CRC(sas_phy_add, 0x3bed70ed, "");
SYMBOL_CRC(sas_phy_free, 0x7c874317, "");
SYMBOL_CRC(sas_phy_delete, 0x65d8b5c3, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x8e7b3baa, "");
SYMBOL_CRC(sas_port_alloc, 0x252a3924, "");
SYMBOL_CRC(sas_port_alloc_num, 0x43a2d606, "");
SYMBOL_CRC(sas_port_add, 0xcbad0a2c, "");
SYMBOL_CRC(sas_port_free, 0x3023a5ee, "");
SYMBOL_CRC(sas_port_delete, 0xb36ba27a, "");
SYMBOL_CRC(scsi_is_sas_port, 0xd9b86ab0, "");
SYMBOL_CRC(sas_port_get_phy, 0xc644e772, "");
SYMBOL_CRC(sas_port_add_phy, 0x838aa0ff, "");
SYMBOL_CRC(sas_port_delete_phy, 0xf2fcaf46, "");
SYMBOL_CRC(sas_port_mark_backlink, 0xa304aa32, "");
SYMBOL_CRC(sas_read_port_mode_page, 0xc03eb889, "");
SYMBOL_CRC(sas_end_device_alloc, 0x3d2f8f60, "");
SYMBOL_CRC(sas_expander_alloc, 0xbbe1c94e, "");
SYMBOL_CRC(sas_rphy_add, 0xaab8cd3d, "");
SYMBOL_CRC(sas_rphy_free, 0x7dbe9d5b, "");
SYMBOL_CRC(sas_rphy_delete, 0x068c1364, "");
SYMBOL_CRC(sas_rphy_unlink, 0xda5c424b, "");
SYMBOL_CRC(sas_rphy_remove, 0x2ee8329f, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x1d26020f, "");
SYMBOL_CRC(sas_attach_transport, 0x20a3ca71, "");
SYMBOL_CRC(sas_release_transport, 0xc194afb6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b329f55, "device_for_each_child" },
	{ 0x39c5d99, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x15360117, "device_add" },
	{ 0x8f45c44a, "transport_add_device" },
	{ 0xf97a7507, "transport_configure_device" },
	{ 0x866466a6, "device_del" },
	{ 0xcc7dfdaf, "transport_destroy_device" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0xad904669, "get_device" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0x5a31037e, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xc6a983, "scsi_scan_target" },
	{ 0x7e35f6a2, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x98cf60b3, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xbe0b902e, "transport_class_register" },
	{ 0x2cef4e3, "transport_class_unregister" },
	{ 0xc2594d0, "transport_remove_device" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xf6847c87, "attribute_container_register" },
	{ 0x94c53ae, "sysfs_remove_link" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x98e2b52f, "dev_printk" },
	{ 0xcff40d1f, "scsi_mode_sense" },
	{ 0x6f5ec8f9, "attribute_container_unregister" },
	{ 0x6f90288d, "scsi_remove_host" },
	{ 0xf22f7b3a, "bsg_remove_queue" },
	{ 0x1d43b7dd, "scsi_remove_target" },
	{ 0x5eaaf88d, "scsi_is_host_device" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x5da662ac, "bsg_job_done" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0x1f9bdafe, "dma_opt_mapping_size" },
	{ 0x8e135a0, "device_initialize" },
	{ 0x18b49732, "dev_set_name" },
	{ 0x15fc7969, "transport_setup_device" },
	{ 0x7f3edf3f, "scsi_get_vpd_page" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "176C35C46ED21A5F600B01B");
MODULE_INFO(rhelversion, "9.6");
