#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x737277f2, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0x85ff5607, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0x5088d98c, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x278b541a, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x0980ac6f, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0x42eda90e, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0x289147f6, "_gpl");
SYMBOL_CRC(ucsi_create, 0xca5308d6, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x259fbc62, "_gpl");
SYMBOL_CRC(ucsi_register, 0xd2eb7af4, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x387643ff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x41080d0, "typec_partner_set_pd_revision" },
	{ 0x6ab61f29, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xfbfb910b, "typec_register_partner" },
	{ 0xcb228435, "typec_port_set_usb_power_delivery" },
	{ 0x77f16e12, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x58f5d05b, "typec_port_register_altmode" },
	{ 0x294a0e03, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf36378d4, "trace_raw_output_prep" },
	{ 0x33e28e7, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x8e564777, "trace_event_printf" },
	{ 0x2920c95f, "trace_event_raw_init" },
	{ 0x1192595, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0x7ddfa94a, "seq_lseek" },
	{ 0xc566d0c7, "bpf_trace_run2" },
	{ 0xb467ca1b, "event_triggers_call" },
	{ 0xd16bc3d5, "typec_set_mode" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xce5ff720, "__dynamic_dev_dbg" },
	{ 0xe9688af5, "trace_event_buffer_commit" },
	{ 0x17e86138, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xc6ef6c51, "trace_event_ignore_this_pid" },
	{ 0xf39982f4, "typec_partner_register_altmode" },
	{ 0xec901c12, "typec_partner_set_num_altmodes" },
	{ 0x55642d47, "typec_unregister_partner" },
	{ 0xe2de8014, "typec_set_pwr_opmode" },
	{ 0x54020c4, "typec_cable_set_identity" },
	{ 0x3988bf55, "debugfs_attr_read" },
	{ 0x21b564e1, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2afb19ea, "perf_trace_run_bpf_submit" },
	{ 0x268c5673, "_dev_err" },
	{ 0xe5043c7f, "typec_altmode_update_active" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xb2c952a6, "device_property_read_u8_array" },
	{ 0x9821b01f, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0xa43d3e77, "usb_power_delivery_register_capabilities" },
	{ 0xccc2a56d, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x788737da, "debugfs_remove" },
	{ 0x4873e549, "usb_power_delivery_unregister" },
	{ 0xaf8e059a, "trace_event_reg" },
	{ 0xe082f11e, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x4f853c38, "typec_unregister_port" },
	{ 0x619e0c6d, "power_supply_get_drvdata" },
	{ 0xdcb764ad, "memset" },
	{ 0x87fdfca2, "_dev_warn" },
	{ 0x9ea387b2, "typec_register_port" },
	{ 0x26032c7c, "typec_plug_set_num_altmodes" },
	{ 0x85be0983, "typec_partner_set_usb_power_delivery" },
	{ 0xb2710ba3, "power_supply_changed" },
	{ 0xab889d76, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe722088f, "typec_plug_register_altmode" },
	{ 0x1f79cc19, "devm_kasprintf" },
	{ 0xebd0f3e8, "seq_read" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x4c95233b, "debugfs_create_file" },
	{ 0x76d7e56b, "trace_event_buffer_reserve" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x6c776a97, "typec_unregister_altmode" },
	{ 0xcebefc59, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x39d75d66, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xe93e6cea, "usb_power_delivery_unregister_capabilities" },
	{ 0x1fc6c296, "typec_get_drvdata" },
	{ 0x3bf7cc7d, "typec_partner_set_identity" },
	{ 0xb751abbe, "power_supply_unregister" },
	{ 0xa07ad7ba, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xae701cc6, "typec_set_pwr_role" },
	{ 0xa78c4e4c, "typec_partner_usb_power_delivery_register" },
	{ 0x65c8cbc, "dev_err_probe" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x2216690e, "usb_debug_root" },
	{ 0x14462839, "device_get_next_child_node" },
	{ 0xa0a27c48, "single_open" },
	{ 0xa44913c8, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x667d794c, "__dev_fwnode" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "46260D74E018D4EF5195BF1");
MODULE_INFO(rhelversion, "9.6");
