#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vhost_work_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_init, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_start, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_flush, "_gpl", "");
KSYMTAB_FUNC(vhost_work_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_has_work, "_gpl", "");
KSYMTAB_FUNC(vhost_poll_queue, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_is_setup, "_gpl", "");
KSYMTAB_FUNC(vhost_exceeds_weight, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_init, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_check_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_has_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_set_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner_prepare, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_reset_owner, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_stop, "_gpl", "");
KSYMTAB_FUNC(vhost_clear_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_cleanup, "_gpl", "");
KSYMTAB_FUNC(vhost_chr_write_iter, "", "");
KSYMTAB_FUNC(vhost_chr_poll, "", "");
KSYMTAB_FUNC(vhost_chr_read_iter, "_gpl", "");
KSYMTAB_FUNC(vq_meta_prefetch, "_gpl", "");
KSYMTAB_FUNC(vhost_log_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_access_ok, "_gpl", "");
KSYMTAB_FUNC(vhost_vring_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_init_device_iotlb, "_gpl", "");
KSYMTAB_FUNC(vhost_dev_ioctl, "_gpl", "");
KSYMTAB_FUNC(vhost_log_write, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_init_access, "_gpl", "");
KSYMTAB_FUNC(vhost_get_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_discard_vq_desc, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_n, "_gpl", "");
KSYMTAB_FUNC(vhost_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal, "_gpl", "");
KSYMTAB_FUNC(vhost_add_used_and_signal_n, "_gpl", "");
KSYMTAB_FUNC(vhost_vq_avail_empty, "_gpl", "");
KSYMTAB_FUNC(vhost_enable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_disable_notify, "_gpl", "");
KSYMTAB_FUNC(vhost_new_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_enqueue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_dequeue_msg, "_gpl", "");
KSYMTAB_FUNC(vhost_set_backend_features, "_gpl", "");

SYMBOL_CRC(vhost_work_init, 0xa909cfc5, "_gpl");
SYMBOL_CRC(vhost_poll_init, 0xb4fbfc8e, "_gpl");
SYMBOL_CRC(vhost_poll_start, 0xd3b7c2bc, "_gpl");
SYMBOL_CRC(vhost_poll_stop, 0x86f91ad0, "_gpl");
SYMBOL_CRC(vhost_dev_flush, 0xff82f5be, "_gpl");
SYMBOL_CRC(vhost_work_queue, 0x8f3bee2c, "_gpl");
SYMBOL_CRC(vhost_has_work, 0x73297ff3, "_gpl");
SYMBOL_CRC(vhost_poll_queue, 0x54f7d767, "_gpl");
SYMBOL_CRC(vhost_vq_is_setup, 0x0e1ec723, "_gpl");
SYMBOL_CRC(vhost_exceeds_weight, 0x580a204a, "_gpl");
SYMBOL_CRC(vhost_dev_init, 0x9abc7312, "_gpl");
SYMBOL_CRC(vhost_dev_check_owner, 0x69a871be, "_gpl");
SYMBOL_CRC(vhost_dev_has_owner, 0x42fe1af2, "_gpl");
SYMBOL_CRC(vhost_dev_set_owner, 0x45dcc15f, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner_prepare, 0xfd2b3e45, "_gpl");
SYMBOL_CRC(vhost_dev_reset_owner, 0xc940fd14, "_gpl");
SYMBOL_CRC(vhost_dev_stop, 0x86fe899a, "_gpl");
SYMBOL_CRC(vhost_clear_msg, 0xd9fb0dee, "_gpl");
SYMBOL_CRC(vhost_dev_cleanup, 0xd101dd45, "_gpl");
SYMBOL_CRC(vhost_chr_write_iter, 0x9179c322, "");
SYMBOL_CRC(vhost_chr_poll, 0xbaa2b588, "");
SYMBOL_CRC(vhost_chr_read_iter, 0x24e11df2, "_gpl");
SYMBOL_CRC(vq_meta_prefetch, 0xb9a003ba, "_gpl");
SYMBOL_CRC(vhost_log_access_ok, 0x2c273ab2, "_gpl");
SYMBOL_CRC(vhost_vq_access_ok, 0x1ae82822, "_gpl");
SYMBOL_CRC(vhost_vring_ioctl, 0xeb2f1242, "_gpl");
SYMBOL_CRC(vhost_init_device_iotlb, 0xcc7296fa, "_gpl");
SYMBOL_CRC(vhost_dev_ioctl, 0x3d7bd908, "_gpl");
SYMBOL_CRC(vhost_log_write, 0xa2fb94cd, "_gpl");
SYMBOL_CRC(vhost_vq_init_access, 0xef064b48, "_gpl");
SYMBOL_CRC(vhost_get_vq_desc, 0x95f6f8ea, "_gpl");
SYMBOL_CRC(vhost_discard_vq_desc, 0x70bc1771, "_gpl");
SYMBOL_CRC(vhost_add_used, 0x733be921, "_gpl");
SYMBOL_CRC(vhost_add_used_n, 0xf6ab2ef9, "_gpl");
SYMBOL_CRC(vhost_signal, 0x1fc49295, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal, 0x08f874e8, "_gpl");
SYMBOL_CRC(vhost_add_used_and_signal_n, 0xd64c9d09, "_gpl");
SYMBOL_CRC(vhost_vq_avail_empty, 0x300c824e, "_gpl");
SYMBOL_CRC(vhost_enable_notify, 0x62c41780, "_gpl");
SYMBOL_CRC(vhost_disable_notify, 0x08bcb34d, "_gpl");
SYMBOL_CRC(vhost_new_msg, 0x44479b6d, "_gpl");
SYMBOL_CRC(vhost_enqueue_msg, 0x17676b4a, "_gpl");
SYMBOL_CRC(vhost_dequeue_msg, 0x9a660e96, "_gpl");
SYMBOL_CRC(vhost_set_backend_features, 0xfd547bb7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x4e96c486, "add_wait_queue" },
	{ 0x6470faaa, "remove_wait_queue" },
	{ 0xa6257a2f, "complete" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x3b9eb121, "wake_up_process" },
	{ 0xdcb764ad, "memset" },
	{ 0x2ea6a177, "cgroup_attach_task_all" },
	{ 0x53bf381f, "mmput" },
	{ 0xec5c10b8, "__mmdrop" },
	{ 0xc577832d, "vhost_iotlb_alloc" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xa24517eb, "vhost_iotlb_free" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x6d0ef36d, "pin_user_pages_fast" },
	{ 0x49608959, "migrate_disable" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x79f03f6f, "unpin_user_pages_dirty_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1a88227d, "kthread_use_mm" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0x2551f9fe, "kthread_unuse_mm" },
	{ 0x1000e51, "schedule" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x37a0cba, "kfree" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0x145f76ac, "fput" },
	{ 0x69beb711, "kthread_stop" },
	{ 0x69e872f9, "vhost_iotlb_itree_first" },
	{ 0x53d6aeae, "iov_iter_init" },
	{ 0x160fe9ae, "_copy_from_iter" },
	{ 0x89bdc257, "iov_iter_revert" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x202a37c1, "_copy_to_iter" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xbf5ba3bd, "prepare_to_wait" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x32628fd9, "get_task_mm" },
	{ 0xb206bfba, "kthread_create_on_node" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x38ff875f, "vhost_iotlb_add_range" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x6bec0e66, "vhost_iotlb_del_range" },
	{ 0x7ce5b2a, "iov_iter_advance" },
	{ 0x6d01b98f, "eventfd_fget" },
	{ 0x70969f9d, "param_ops_int" },
	{ 0xbb26a776, "param_ops_ushort" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "vhost_iotlb");


MODULE_INFO(srcversion, "A06B65E43EBA4F51635802B");
MODULE_INFO(rhelversion, "9.6");
