#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(register_nfs_version, "_gpl", "");
KSYMTAB_FUNC(unregister_nfs_version, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_free_client, "_gpl", "");
KSYMTAB_FUNC(nfs_put_client, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_is_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_client_init_status, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_client_init_complete, "_gpl", "");
KSYMTAB_FUNC(nfs_get_client, "_gpl", "");
KSYMTAB_FUNC(nfs_mark_client_ready, "_gpl", "");
KSYMTAB_FUNC(nfs_init_timeout_values, "_gpl", "");
KSYMTAB_FUNC(nfs_create_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_init_server_rpcclient, "_gpl", "");
KSYMTAB_FUNC(nfs_init_client, "_gpl", "");
KSYMTAB_FUNC(nfs_probe_server, "_gpl", "");
KSYMTAB_FUNC(nfs_server_copy_userdata, "_gpl", "");
KSYMTAB_FUNC(nfs_server_insert_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_server_remove_lists, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_server, "_gpl", "");
KSYMTAB_FUNC(nfs_free_server, "_gpl", "");
KSYMTAB_FUNC(nfs_create_server, "_gpl", "");
KSYMTAB_FUNC(nfs_clone_server, "_gpl", "");
KSYMTAB_FUNC(nfs_force_lookup_revalidate, "_gpl", "");
KSYMTAB_FUNC(nfs_set_verifier, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_verifier_delegated, "_gpl", "");
KSYMTAB_DATA(nfs_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_lookup, "_gpl", "");
KSYMTAB_FUNC(nfs_d_prune_case_insensitive_aliases, "_gpl", "");
KSYMTAB_DATA(nfs4_dentry_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_atomic_open, "_gpl", "");
KSYMTAB_FUNC(nfs_add_or_obtain, "_gpl", "");
KSYMTAB_FUNC(nfs_instantiate, "_gpl", "");
KSYMTAB_FUNC(nfs_create, "_gpl", "");
KSYMTAB_FUNC(nfs_mknod, "_gpl", "");
KSYMTAB_FUNC(nfs_mkdir, "_gpl", "");
KSYMTAB_FUNC(nfs_rmdir, "_gpl", "");
KSYMTAB_FUNC(nfs_unlink, "_gpl", "");
KSYMTAB_FUNC(nfs_symlink, "_gpl", "");
KSYMTAB_FUNC(nfs_link, "_gpl", "");
KSYMTAB_FUNC(nfs_rename, "_gpl", "");
KSYMTAB_FUNC(nfs_access_zap_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_get_cached, "_gpl", "");
KSYMTAB_FUNC(nfs_access_add_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_access_set_mask, "_gpl", "");
KSYMTAB_FUNC(nfs_may_open, "_gpl", "");
KSYMTAB_FUNC(nfs_permission, "_gpl", "");
KSYMTAB_FUNC(nfs_check_flags, "_gpl", "");
KSYMTAB_FUNC(nfs_file_release, "_gpl", "");
KSYMTAB_FUNC(nfs_file_llseek, "_gpl", "");
KSYMTAB_FUNC(nfs_file_read, "_gpl", "");
KSYMTAB_FUNC(nfs_file_mmap, "_gpl", "");
KSYMTAB_FUNC(nfs_file_fsync, "_gpl", "");
KSYMTAB_FUNC(nfs_file_write, "_gpl", "");
KSYMTAB_FUNC(nfs_lock, "_gpl", "");
KSYMTAB_FUNC(nfs_flock, "_gpl", "");
KSYMTAB_DATA(nfs_file_operations, "_gpl", "");
KSYMTAB_FUNC(nfs_wait_bit_killable, "_gpl", "");
KSYMTAB_FUNC(nfs_drop_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_clear_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_sync_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_check_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_set_cache_invalid, "_gpl", "");
KSYMTAB_FUNC(nfs_zap_acl_cache, "_gpl", "");
KSYMTAB_FUNC(nfs_invalidate_atime, "_gpl", "");
KSYMTAB_FUNC(nfs4_label_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_setsecurity, "_gpl", "");
KSYMTAB_FUNC(nfs_fhget, "_gpl", "");
KSYMTAB_FUNC(nfs_update_delegated_mtime, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr, "_gpl", "");
KSYMTAB_FUNC(nfs_setattr_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_getattr, "_gpl", "");
KSYMTAB_FUNC(nfs_get_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_put_lock_context, "_gpl", "");
KSYMTAB_FUNC(nfs_close_context, "_gpl", "");
KSYMTAB_FUNC(alloc_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(get_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(put_nfs_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_inode_attach_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_file_set_open_context, "_gpl", "");
KSYMTAB_FUNC(nfs_revalidate_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_inc_attr_generation_counter, "_gpl", "");
KSYMTAB_FUNC(nfs_fattr_init, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fattr_with_label, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_fhandle, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle_hash, "_gpl", "");
KSYMTAB_FUNC(_nfs_display_fhandle, "_gpl", "");
KSYMTAB_FUNC(nfs_refresh_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_post_op_update_inode_force_wcc, "_gpl", "");
KSYMTAB_FUNC(nfs_alloc_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_free_inode, "_gpl", "");
KSYMTAB_DATA(nfsiod_workqueue, "_gpl", "");
KSYMTAB_DATA(nfs_net_id, "_gpl", "");
KSYMTAB_DATA(nfs_sops, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_active, "_gpl", "");
KSYMTAB_FUNC(nfs_sb_deactive, "_gpl", "");
KSYMTAB_FUNC(nfs_client_for_each_server, "_gpl", "");
KSYMTAB_FUNC(nfs_statfs, "_gpl", "");
KSYMTAB_FUNC(nfs_show_options, "_gpl", "");
KSYMTAB_FUNC(nfs_show_devname, "_gpl", "");
KSYMTAB_FUNC(nfs_show_path, "_gpl", "");
KSYMTAB_FUNC(nfs_show_stats, "_gpl", "");
KSYMTAB_FUNC(nfs_umount_begin, "_gpl", "");
KSYMTAB_FUNC(nfs_auth_info_match, "_gpl", "");
KSYMTAB_FUNC(nfs_try_get_tree, "_gpl", "");
KSYMTAB_FUNC(nfs_reconfigure, "_gpl", "");
KSYMTAB_FUNC(nfs_kill_super, "_gpl", "");
KSYMTAB_DATA(nfs_callback_nr_threads, "_gpl", "");
KSYMTAB_DATA(nfs_callback_set_tcpport, "_gpl", "");
KSYMTAB_DATA(nfs_idmap_cache_timeout, "_gpl", "");
KSYMTAB_DATA(nfs4_disable_idmapping, "_gpl", "");
KSYMTAB_DATA(max_session_slots, "_gpl", "");
KSYMTAB_DATA(max_session_cb_slots, "_gpl", "");
KSYMTAB_DATA(send_implementation_id, "_gpl", "");
KSYMTAB_DATA(nfs4_client_id_uniquifier, "_gpl", "");
KSYMTAB_DATA(recover_lost_locks, "_gpl", "");
KSYMTAB_DATA(nfs_delay_retrans, "_gpl", "");
KSYMTAB_FUNC(nfs_dreq_bytes_left, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_current_mirror, "_gpl", "");
KSYMTAB_FUNC(nfs_pgheader_init, "_gpl", "");
KSYMTAB_FUNC(nfs_async_iocounter_wait, "_gpl", "");
KSYMTAB_FUNC(nfs_release_request, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_pgio_header_free, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_generic_pgio, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_resend, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_read, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_read_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_read_alloc_scratch, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_alloc, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_free, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list_locked, "_gpl", "");
KSYMTAB_FUNC(nfs_request_add_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_request_remove_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_init_cinfo, "_gpl", "");
KSYMTAB_FUNC(nfs_scan_commit_list, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_init_write, "_gpl", "");
KSYMTAB_FUNC(nfs_pageio_reset_write_mds, "_gpl", "");
KSYMTAB_FUNC(nfs_writeback_update_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_commitdata_release, "_gpl", "");
KSYMTAB_FUNC(nfs_initiate_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_init_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_retry_commit, "_gpl", "");
KSYMTAB_FUNC(nfs_commit_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_write_inode, "_gpl", "");
KSYMTAB_FUNC(nfs_filemap_write_and_wait_range, "_gpl", "");
KSYMTAB_FUNC(nfs_wb_all, "_gpl", "");
KSYMTAB_FUNC(nfs_path, "_gpl", "");
KSYMTAB_FUNC(nfs_do_submount, "_gpl", "");
KSYMTAB_FUNC(nfs_submount, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_enter, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_enter, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_fsync_exit, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_fsync_exit, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_status, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_status, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs_xdr_bad_filehandle, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_link_rpc_client, "_gpl", "");
KSYMTAB_FUNC(nfs_sysfs_add_server, "_gpl", "");
KSYMTAB_DATA(nfs_fs_type, "_gpl", "");
KSYMTAB_DATA(nfs4_fs_type, "_gpl", "");
KSYMTAB_FUNC(nfs_fscache_open_file, "_gpl", "");

SYMBOL_CRC(register_nfs_version, 0x36eef174, "_gpl");
SYMBOL_CRC(unregister_nfs_version, 0xeb7a102f, "_gpl");
SYMBOL_CRC(nfs_alloc_client, 0x7a1f437a, "_gpl");
SYMBOL_CRC(nfs_free_client, 0x9e3514af, "_gpl");
SYMBOL_CRC(nfs_put_client, 0x647b436c, "_gpl");
SYMBOL_CRC(nfs_client_init_is_complete, 0x6c758d3a, "_gpl");
SYMBOL_CRC(nfs_client_init_status, 0xc2f1b508, "_gpl");
SYMBOL_CRC(nfs_wait_client_init_complete, 0xa9ea83ac, "_gpl");
SYMBOL_CRC(nfs_get_client, 0x11634888, "_gpl");
SYMBOL_CRC(nfs_mark_client_ready, 0x4d659ead, "_gpl");
SYMBOL_CRC(nfs_init_timeout_values, 0x98b0ece8, "_gpl");
SYMBOL_CRC(nfs_create_rpc_client, 0x6d61b5c0, "_gpl");
SYMBOL_CRC(nfs_init_server_rpcclient, 0xb6374de1, "_gpl");
SYMBOL_CRC(nfs_init_client, 0x006e1f01, "_gpl");
SYMBOL_CRC(nfs_probe_server, 0xb63c5e53, "_gpl");
SYMBOL_CRC(nfs_server_copy_userdata, 0x9d380eca, "_gpl");
SYMBOL_CRC(nfs_server_insert_lists, 0xd311836d, "_gpl");
SYMBOL_CRC(nfs_server_remove_lists, 0x4b0deec7, "_gpl");
SYMBOL_CRC(nfs_alloc_server, 0xa7a1e76e, "_gpl");
SYMBOL_CRC(nfs_free_server, 0xa069cadc, "_gpl");
SYMBOL_CRC(nfs_create_server, 0x026cc2ed, "_gpl");
SYMBOL_CRC(nfs_clone_server, 0x14961019, "_gpl");
SYMBOL_CRC(nfs_force_lookup_revalidate, 0x06cddca8, "_gpl");
SYMBOL_CRC(nfs_set_verifier, 0x1382ea48, "_gpl");
SYMBOL_CRC(nfs_clear_verifier_delegated, 0x646e0108, "_gpl");
SYMBOL_CRC(nfs_dentry_operations, 0x23cd992d, "_gpl");
SYMBOL_CRC(nfs_lookup, 0x325ead82, "_gpl");
SYMBOL_CRC(nfs_d_prune_case_insensitive_aliases, 0xfaf41f6c, "_gpl");
SYMBOL_CRC(nfs4_dentry_operations, 0xf2cde508, "_gpl");
SYMBOL_CRC(nfs_atomic_open, 0x40338e7b, "_gpl");
SYMBOL_CRC(nfs_add_or_obtain, 0xc9c2be19, "_gpl");
SYMBOL_CRC(nfs_instantiate, 0x17f38cf3, "_gpl");
SYMBOL_CRC(nfs_create, 0x0afec074, "_gpl");
SYMBOL_CRC(nfs_mknod, 0x89b7f23e, "_gpl");
SYMBOL_CRC(nfs_mkdir, 0x32436b9c, "_gpl");
SYMBOL_CRC(nfs_rmdir, 0xe0238bec, "_gpl");
SYMBOL_CRC(nfs_unlink, 0x73c5413e, "_gpl");
SYMBOL_CRC(nfs_symlink, 0x079a0a87, "_gpl");
SYMBOL_CRC(nfs_link, 0x5c1e34d2, "_gpl");
SYMBOL_CRC(nfs_rename, 0xe484b7a3, "_gpl");
SYMBOL_CRC(nfs_access_zap_cache, 0xb7c80801, "_gpl");
SYMBOL_CRC(nfs_access_get_cached, 0xd355c6c9, "_gpl");
SYMBOL_CRC(nfs_access_add_cache, 0xa66dc144, "_gpl");
SYMBOL_CRC(nfs_access_set_mask, 0xc6c8b8f1, "_gpl");
SYMBOL_CRC(nfs_may_open, 0x37ee8bc0, "_gpl");
SYMBOL_CRC(nfs_permission, 0xd4a275ce, "_gpl");
SYMBOL_CRC(nfs_check_flags, 0x3f2690f2, "_gpl");
SYMBOL_CRC(nfs_file_release, 0x280b1805, "_gpl");
SYMBOL_CRC(nfs_file_llseek, 0xe1fb855a, "_gpl");
SYMBOL_CRC(nfs_file_read, 0x9f6efb26, "_gpl");
SYMBOL_CRC(nfs_file_mmap, 0x2849122c, "_gpl");
SYMBOL_CRC(nfs_file_fsync, 0xae2f1d90, "_gpl");
SYMBOL_CRC(nfs_file_write, 0x959d2aab, "_gpl");
SYMBOL_CRC(nfs_lock, 0x4d214741, "_gpl");
SYMBOL_CRC(nfs_flock, 0xbce0cd05, "_gpl");
SYMBOL_CRC(nfs_file_operations, 0x4e3e28bb, "_gpl");
SYMBOL_CRC(nfs_wait_bit_killable, 0x40739385, "_gpl");
SYMBOL_CRC(nfs_drop_inode, 0x20702bfc, "_gpl");
SYMBOL_CRC(nfs_clear_inode, 0x3ac42138, "_gpl");
SYMBOL_CRC(nfs_sync_inode, 0x29e84ba6, "_gpl");
SYMBOL_CRC(nfs_check_cache_invalid, 0x36939859, "_gpl");
SYMBOL_CRC(nfs_set_cache_invalid, 0x6d51a29b, "_gpl");
SYMBOL_CRC(nfs_zap_acl_cache, 0xb4f2dad9, "_gpl");
SYMBOL_CRC(nfs_invalidate_atime, 0x149e226a, "_gpl");
SYMBOL_CRC(nfs4_label_alloc, 0x5b8b41bb, "_gpl");
SYMBOL_CRC(nfs_setsecurity, 0x1acd640e, "_gpl");
SYMBOL_CRC(nfs_fhget, 0x7f0e5dcf, "_gpl");
SYMBOL_CRC(nfs_update_delegated_mtime, 0xa2aa8dbc, "_gpl");
SYMBOL_CRC(nfs_setattr, 0xd8a14309, "_gpl");
SYMBOL_CRC(nfs_setattr_update_inode, 0xeac04bc3, "_gpl");
SYMBOL_CRC(nfs_getattr, 0x69c002e9, "_gpl");
SYMBOL_CRC(nfs_get_lock_context, 0xd9f5192a, "_gpl");
SYMBOL_CRC(nfs_put_lock_context, 0x27df7b30, "_gpl");
SYMBOL_CRC(nfs_close_context, 0xe227a015, "_gpl");
SYMBOL_CRC(alloc_nfs_open_context, 0x9f7906f7, "_gpl");
SYMBOL_CRC(get_nfs_open_context, 0xb9bbc59d, "_gpl");
SYMBOL_CRC(put_nfs_open_context, 0xef937e51, "_gpl");
SYMBOL_CRC(nfs_inode_attach_open_context, 0x8b244497, "_gpl");
SYMBOL_CRC(nfs_file_set_open_context, 0xc70c8597, "_gpl");
SYMBOL_CRC(nfs_revalidate_inode, 0xc67c6597, "_gpl");
SYMBOL_CRC(nfs_inc_attr_generation_counter, 0x584b8482, "_gpl");
SYMBOL_CRC(nfs_fattr_init, 0xa05ca625, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr, 0x832e8f0b, "_gpl");
SYMBOL_CRC(nfs_alloc_fattr_with_label, 0x7c129305, "_gpl");
SYMBOL_CRC(nfs_alloc_fhandle, 0x26884ff7, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle_hash, 0x22d795a8, "_gpl");
SYMBOL_CRC(_nfs_display_fhandle, 0xfc619abd, "_gpl");
SYMBOL_CRC(nfs_refresh_inode, 0x99301fc3, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode, 0x009d39a0, "_gpl");
SYMBOL_CRC(nfs_post_op_update_inode_force_wcc, 0xfaf8fc83, "_gpl");
SYMBOL_CRC(nfs_alloc_inode, 0xbd076c56, "_gpl");
SYMBOL_CRC(nfs_free_inode, 0xdd625d91, "_gpl");
SYMBOL_CRC(nfsiod_workqueue, 0x90a5530f, "_gpl");
SYMBOL_CRC(nfs_net_id, 0xc3a2be67, "_gpl");
SYMBOL_CRC(nfs_sops, 0xf863ef88, "_gpl");
SYMBOL_CRC(nfs_sb_active, 0xd04fc031, "_gpl");
SYMBOL_CRC(nfs_sb_deactive, 0xca1a3e2d, "_gpl");
SYMBOL_CRC(nfs_client_for_each_server, 0xb3482a9b, "_gpl");
SYMBOL_CRC(nfs_statfs, 0x8de613a4, "_gpl");
SYMBOL_CRC(nfs_show_options, 0xb85f25d6, "_gpl");
SYMBOL_CRC(nfs_show_devname, 0x0845e3f7, "_gpl");
SYMBOL_CRC(nfs_show_path, 0xbabf3f15, "_gpl");
SYMBOL_CRC(nfs_show_stats, 0xd0e180b4, "_gpl");
SYMBOL_CRC(nfs_umount_begin, 0x1030a560, "_gpl");
SYMBOL_CRC(nfs_auth_info_match, 0x10962bc2, "_gpl");
SYMBOL_CRC(nfs_try_get_tree, 0x8f223227, "_gpl");
SYMBOL_CRC(nfs_reconfigure, 0x7ac8f1b8, "_gpl");
SYMBOL_CRC(nfs_kill_super, 0xbab4361b, "_gpl");
SYMBOL_CRC(nfs_callback_nr_threads, 0x0294c6a2, "_gpl");
SYMBOL_CRC(nfs_callback_set_tcpport, 0x51892d61, "_gpl");
SYMBOL_CRC(nfs_idmap_cache_timeout, 0x39e05ac3, "_gpl");
SYMBOL_CRC(nfs4_disable_idmapping, 0xdae9b5d7, "_gpl");
SYMBOL_CRC(max_session_slots, 0x91d1fe52, "_gpl");
SYMBOL_CRC(max_session_cb_slots, 0xaafd4acc, "_gpl");
SYMBOL_CRC(send_implementation_id, 0xa8e9e1ae, "_gpl");
SYMBOL_CRC(nfs4_client_id_uniquifier, 0x42f2c81f, "_gpl");
SYMBOL_CRC(recover_lost_locks, 0x4cb9e001, "_gpl");
SYMBOL_CRC(nfs_delay_retrans, 0xefa414fb, "_gpl");
SYMBOL_CRC(nfs_dreq_bytes_left, 0x76250ce5, "_gpl");
SYMBOL_CRC(nfs_pgio_current_mirror, 0xc5f285cc, "_gpl");
SYMBOL_CRC(nfs_pgheader_init, 0x9ecc720f, "_gpl");
SYMBOL_CRC(nfs_async_iocounter_wait, 0xd2367cc2, "_gpl");
SYMBOL_CRC(nfs_release_request, 0xbd9690ae, "_gpl");
SYMBOL_CRC(nfs_generic_pg_test, 0xb1277388, "_gpl");
SYMBOL_CRC(nfs_pgio_header_alloc, 0xb23b6612, "_gpl");
SYMBOL_CRC(nfs_pgio_header_free, 0xbd3c925a, "_gpl");
SYMBOL_CRC(nfs_initiate_pgio, 0x67c77161, "_gpl");
SYMBOL_CRC(nfs_generic_pgio, 0x47873f78, "_gpl");
SYMBOL_CRC(nfs_pageio_resend, 0xf2b7c63d, "_gpl");
SYMBOL_CRC(nfs_pageio_init_read, 0x1d00b3b7, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_read_mds, 0xb1a0ebb1, "_gpl");
SYMBOL_CRC(nfs_read_alloc_scratch, 0x6571ef44, "_gpl");
SYMBOL_CRC(nfs_commitdata_alloc, 0x688501aa, "_gpl");
SYMBOL_CRC(nfs_commit_free, 0x39317702, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list_locked, 0x371126ae, "_gpl");
SYMBOL_CRC(nfs_request_add_commit_list, 0x0aefd1fe, "_gpl");
SYMBOL_CRC(nfs_request_remove_commit_list, 0xe9d042fc, "_gpl");
SYMBOL_CRC(nfs_init_cinfo, 0xc8d3036c, "_gpl");
SYMBOL_CRC(nfs_scan_commit_list, 0x00cc7630, "_gpl");
SYMBOL_CRC(nfs_pageio_init_write, 0xcd16fd01, "_gpl");
SYMBOL_CRC(nfs_pageio_reset_write_mds, 0xd3ddb815, "_gpl");
SYMBOL_CRC(nfs_writeback_update_inode, 0x6d292790, "_gpl");
SYMBOL_CRC(nfs_commitdata_release, 0x213a0805, "_gpl");
SYMBOL_CRC(nfs_initiate_commit, 0x94e92a3a, "_gpl");
SYMBOL_CRC(nfs_init_commit, 0x7fa0f7cc, "_gpl");
SYMBOL_CRC(nfs_retry_commit, 0x58a63785, "_gpl");
SYMBOL_CRC(nfs_commit_inode, 0xc8ca7a6e, "_gpl");
SYMBOL_CRC(nfs_write_inode, 0x09bdfee3, "_gpl");
SYMBOL_CRC(nfs_filemap_write_and_wait_range, 0x2543926b, "_gpl");
SYMBOL_CRC(nfs_wb_all, 0xdd4d0ef0, "_gpl");
SYMBOL_CRC(nfs_path, 0x5f6fe2ca, "_gpl");
SYMBOL_CRC(nfs_do_submount, 0x0086785f, "_gpl");
SYMBOL_CRC(nfs_submount, 0x210e4a56, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_enter, 0x30496988, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_enter, 0x367809fd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_enter, 0xf96f04c4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_fsync_exit, 0x44cc3a41, "_gpl");
SYMBOL_CRC(__traceiter_nfs_fsync_exit, 0xaddf037f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_fsync_exit, 0x6e81f032, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_status, 0x59923eb3, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_status, 0xa345d266, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_status, 0x73dff4c0, "_gpl");
SYMBOL_CRC(__tracepoint_nfs_xdr_bad_filehandle, 0xe70507df, "_gpl");
SYMBOL_CRC(__traceiter_nfs_xdr_bad_filehandle, 0x12c09c78, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs_xdr_bad_filehandle, 0x95007f7e, "_gpl");
SYMBOL_CRC(nfs_sysfs_link_rpc_client, 0x8da16665, "_gpl");
SYMBOL_CRC(nfs_sysfs_add_server, 0xfeeee8dc, "_gpl");
SYMBOL_CRC(nfs_fs_type, 0x443fef73, "_gpl");
SYMBOL_CRC(nfs4_fs_type, 0xc8e79190, "_gpl");
SYMBOL_CRC(nfs_fscache_open_file, 0xc73ef5c3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42f6d0f, "rpc_put_task" },
	{ 0x75f82eac, "super_setup_bdi_name" },
	{ 0x803a8993, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9d9eb5ed, "inode_update_timestamps" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc739ba07, "filemap_fdatawrite" },
	{ 0x2d044f1, "generic_fillattr" },
	{ 0x33e65f9a, "vfs_fsync_range" },
	{ 0x231fa0b2, "ida_alloc_range" },
	{ 0xdcf4c824, "clear_nlink" },
	{ 0xdf804008, "file_check_and_advance_wb_err" },
	{ 0x2719e188, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb4089c7d, "d_alloc_parallel" },
	{ 0xa34ccec0, "flush_dcache_page" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd4b90c44, "__init_rwsem" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7d29ba79, "clear_inode" },
	{ 0x90e40bae, "inode_to_bdi" },
	{ 0xc7fc1ae1, "bpf_trace_run4" },
	{ 0xe76abc2e, "__fscache_acquire_volume" },
	{ 0x32f0f552, "ida_destroy" },
	{ 0x79c2497, "param_ops_ulong" },
	{ 0x8f8cd641, "proc_dointvec_jiffies" },
	{ 0x961abce5, "rpc_proc_register" },
	{ 0xb5bd3d9b, "register_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xeee37d03, "sysfs_create_file_ns" },
	{ 0xf2d2acf4, "rpc_shutdown_client" },
	{ 0x422f606e, "fs_param_is_string" },
	{ 0x9712f15d, "folio_unlock" },
	{ 0xbd378e0e, "mnt_set_expiry" },
	{ 0xbb26a776, "param_ops_ushort" },
	{ 0x17266c99, "lookup_one_len" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x23456a88, "generic_file_splice_read" },
	{ 0x9994cdcb, "rpc_clnt_show_stats" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xfe3a259, "filemap_map_pages" },
	{ 0xedbec81, "__fscache_begin_read_operation" },
	{ 0x4dda1edf, "xdr_inline_decode" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf36378d4, "trace_raw_output_prep" },
	{ 0x157472b0, "kobject_rename" },
	{ 0xb14f2eb6, "security_sb_set_mnt_opts" },
	{ 0xaea36e4c, "init_special_inode" },
	{ 0x22d573ea, "unregister_filesystem" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xb7f0d7a3, "filemap_fdatawrite_range" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x183a254c, "folio_wait_bit_killable" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0x9e8d65df, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xf59a9d2a, "d_make_root" },
	{ 0x8e564777, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xf9477b85, "sync_filesystem" },
	{ 0x92c9dfff, "__fscache_unuse_cookie" },
	{ 0x160c7570, "folio_redirty_for_writepage" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7a2eff6c, "sget_fc" },
	{ 0x9456f382, "d_splice_alias" },
	{ 0x63fdac54, "generic_error_remove_page" },
	{ 0x2920c95f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x7463666a, "unmap_mapping_range" },
	{ 0x7150fcf5, "ihold" },
	{ 0x831a18b1, "inode_dio_wait" },
	{ 0xa7514762, "generic_permission" },
	{ 0x37a0cba, "kfree" },
	{ 0x620dd1a8, "invalidate_inode_pages2_range" },
	{ 0x7fd1e37d, "read_cache_page" },
	{ 0x7ac8350e, "finish_open" },
	{ 0xfb504bb8, "iput" },
	{ 0x51ccd674, "kset_unregister" },
	{ 0xe914e2ff, "security_sb_clone_mnt_opts" },
	{ 0x6fd5ae42, "fs_param_is_enum" },
	{ 0x5b78998d, "logfc" },
	{ 0x54ab99f3, "__put_devmap_managed_page_refs" },
	{ 0x228e7f90, "iter_file_splice_write" },
	{ 0x189186e5, "rpc_pton" },
	{ 0x370e1a1e, "mod_node_page_state" },
	{ 0xf69e890c, "rpc_wake_up_queued_task" },
	{ 0xc566d0c7, "bpf_trace_run2" },
	{ 0xb7641d06, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xf145dcca, "remove_proc_subtree" },
	{ 0xd3fc9b54, "rpc_restart_call_prepare" },
	{ 0x4e199dbb, "d_lookup" },
	{ 0xb467ca1b, "event_triggers_call" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x6c852f74, "__module_get" },
	{ 0x55844b4c, "__fscache_relinquish_cookie" },
	{ 0xfeac6c25, "register_filesystem" },
	{ 0x8b9a5db7, "kmem_cache_create" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xc1c2c4bb, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0xa9efaeca, "mempool_free" },
	{ 0xbf9468fd, "filemap_add_folio" },
	{ 0xddeb7305, "rpc_sleep_on" },
	{ 0x28add978, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1113d0d3, "netfs_readahead" },
	{ 0x3f285282, "proc_create_net_data" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xea9c7d0c, "d_prune_aliases" },
	{ 0xc3de986a, "__put_cred" },
	{ 0xb95e69fa, "register_pernet_subsys" },
	{ 0x88e95be6, "rpc_cancel_tasks" },
	{ 0xe9688af5, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x57c3f327, "migrate_folio" },
	{ 0xd52f9326, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe99bdd43, "fs_param_is_u32" },
	{ 0x77477322, "inode_newsize_ok" },
	{ 0x91394551, "d_drop" },
	{ 0x1f0d6bf5, "deactivate_super" },
	{ 0x4509128c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x6600aa04, "mempool_create" },
	{ 0x1000e51, "schedule" },
	{ 0x688fa4ea, "security_sb_mnt_opts_compat" },
	{ 0xf2f0d83f, "param_get_uint" },
	{ 0xe3aa615, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6e8a279b, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc6ef6c51, "trace_event_ignore_this_pid" },
	{ 0xeb09acab, "make_kuid" },
	{ 0x722592c0, "truncate_inode_pages_final" },
	{ 0x4bd8824a, "d_alloc" },
	{ 0x45ba4fa, "fs_kobj" },
	{ 0x2f992daa, "net_ns_type_operations" },
	{ 0x2977b8ba, "__filemap_set_wb_err" },
	{ 0xd2b688ff, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b4bfa9, "generic_perform_write" },
	{ 0xea6e2ba3, "__filemap_get_folio" },
	{ 0x1296494, "mempool_alloc" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0xf6dd14db, "simple_nosetlease" },
	{ 0x95a016d6, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xcd6663d1, "module_put" },
	{ 0x1264475a, "__var_waitqueue" },
	{ 0x2934b539, "rpc_setbufsize" },
	{ 0x99a39d7f, "fs_context_for_submount" },
	{ 0x4863abcc, "inode_init_once" },
	{ 0xe05718e1, "folio_wait_private_2" },
	{ 0xc5bb2bf2, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xf6951702, "idr_remove" },
	{ 0xbbc4131a, "__fscache_relinquish_volume" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0xb4171d52, "ilookup5" },
	{ 0x76a7394e, "generic_parse_monolithic" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb06794, "inode_nohighmem" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2afb19ea, "perf_trace_run_bpf_submit" },
	{ 0xa3670240, "security_d_instantiate" },
	{ 0x49608959, "migrate_disable" },
	{ 0x278f134f, "down_write" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xc9a693cf, "up_write" },
	{ 0x496775a5, "generic_file_read_iter" },
	{ 0x3fbddd58, "unlock_page" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc1996e50, "rpc_clone_client_set_auth" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xa07a37f0, "memchr" },
	{ 0x28903ca9, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcfd782f9, "put_fs_context" },
	{ 0xa2933fda, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x963c691e, "kobj_sysfs_ops" },
	{ 0x2db02176, "xa_load" },
	{ 0xbbbd1bf9, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xe78fe2e7, "write_cache_pages" },
	{ 0xc6ef7eb4, "set_nlink" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x3cf20673, "kmem_cache_free" },
	{ 0x159aac43, "rpc_max_payload" },
	{ 0x860096da, "folio_alloc" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0x847e2a9d, "d_move" },
	{ 0x72a61a44, "seq_putc" },
	{ 0x1497d7ea, "rpc_proc_unregister" },
	{ 0xaf8e059a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4b79d569, "vfs_create_mount" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0x2a33dc12, "folio_wait_writeback" },
	{ 0xd0a95618, "ida_free" },
	{ 0xe11d98c3, "nlmclnt_rpc_clnt" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x3f9a2b0b, "rpcauth_get_gssinfo" },
	{ 0x249fc9e9, "kobject_init_and_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x55951b9b, "write_inode_now" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa3981ba1, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x20463df4, "wait_for_completion_killable" },
	{ 0x5448f43a, "rpc_create" },
	{ 0x5202ec3d, "finish_no_open" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x114d54e2, "__folio_start_writeback" },
	{ 0xf4eef5e9, "d_obtain_root" },
	{ 0xb520d430, "bpf_trace_run1" },
	{ 0x50967acc, "param_ops_short" },
	{ 0xded561c0, "idr_destroy" },
	{ 0xae59a076, "folio_end_writeback" },
	{ 0xa4286268, "rpc_call_sync" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0x73489241, "proc_mkdir" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xc126f46e, "rpc_put_task_async" },
	{ 0xd8e6477e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdbc8a7db, "xdr_init_decode_pages" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x86d52ba5, "lookup_constant" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x674c3dda, "rpc_exit" },
	{ 0xbc99e255, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x964a277b, "d_delete" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xbe1b698d, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x395e3b4e, "nfs_ssc_unregister" },
	{ 0x6df1c453, "rpc_killall_tasks" },
	{ 0xd58b9dbf, "down_read" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0xf1b765a4, "xdr_reserve_space" },
	{ 0x7fe32873, "rb_replace_node" },
	{ 0x4841bdee, "strnchr" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x90faf852, "iov_iter_get_pages_alloc2" },
	{ 0x2311311b, "set_page_dirty" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb6fbb27b, "bpf_trace_run3" },
	{ 0x9feab381, "__put_net" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x473746aa, "netfs_read_folio" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfa4e6e09, "generic_read_dir" },
	{ 0x7c1d8efc, "kobject_del" },
	{ 0x76d7e56b, "trace_event_buffer_reserve" },
	{ 0x683aca2a, "d_add" },
	{ 0x191eab80, "rename_lock" },
	{ 0x85df9b6c, "strsep" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xf1b19803, "filemap_fdatawait_range" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0xe471accf, "param_ops_bool" },
	{ 0x732dd326, "groups_free" },
	{ 0x4698abe6, "security_inode_notifysecctx" },
	{ 0x16992a, "nfs_ssc_register" },
	{ 0x2666fefc, "init_user_ns" },
	{ 0x427fe41c, "xa_find" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x268c6315, "invalidate_inode_pages2" },
	{ 0x306bf02e, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x77e1e62a, "mempool_destroy" },
	{ 0xe0cff386, "__folio_put" },
	{ 0xad6982ff, "kobject_set_name" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39d75d66, "seq_printf" },
	{ 0x1b2f3ba4, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xdb83be08, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6571abcc, "deactivate_locked_super" },
	{ 0x86f8a4a, "put_rpccred" },
	{ 0xe4f70191, "__percpu_down_read" },
	{ 0x378c17ca, "__d_lookup_unhash_wake" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x120396a9, "kobject_uevent" },
	{ 0x3beca274, "__fscache_invalidate" },
	{ 0x3e1bf7f5, "folio_mapping" },
	{ 0x3f418dab, "downgrade_write" },
	{ 0x5668e492, "cred_fscmp" },
	{ 0xc94abd98, "__folio_lock" },
	{ 0x2560f641, "filemap_dirty_folio" },
	{ 0x13cda97d, "pagecache_get_page" },
	{ 0xea653fa8, "is_bad_inode" },
	{ 0xc4d5ca97, "proc_dointvec" },
	{ 0x438665ae, "seq_puts" },
	{ 0xe118b8c0, "__fscache_use_cookie" },
	{ 0x4907168, "rcuwait_wake_up" },
	{ 0xc394bf60, "_proc_mkdir" },
	{ 0x6cb28ee2, "node_data" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x54545d25, "seq_escape" },
	{ 0xbeb53939, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xa3e1e3d8, "__fs_parse" },
	{ 0x4594a26c, "sysfs_create_link_nowarn" },
	{ 0xa9d12f16, "dget_parent" },
	{ 0x99d6a770, "nlmclnt_init" },
	{ 0x5ca1c284, "kill_anon_super" },
	{ 0x7d6bad5, "xa_find_after" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xd9fbb7a1, "iget5_locked" },
	{ 0x5a75b80e, "filemap_write_and_wait_range" },
	{ 0x839d4149, "kset_register" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x27494e04, "nlmclnt_done" },
	{ 0x98cf60b3, "strlen" },
	{ 0x2282eb0e, "proc_symlink" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x70969f9d, "param_ops_int" },
	{ 0xd178024d, "netfs_subreq_terminated" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x89bdc257, "iov_iter_revert" },
	{ 0x319bd633, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd98b613b, "mntget" },
	{ 0xd5ff8908, "setattr_should_drop_sgid" },
	{ 0x349cba85, "strchr" },
	{ 0x6d87a021, "kmem_cache_alloc_lru" },
	{ 0x32e0c847, "filemap_fault" },
	{ 0x49e29098, "d_invalidate" },
	{ 0xe20bbb30, "__mark_inode_dirty" },
	{ 0xb2a34665, "generic_file_llseek" },
	{ 0x68ba6866, "folio_wait_private_2_killable" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xf26a31bd, "up_read" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xe0f5e167, "rpc_wait_for_completion_task" },
	{ 0x24183dfd, "set_anon_super" },
	{ 0x878eea18, "drop_nlink" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2a125c26, "kmem_cache_destroy" },
	{ 0x46724ff4, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xec37168, "kobject_put" },
	{ 0x99f2acc4, "vfs_get_tree" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,fscache,netfs,lockd");


MODULE_INFO(srcversion, "84BE99E6345D8AE04816C30");
MODULE_INFO(rhelversion, "9.6");
