#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_reg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg, "_gpl", "");
KSYMTAB_DATA(__tracepoint_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_FUNC(__traceiter_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_bl_pr_key_unreg_err, "_gpl", "");
KSYMTAB_DATA(__tracepoint_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(__traceiter_fl_getdevinfo, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_fl_getdevinfo, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0x74023c83, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x0c53e858, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xd380a694, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xea5158c6, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x2be560e7, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x1bd9f55d, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0xb22e061a, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0xc729b345, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x17a879cb, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x899aebe8, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0xdded15e5, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0xe0a8e36f, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0xf8ea19b5, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0x80085036, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0xea78adf4, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0xede41327, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0x7dccf83e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0xc7a9d954, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x9a1a74c3, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0xb0b2e527, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x533c198f, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0xeae8522f, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0x9a426408, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x5a4314e9, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xd0ecfaad, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x7a0b58c0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0xba53a1ef, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x974a1614, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0xd1b1a8eb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x0ff289f3, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x0f01076e, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0xa7be5804, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x7cd013a8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0x82409884, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0xf4aef556, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x7a4e7f4e, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x5ce462a3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0x0c23a2f2, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x27ad47ea, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0xcf29b95f, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0x0f8d3bd6, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x579126b8, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xe19f5ee0, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x993c1199, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xdf6991a4, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0x0aebca68, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0x14befa84, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x785c06ab, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x32bb6e05, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0x57b3186a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x30a44ac3, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x7ab7bcc6, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0x7f9847d8, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x08b2c467, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg, 0x2069ac1b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg, 0x855acdd0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg, 0x02884be0, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_reg_err, 0xff07ac0d, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_reg_err, 0x8557104b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_reg_err, 0x90c878c7, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg, 0x5d1e2248, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg, 0x39558d06, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg, 0x94384f04, "_gpl");
SYMBOL_CRC(__tracepoint_bl_pr_key_unreg_err, 0x83ded87b, "_gpl");
SYMBOL_CRC(__traceiter_bl_pr_key_unreg_err, 0x373fdb3a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_bl_pr_key_unreg_err, 0x33759ebd, "_gpl");
SYMBOL_CRC(__tracepoint_fl_getdevinfo, 0xad99458e, "_gpl");
SYMBOL_CRC(__traceiter_fl_getdevinfo, 0x897c3b28, "_gpl");
SYMBOL_CRC(__SCK__tp_func_fl_getdevinfo, 0x8f78a275, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0xeb2bf131, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x3ad5541d, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xbe7e1668, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0xe9c2189c, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0xea4eaabd, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0xe561c374, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0x2a00e5e9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0xa07870f9, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0xd970348c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0xb7b00ed8, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x69f8cefe, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0x2a3c81a0, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x52f64ae9, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xf85f1636, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x757e14ac, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0x6f8b2f05, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0x1d7b8549, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x8f57927c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xbc0114de, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0xd041a689, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x41b28f54, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0xc401e7a6, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0x1d161cbf, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0xe8eaf9c8, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0xc9eab79a, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x77291e8a, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0xad54c9c2, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0x94dfce7d, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xe1379ee5, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xefa90e0d, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x88c09e48, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0x94381bcd, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x48ef05e2, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0xe4fabfc8, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x58139426, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x9cb6fde6, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x3184ff69, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0x700e192d, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0x0ccf9a36, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x25a0e146, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x6ce49982, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xcd7c0c3b, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0xa4b564cb, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x3a8669fe, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0xc9d42a54, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xd5de3ee5, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0x97eb2086, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x9f04c54c, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x1d4ad3dc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42f6d0f, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x6c9c8281, "generic_copy_file_range" },
	{ 0xdee4a00c, "svc_generic_rpcbind_set" },
	{ 0x14961019, "nfs_clone_server" },
	{ 0xa66dc144, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc739ba07, "filemap_fdatawrite" },
	{ 0xd0e180b4, "nfs_show_stats" },
	{ 0x231fa0b2, "ida_alloc_range" },
	{ 0x4b0deec7, "nfs_server_remove_lists" },
	{ 0x68021d07, "nfs42_ssc_unregister" },
	{ 0x8e0e8efb, "generic_listxattr" },
	{ 0x2719e188, "try_module_get" },
	{ 0x651949aa, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6d292790, "nfs_writeback_update_inode" },
	{ 0x7d29ba79, "clear_inode" },
	{ 0x90e40bae, "inode_to_bdi" },
	{ 0xc7fc1ae1, "bpf_trace_run4" },
	{ 0xd9ea9b6f, "user_destroy" },
	{ 0xbdd9960b, "idr_find" },
	{ 0x90034aef, "param_ops_uint" },
	{ 0x312c47dd, "user_revoke" },
	{ 0x5635a3df, "d_exact_alias" },
	{ 0x7a1f437a, "nfs_alloc_client" },
	{ 0xb5bd3d9b, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x4d659ead, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd9f24e7c, "rpc_clnt_probe_trunked_xprts" },
	{ 0xb1a0ebb1, "nfs_pageio_reset_read_mds" },
	{ 0xc2d01b10, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xf2d2acf4, "rpc_shutdown_client" },
	{ 0x7917333, "svc_bind" },
	{ 0xfaf41f6c, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xdd625d91, "nfs_free_inode" },
	{ 0xb7c80801, "nfs_access_zap_cache" },
	{ 0xca1a3e2d, "nfs_sb_deactive" },
	{ 0xdd4d0ef0, "nfs_wb_all" },
	{ 0x23456a88, "generic_file_splice_read" },
	{ 0x1aa27caa, "__break_lease" },
	{ 0xcd16fd01, "nfs_pageio_init_write" },
	{ 0x17787f73, "svc_recv" },
	{ 0x20702bfc, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x4dda1edf, "xdr_inline_decode" },
	{ 0x1d00b3b7, "nfs_pageio_init_read" },
	{ 0xf36378d4, "trace_raw_output_prep" },
	{ 0xa9ea83ac, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x7fa0f7cc, "nfs_init_commit" },
	{ 0x213a0805, "nfs_commitdata_release" },
	{ 0xbb7decc3, "bpf_trace_run6" },
	{ 0xdd6d663, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x6ab4a10e, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x89b7f23e, "nfs_mknod" },
	{ 0x8b244497, "nfs_inode_attach_open_context" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0x5b8b41bb, "nfs4_label_alloc" },
	{ 0xaca26535, "rpc_localaddr" },
	{ 0x9e8d65df, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0x8e564777, "trace_event_printf" },
	{ 0xd355c6c9, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0xec054082, "idr_replace" },
	{ 0x4d214741, "nfs_lock" },
	{ 0xebb9c771, "unregister_key_type" },
	{ 0x6c758d3a, "nfs_client_init_is_complete" },
	{ 0xfbf9c4c9, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x9456f382, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xbf5ba3bd, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x2920c95f, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x7150fcf5, "ihold" },
	{ 0x5c8d1d34, "truncate_pagecache_range" },
	{ 0x1d0709ee, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x620dd1a8, "invalidate_inode_pages2_range" },
	{ 0x9d39a0, "nfs_post_op_update_inode" },
	{ 0xf8cb22bf, "svc_exit_thread" },
	{ 0xfb504bb8, "iput" },
	{ 0xae782033, "xdr_set_pagelen" },
	{ 0xbd3c925a, "nfs_pgio_header_free" },
	{ 0x371126ae, "nfs_request_add_commit_list_locked" },
	{ 0x4e96c486, "add_wait_queue" },
	{ 0x5b78998d, "logfc" },
	{ 0xb23b6612, "nfs_pgio_header_alloc" },
	{ 0x54ab99f3, "__put_devmap_managed_page_refs" },
	{ 0x228e7f90, "iter_file_splice_write" },
	{ 0x189186e5, "rpc_pton" },
	{ 0xd04fc031, "nfs_sb_active" },
	{ 0x370e1a1e, "mod_node_page_state" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0xf69e890c, "rpc_wake_up_queued_task" },
	{ 0xc566d0c7, "bpf_trace_run2" },
	{ 0xb7641d06, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xaa97861e, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xd3fc9b54, "rpc_restart_call_prepare" },
	{ 0xb467ca1b, "event_triggers_call" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x155db9d, "_copy_from_pages" },
	{ 0x6c852f74, "__module_get" },
	{ 0x8b9a5db7, "kmem_cache_create" },
	{ 0x304688dd, "rpc_task_release_transport" },
	{ 0x82bbbe16, "xdr_page_pos" },
	{ 0x280b1805, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xc5f285cc, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x1a14e3e3, "key_instantiate_and_link" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0x587ed81e, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xef930b8b, "register_key_type" },
	{ 0xddeb7305, "rpc_sleep_on" },
	{ 0x28add978, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf2b7c63d, "nfs_pageio_resend" },
	{ 0x487f4726, "keyring_alloc" },
	{ 0xf92ee0f9, "vfs_setpos" },
	{ 0xafec074, "nfs_create" },
	{ 0xdf43f276, "complete_request_key" },
	{ 0xc3de986a, "__put_cred" },
	{ 0xa2aa8dbc, "nfs_update_delegated_mtime" },
	{ 0x8de613a4, "nfs_statfs" },
	{ 0x3b9eb121, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0xf8efe3bd, "rpc_max_bc_payload" },
	{ 0xe9688af5, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x48cf1e02, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0xd52f9326, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x32436b9c, "nfs_mkdir" },
	{ 0xc67c6597, "nfs_revalidate_inode" },
	{ 0x77477322, "inode_newsize_ok" },
	{ 0x2849122c, "nfs_file_mmap" },
	{ 0xd9f5192a, "nfs_get_lock_context" },
	{ 0x91394551, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x6d51a29b, "nfs_set_cache_invalid" },
	{ 0x7b747307, "rpc_release_client" },
	{ 0x20420ea0, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xebcc8347, "rt_spin_trylock" },
	{ 0xd7c4cf8d, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x961f1ece, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6e8a279b, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc6ef6c51, "trace_event_ignore_this_pid" },
	{ 0x47873f78, "nfs_generic_pgio" },
	{ 0xeb09acab, "make_kuid" },
	{ 0x722592c0, "truncate_inode_pages_final" },
	{ 0xcdfcc44b, "generic_setlease" },
	{ 0x448d4138, "xprt_destroy_backchannel" },
	{ 0xe3a66c81, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xcc7630, "nfs_scan_commit_list" },
	{ 0x29054773, "xdr_stream_decode_string_dup" },
	{ 0xc8ca7a6e, "nfs_commit_inode" },
	{ 0xc46ff66e, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x57bf7ab7, "unregister_shrinker" },
	{ 0xc4652e21, "rpc_destroy_pipe_data" },
	{ 0x11634888, "nfs_get_client" },
	{ 0x6cf3d0e8, "__free_pages" },
	{ 0x95a016d6, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x40338e7b, "nfs_atomic_open" },
	{ 0xdecc5f1a, "rpc_pipe_generic_upcall" },
	{ 0xae2f1d90, "nfs_file_fsync" },
	{ 0xcd6663d1, "module_put" },
	{ 0x1264475a, "__var_waitqueue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc3816ba3, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x27df7b30, "nfs_put_lock_context" },
	{ 0xe484b7a3, "nfs_rename" },
	{ 0x325ead82, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0x8da16665, "nfs_sysfs_link_rpc_client" },
	{ 0x647b436c, "nfs_put_client" },
	{ 0xb85f25d6, "nfs_show_options" },
	{ 0x85834b7f, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x9893a582, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xf70ed179, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xb9bbc59d, "get_nfs_open_context" },
	{ 0x2afb19ea, "perf_trace_run_bpf_submit" },
	{ 0x646e0108, "nfs_clear_verifier_delegated" },
	{ 0xfeeee8dc, "nfs_sysfs_add_server" },
	{ 0x145f76ac, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x278f134f, "down_write" },
	{ 0x67a574ff, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x86785f, "nfs_do_submount" },
	{ 0x40b09b3f, "vfs_dup_fs_context" },
	{ 0xc9a693cf, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xc22ac27f, "request_key_with_auxdata" },
	{ 0xc1996e50, "rpc_clone_client_set_auth" },
	{ 0xacb67179, "rpc_clone_client" },
	{ 0x41367b41, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0xc2f1b508, "nfs_client_init_status" },
	{ 0x335ce2a8, "idr_alloc" },
	{ 0xc195508b, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd2130a06, "radix_tree_preloads" },
	{ 0x6656c7c, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcfd782f9, "put_fs_context" },
	{ 0x58a63785, "nfs_retry_commit" },
	{ 0xf2cde508, "nfs4_dentry_operations" },
	{ 0x89ff1f5, "__module_put_and_kthread_exit" },
	{ 0xa2933fda, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xb3482a9b, "nfs_client_for_each_server" },
	{ 0x3ac42138, "nfs_clear_inode" },
	{ 0x301ebba, "rpc_sleep_on_priority" },
	{ 0x149e226a, "nfs_invalidate_atime" },
	{ 0xbbbd1bf9, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x1030a560, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x69c002e9, "nfs_getattr" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0xd3ddb815, "nfs_pageio_reset_write_mds" },
	{ 0x3cf20673, "kmem_cache_free" },
	{ 0xb1277388, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x884725c2, "xdr_stream_subsegment" },
	{ 0xb4f2dad9, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xc73ef5c3, "nfs_fscache_open_file" },
	{ 0x28e372ee, "from_kgid" },
	{ 0xaf8e059a, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9bdfee3, "nfs_write_inode" },
	{ 0xe9d042fc, "nfs_request_remove_commit_list" },
	{ 0xd0a95618, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x35995c77, "rpc_wake_up_first" },
	{ 0x9f7906f7, "alloc_nfs_open_context" },
	{ 0x10f7d40d, "list_lru_add_obj" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x7b88829e, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5f6fe2ca, "nfs_path" },
	{ 0xc4a5bc77, "rpc_sleep_on_priority_timeout" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6d61b5c0, "nfs_create_rpc_client" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x36eef174, "register_nfs_version" },
	{ 0xd11f5b2c, "rpc_sleep_on_timeout" },
	{ 0x1362ce7b, "list_lru_count_one" },
	{ 0xb800ec1a, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x5702544c, "rpc_call_start" },
	{ 0x7395c71d, "xprt_setup_backchannel" },
	{ 0xb520d430, "bpf_trace_run1" },
	{ 0x75ca8061, "svc_create" },
	{ 0xecbb279a, "rpc_clnt_iterate_for_each_xprt" },
	{ 0xc70c8597, "nfs_file_set_open_context" },
	{ 0x2ef8ff2a, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xa4286268, "rpc_call_sync" },
	{ 0x9e8e306b, "from_kuid" },
	{ 0xc126f46e, "rpc_put_task_async" },
	{ 0xdac9ca84, "rpc_prepare_reply_pages" },
	{ 0xe13fb56e, "rpc_queue_upcall" },
	{ 0xa069cadc, "nfs_free_server" },
	{ 0x77ca35b0, "fc_mount" },
	{ 0xd8a14309, "nfs_setattr" },
	{ 0xdcb764ad, "memset" },
	{ 0x3f188fda, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc8e79190, "nfs4_fs_type" },
	{ 0xf0b6f4a0, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xf957451b, "rpc_delay" },
	{ 0xbce0cd05, "nfs_flock" },
	{ 0x2e63bc5b, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x8ac91623, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0x6abfa3a9, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0x674c3dda, "rpc_exit" },
	{ 0xbc99e255, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x564a0902, "rpc_remove_pipe_dir_object" },
	{ 0x37ee8bc0, "nfs_may_open" },
	{ 0x6e21c4cc, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x9d380eca, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd58b9dbf, "down_read" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0xf1b765a4, "xdr_reserve_space" },
	{ 0xb9423851, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb206bfba, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe0238bec, "nfs_rmdir" },
	{ 0xb6fbb27b, "bpf_trace_run3" },
	{ 0xf5c4dcc, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x2543926b, "nfs_filemap_write_and_wait_range" },
	{ 0x26e8435a, "rpc_mkpipe_dentry" },
	{ 0xf3180568, "alloc_file_pseudo" },
	{ 0xe265d70f, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xe3321755, "rpc_add_pipe_dir_object" },
	{ 0x7997aaea, "igrab" },
	{ 0xeb7a102f, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xd2367cc2, "nfs_async_iocounter_wait" },
	{ 0x9f6efb26, "nfs_file_read" },
	{ 0x76d7e56b, "trace_event_buffer_reserve" },
	{ 0x7c129305, "nfs_alloc_fattr_with_label" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xf1b19803, "filemap_fdatawait_range" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x688501aa, "nfs_commitdata_alloc" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xeac04bc3, "nfs_setattr_update_inode" },
	{ 0x17f38cf3, "nfs_instantiate" },
	{ 0x2666fefc, "init_user_ns" },
	{ 0xbc70c7a8, "rpc_uaddr2sockaddr" },
	{ 0xd9920af3, "user_read" },
	{ 0xe5c55b1a, "rpc_restart_call" },
	{ 0x292edbb8, "request_key_tag" },
	{ 0x693e0279, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x306bf02e, "alloc_pages" },
	{ 0xf3286834, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x652afbdd, "svc_xprt_destroy_all" },
	{ 0x468d1204, "generic_key_instantiate" },
	{ 0x820a72f7, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0x5c1e34d2, "nfs_link" },
	{ 0xe0cff386, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4375c3fc, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x7d34e6d1, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1b2f3ba4, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0xdb83be08, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x9c72bdef, "xdr_stream_move_subsegment" },
	{ 0x86f8a4a, "put_rpccred" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0xfaf8fc83, "nfs_post_op_update_inode_force_wcc" },
	{ 0x9ecc720f, "nfs_pgheader_init" },
	{ 0xef937e51, "put_nfs_open_context" },
	{ 0xbabf3f15, "nfs_show_path" },
	{ 0x845e3f7, "nfs_show_devname" },
	{ 0xd4a275ce, "nfs_permission" },
	{ 0x94e92a3a, "nfs_initiate_commit" },
	{ 0xbb50afd1, "truncate_inode_pages_range" },
	{ 0x1dca85de, "__put_user_ns" },
	{ 0x5668e492, "cred_fscmp" },
	{ 0x5c8aae11, "rpc_unlink" },
	{ 0x29e84ba6, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xc4d5ca97, "proc_dointvec" },
	{ 0x6470faaa, "remove_wait_queue" },
	{ 0x959d2aab, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x6cb28ee2, "node_data" },
	{ 0xb63c5e53, "nfs_probe_server" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x1acd640e, "nfs_setsecurity" },
	{ 0xbeb53939, "rpc_clnt_xprt_switch_has_addr" },
	{ 0xdc168690, "rpc_clnt_test_and_add_xprt" },
	{ 0xca414e13, "file_ra_state_init" },
	{ 0x6cddca8, "nfs_force_lookup_revalidate" },
	{ 0xe1fb855a, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x53469951, "rpc_clnt_add_xprt" },
	{ 0xa9d12f16, "dget_parent" },
	{ 0x5d7a1816, "from_kuid_munged" },
	{ 0xa97960e3, "prepare_kernel_cred" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xa7a1e76e, "nfs_alloc_server" },
	{ 0x97acb5e9, "rpc_call_async" },
	{ 0x87e162c9, "security_dentry_init_security" },
	{ 0x5a75b80e, "filemap_write_and_wait_range" },
	{ 0x2e80e38b, "list_lru_del_obj" },
	{ 0xd311836d, "nfs_server_insert_lists" },
	{ 0x76250ce5, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x98cf60b3, "strlen" },
	{ 0x9e3514af, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xa334feb3, "rpc_init_pipe_dir_object" },
	{ 0x3ab71276, "bpf_trace_run7" },
	{ 0x99301fc3, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xb6374de1, "nfs_init_server_rpcclient" },
	{ 0xe20bbb30, "__mark_inode_dirty" },
	{ 0xb90b262a, "rpc_set_connect_timeout" },
	{ 0xd1a89dfe, "rpcauth_create" },
	{ 0x1605e9ce, "xdr_stream_pos" },
	{ 0xb0d0d0d6, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0xf26a31bd, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xbe2bec6e, "svc_xprt_create" },
	{ 0xe36dbce0, "nfs42_ssc_register" },
	{ 0xe0f5e167, "rpc_wait_for_completion_task" },
	{ 0x878eea18, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x395cfaea, "rpc_num_bc_slots" },
	{ 0xbd076c56, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x84ebb044, "rpc_destroy_wait_queue" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xaaf3593, "security_inode_listsecurity" },
	{ 0x7f0e5dcf, "nfs_fhget" },
	{ 0x79a0a87, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xddae5949, "locks_copy_lock" },
	{ 0x2a125c26, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x73c5413e, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1382ea48, "nfs_set_verifier" },
	{ 0x80e2f74f, "proc_dointvec_minmax" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "112E964764B3DF7C07280CA");
MODULE_INFO(rhelversion, "9.6");
