#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(bt_sock_reclassify_lock, "", "");
KSYMTAB_FUNC(bt_sock_register, "", "");
KSYMTAB_FUNC(bt_sock_unregister, "", "");
KSYMTAB_FUNC(bt_sock_alloc, "", "");
KSYMTAB_FUNC(bt_sock_link, "", "");
KSYMTAB_FUNC(bt_sock_unlink, "", "");
KSYMTAB_FUNC(bt_sock_linked, "", "");
KSYMTAB_FUNC(bt_accept_enqueue, "", "");
KSYMTAB_FUNC(bt_accept_unlink, "", "");
KSYMTAB_FUNC(bt_accept_dequeue, "", "");
KSYMTAB_FUNC(bt_sock_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_stream_recvmsg, "", "");
KSYMTAB_FUNC(bt_sock_poll, "", "");
KSYMTAB_FUNC(bt_sock_ioctl, "", "");
KSYMTAB_FUNC(bt_sock_wait_state, "", "");
KSYMTAB_FUNC(bt_sock_wait_ready, "", "");
KSYMTAB_FUNC(bt_procfs_init, "", "");
KSYMTAB_FUNC(bt_procfs_cleanup, "", "");
KSYMTAB_DATA(bt_debugfs, "_gpl", "");
KSYMTAB_FUNC(hci_alloc_dev_priv, "", "");
KSYMTAB_FUNC(hci_free_dev, "", "");
KSYMTAB_FUNC(hci_register_dev, "", "");
KSYMTAB_FUNC(hci_unregister_dev, "", "");
KSYMTAB_FUNC(hci_release_dev, "", "");
KSYMTAB_FUNC(hci_suspend_dev, "", "");
KSYMTAB_FUNC(hci_resume_dev, "", "");
KSYMTAB_FUNC(hci_reset_dev, "", "");
KSYMTAB_FUNC(hci_recv_frame, "", "");
KSYMTAB_FUNC(hci_recv_diag, "", "");
KSYMTAB_FUNC(hci_set_hw_info, "", "");
KSYMTAB_FUNC(hci_set_fw_info, "", "");
KSYMTAB_FUNC(hci_register_cb, "", "");
KSYMTAB_FUNC(hci_unregister_cb, "", "");
KSYMTAB_FUNC(__hci_cmd_send, "", "");
KSYMTAB_FUNC(hci_get_route, "", "");
KSYMTAB_FUNC(hci_conn_security, "", "");
KSYMTAB_FUNC(hci_conn_check_secure, "", "");
KSYMTAB_FUNC(hci_conn_switch_role, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_register, "", "");
KSYMTAB_FUNC(hci_mgmt_chan_unregister, "", "");
KSYMTAB_FUNC(l2cap_add_psm, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_create, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_put, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_set_defaults, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_del, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_list, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_close, "", "");
KSYMTAB_FUNC(l2cap_register_user, "", "");
KSYMTAB_FUNC(l2cap_unregister_user, "", "");
KSYMTAB_FUNC(l2cap_conn_get, "", "");
KSYMTAB_FUNC(l2cap_conn_put, "", "");
KSYMTAB_FUNC(l2cap_chan_send, "_gpl", "");
KSYMTAB_FUNC(l2cap_chan_connect, "_gpl", "");
KSYMTAB_FUNC(l2cap_is_socket, "", "");
KSYMTAB_FUNC(baswap, "", "");
KSYMTAB_FUNC(bt_to_errno, "", "");
KSYMTAB_FUNC(bt_status, "", "");
KSYMTAB_FUNC(bt_info, "", "");
KSYMTAB_FUNC(bt_warn, "", "");
KSYMTAB_FUNC(bt_err, "", "");
KSYMTAB_FUNC(bt_warn_ratelimited, "", "");
KSYMTAB_FUNC(bt_err_ratelimited, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_ev, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status_sk, "", "");
KSYMTAB_FUNC(__hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_status, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_sync, "", "");
KSYMTAB_FUNC(hci_cmd_sync_submit, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue, "", "");
KSYMTAB_FUNC(hci_cmd_sync_queue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run, "", "");
KSYMTAB_FUNC(hci_cmd_sync_run_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_lookup_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_cancel_entry, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue_once, "", "");
KSYMTAB_FUNC(hci_cmd_sync_dequeue, "", "");
KSYMTAB_FUNC(hci_devcd_rx, "", "");
KSYMTAB_FUNC(hci_devcd_timeout, "", "");
KSYMTAB_FUNC(hci_devcd_register, "", "");
KSYMTAB_FUNC(hci_devcd_init, "", "");
KSYMTAB_FUNC(hci_devcd_append, "", "");
KSYMTAB_FUNC(hci_devcd_append_pattern, "", "");
KSYMTAB_FUNC(hci_devcd_complete, "", "");
KSYMTAB_FUNC(hci_devcd_abort, "", "");

SYMBOL_CRC(bt_sock_reclassify_lock, 0x6c905aaa, "");
SYMBOL_CRC(bt_sock_register, 0x2c41699b, "");
SYMBOL_CRC(bt_sock_unregister, 0x8fea24bd, "");
SYMBOL_CRC(bt_sock_alloc, 0x8cb3332f, "");
SYMBOL_CRC(bt_sock_link, 0x11dc7134, "");
SYMBOL_CRC(bt_sock_unlink, 0xc4d229f9, "");
SYMBOL_CRC(bt_sock_linked, 0x75205ca2, "");
SYMBOL_CRC(bt_accept_enqueue, 0xb479599c, "");
SYMBOL_CRC(bt_accept_unlink, 0x87da43a5, "");
SYMBOL_CRC(bt_accept_dequeue, 0x3d8fd9d0, "");
SYMBOL_CRC(bt_sock_recvmsg, 0x47e8a14d, "");
SYMBOL_CRC(bt_sock_stream_recvmsg, 0x10f655ac, "");
SYMBOL_CRC(bt_sock_poll, 0x7f0ad017, "");
SYMBOL_CRC(bt_sock_ioctl, 0x6e80c98c, "");
SYMBOL_CRC(bt_sock_wait_state, 0xe4ba54a3, "");
SYMBOL_CRC(bt_sock_wait_ready, 0xeee81257, "");
SYMBOL_CRC(bt_procfs_init, 0xa8b5e789, "");
SYMBOL_CRC(bt_procfs_cleanup, 0xfc0d7c3b, "");
SYMBOL_CRC(bt_debugfs, 0xa7b06917, "_gpl");
SYMBOL_CRC(hci_alloc_dev_priv, 0x6052e9ba, "");
SYMBOL_CRC(hci_free_dev, 0x00c454dc, "");
SYMBOL_CRC(hci_register_dev, 0xd6d072d4, "");
SYMBOL_CRC(hci_unregister_dev, 0x05b1b456, "");
SYMBOL_CRC(hci_release_dev, 0xecee4839, "");
SYMBOL_CRC(hci_suspend_dev, 0x64317060, "");
SYMBOL_CRC(hci_resume_dev, 0xb24e088c, "");
SYMBOL_CRC(hci_reset_dev, 0xc297c6d9, "");
SYMBOL_CRC(hci_recv_frame, 0xec614f83, "");
SYMBOL_CRC(hci_recv_diag, 0x24c7bdfd, "");
SYMBOL_CRC(hci_set_hw_info, 0x90cd2aa9, "");
SYMBOL_CRC(hci_set_fw_info, 0xe7114c91, "");
SYMBOL_CRC(hci_register_cb, 0x6b220e1e, "");
SYMBOL_CRC(hci_unregister_cb, 0x07d9b435, "");
SYMBOL_CRC(__hci_cmd_send, 0xb58f123b, "");
SYMBOL_CRC(hci_get_route, 0x375b271d, "");
SYMBOL_CRC(hci_conn_security, 0xb52af090, "");
SYMBOL_CRC(hci_conn_check_secure, 0xaf87b7a6, "");
SYMBOL_CRC(hci_conn_switch_role, 0x71feb61a, "");
SYMBOL_CRC(hci_mgmt_chan_register, 0x7e7ce933, "");
SYMBOL_CRC(hci_mgmt_chan_unregister, 0x9f5aeb94, "");
SYMBOL_CRC(l2cap_add_psm, 0x69e58ac3, "_gpl");
SYMBOL_CRC(l2cap_chan_create, 0xcc1ae9e7, "_gpl");
SYMBOL_CRC(l2cap_chan_put, 0xcb34f396, "_gpl");
SYMBOL_CRC(l2cap_chan_set_defaults, 0x0e1ba5e1, "_gpl");
SYMBOL_CRC(l2cap_chan_del, 0xd17faa62, "_gpl");
SYMBOL_CRC(l2cap_chan_list, 0x5c2b22a4, "_gpl");
SYMBOL_CRC(l2cap_chan_close, 0xcda4ea80, "");
SYMBOL_CRC(l2cap_register_user, 0xbf98e55a, "");
SYMBOL_CRC(l2cap_unregister_user, 0xe107100e, "");
SYMBOL_CRC(l2cap_conn_get, 0xa96a7b8b, "");
SYMBOL_CRC(l2cap_conn_put, 0x80f8c7ee, "");
SYMBOL_CRC(l2cap_chan_send, 0xa9cbad75, "_gpl");
SYMBOL_CRC(l2cap_chan_connect, 0xf2080745, "_gpl");
SYMBOL_CRC(l2cap_is_socket, 0xf958fad6, "");
SYMBOL_CRC(baswap, 0x7b5ce5c3, "");
SYMBOL_CRC(bt_to_errno, 0x7aad008b, "");
SYMBOL_CRC(bt_status, 0x7bd9427a, "");
SYMBOL_CRC(bt_info, 0x0718b8b7, "");
SYMBOL_CRC(bt_warn, 0x214e4265, "");
SYMBOL_CRC(bt_err, 0x7b8c32f1, "");
SYMBOL_CRC(bt_warn_ratelimited, 0xddacccf6, "");
SYMBOL_CRC(bt_err_ratelimited, 0xd7613212, "");
SYMBOL_CRC(__hci_cmd_sync_sk, 0x60edaa1a, "");
SYMBOL_CRC(__hci_cmd_sync, 0xf501f8fe, "");
SYMBOL_CRC(hci_cmd_sync, 0x87ffab98, "");
SYMBOL_CRC(__hci_cmd_sync_ev, 0xf3622124, "");
SYMBOL_CRC(__hci_cmd_sync_status_sk, 0x2248e796, "");
SYMBOL_CRC(__hci_cmd_sync_status, 0xdfe3181d, "");
SYMBOL_CRC(hci_cmd_sync_status, 0xa6e0f61f, "");
SYMBOL_CRC(hci_cmd_sync_cancel, 0xcead5437, "");
SYMBOL_CRC(hci_cmd_sync_cancel_sync, 0x6dae7db5, "");
SYMBOL_CRC(hci_cmd_sync_submit, 0x22b2d90d, "");
SYMBOL_CRC(hci_cmd_sync_queue, 0xe4cb113b, "");
SYMBOL_CRC(hci_cmd_sync_queue_once, 0xb617a22d, "");
SYMBOL_CRC(hci_cmd_sync_run, 0x64bd854a, "");
SYMBOL_CRC(hci_cmd_sync_run_once, 0x2b789108, "");
SYMBOL_CRC(hci_cmd_sync_lookup_entry, 0xff48a037, "");
SYMBOL_CRC(hci_cmd_sync_cancel_entry, 0xcbbb47d5, "");
SYMBOL_CRC(hci_cmd_sync_dequeue_once, 0x92c972c8, "");
SYMBOL_CRC(hci_cmd_sync_dequeue, 0x6bda8a70, "");
SYMBOL_CRC(hci_devcd_rx, 0xa36d67be, "");
SYMBOL_CRC(hci_devcd_timeout, 0xa60137a1, "");
SYMBOL_CRC(hci_devcd_register, 0x65954e94, "");
SYMBOL_CRC(hci_devcd_init, 0x2cc60b9e, "");
SYMBOL_CRC(hci_devcd_append, 0xdad9dc09, "");
SYMBOL_CRC(hci_devcd_append_pattern, 0xd259e18d, "");
SYMBOL_CRC(hci_devcd_complete, 0x9742f536, "");
SYMBOL_CRC(hci_devcd_abort, 0x951c4d49, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x4c5befed, "skb_free_datagram" },
	{ 0x2e1e8672, "sock_queue_rcv_skb_reason" },
	{ 0x231fa0b2, "ida_alloc_range" },
	{ 0x2719e188, "try_module_get" },
	{ 0x215018e1, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6ab61f29, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x7475be8e, "crypto_ecdh_key_len" },
	{ 0x78b887ed, "vsprintf" },
	{ 0x32f0f552, "ida_destroy" },
	{ 0xbdd9960b, "idr_find" },
	{ 0x77f16e12, "debugfs_attr_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x4b48ebf5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa38602cd, "drain_workqueue" },
	{ 0x18b49732, "dev_set_name" },
	{ 0x1f589e48, "scm_detach_fds" },
	{ 0x886e5833, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5ab7f461, "device_unregister" },
	{ 0xa9f201f1, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x85e1ccba, "debugfs_create_u16" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x81849d85, "add_wait_queue_exclusive" },
	{ 0x8e135a0, "device_initialize" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x4829a47e, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7ddfa94a, "seq_lseek" },
	{ 0x4e96c486, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd8e9b7c9, "sock_no_connect" },
	{ 0xb7641d06, "prepare_to_wait_event" },
	{ 0xcd15e9d6, "dev_kfree_skb_irq_reason" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0x6c852f74, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xad904669, "get_device" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xd5daeae3, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc3de986a, "__put_cred" },
	{ 0x38f1eb39, "put_cmsg" },
	{ 0xcc656d23, "skb_queue_purge_reason" },
	{ 0xa7e988c2, "crypto_destroy_tfm" },
	{ 0xd5b64dc4, "disable_delayed_work" },
	{ 0x2bd811f5, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x176e4952, "disable_work_sync" },
	{ 0xb6234948, "crypto_alloc_kpp" },
	{ 0x6b853d06, "ns_to_kernel_old_timeval" },
	{ 0xa4fdf591, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9b2a1158, "sock_register" },
	{ 0x2eee2d31, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x39c5d99, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x94b31ccf, "__alloc_skb" },
	{ 0x79a1958b, "idr_get_next" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xc62250e4, "rt_write_unlock" },
	{ 0x1c7d87b5, "proto_register" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd9ce9890, "skb_queue_tail" },
	{ 0xcd6663d1, "module_put" },
	{ 0x668b9659, "__sock_recv_ts_and_drops" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf6951702, "idr_remove" },
	{ 0x3988bf55, "debugfs_attr_read" },
	{ 0xe63dc983, "__sock_recv_timestamp" },
	{ 0x2eb0365b, "sock_no_shutdown" },
	{ 0x464663ae, "sk_filter_trim_cap" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x1d74cf1a, "crypto_req_done" },
	{ 0xe41f1fc5, "init_net" },
	{ 0x22cf08c1, "crypto_shash_setkey" },
	{ 0x124e82c7, "simple_open" },
	{ 0xcdaf3032, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x15360117, "device_add" },
	{ 0x335ce2a8, "idr_alloc" },
	{ 0x9821b01f, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf599f57b, "init_uts_ns" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0x5c82e42c, "sk_free" },
	{ 0xbabb2e92, "device_move" },
	{ 0x2f3d6c87, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x59a862d6, "skb_push" },
	{ 0xff379089, "sock_no_listen" },
	{ 0x788737da, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x72a61a44, "seq_putc" },
	{ 0xbd6841d4, "crc16" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcf9d84d5, "iov_iter_kvec" },
	{ 0xd0a95618, "ida_free" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0x4982d2a8, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0xb028f388, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2e78de30, "device_find_child" },
	{ 0x15780acd, "dev_coredumpv" },
	{ 0xf00763b5, "skb_copy_datagram_iter" },
	{ 0x33eb6d8e, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb230d2ec, "crypto_ecdh_encode_key" },
	{ 0x43a81f08, "sk_alloc" },
	{ 0x866466a6, "device_del" },
	{ 0x92df1f7, "__sock_queue_rcv_skb" },
	{ 0xded561c0, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3fca0884, "default_llseek" },
	{ 0xa287da33, "__sock_recv_wifi_status" },
	{ 0x9e8e306b, "from_kuid" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xf8a4f825, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x1719853, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xb8a3d16d, "sock_no_mmap" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x4fb61be5, "__pskb_pull_tail" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xde764051, "__scm_destroy" },
	{ 0x6e21c4cc, "from_kgid_munged" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xa5d2f6bd, "skb_trim" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x34dabfdb, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xebd0f3e8, "seq_read" },
	{ 0x4d0a599d, "rt_read_lock" },
	{ 0x8427a8b5, "sock_i_ino" },
	{ 0x4c95233b, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0xff282521, "rfkill_register" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xa755676, "sk_capable" },
	{ 0x1632bc21, "kvasprintf_const" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe471accf, "param_ops_bool" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x973acc2e, "skb_recv_datagram" },
	{ 0x5f6fef0e, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7a5e96e9, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x38132628, "remove_proc_entry" },
	{ 0x6bb3fe89, "radix_tree_tagged" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39d75d66, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2ced7ad9, "skb_copy" },
	{ 0x8cc5c57d, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd2c99589, "rt_write_lock" },
	{ 0x160fe9ae, "_copy_from_iter" },
	{ 0xb118de72, "skb_pull_data" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x6470faaa, "remove_wait_queue" },
	{ 0x438665ae, "seq_puts" },
	{ 0xa9a4bc3e, "sock_gettstamp" },
	{ 0xa07ad7ba, "single_release" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xabdae3f2, "pid_vnr" },
	{ 0x32768431, "disable_delayed_work_sync" },
	{ 0x5d7a1816, "from_kuid_munged" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x89bdc257, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3febb00a, "proc_create_seq_private" },
	{ 0xb42544a7, "debugfs_create_u8" },
	{ 0xa0a27c48, "single_open" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf8952d83, "crypto_alloc_shash" },
	{ 0xa44913c8, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xdb4e644d, "fwnode_property_read_u8_array" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xc93ce936, "put_pid" },
	{ 0x22905211, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf7eeba3a, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x667d794c, "__dev_fwnode" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1740f5e0, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4e5a74e3, "skb_queue_head" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77e9eb37, "aes_encrypt" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "ecdh_generic,rfkill");


MODULE_INFO(srcversion, "42A6F3DCDDE89A61A59E825");
MODULE_INFO(rhelversion, "9.6");
