#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xe1b4a709, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x22ff33c1, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0xb0cb1491, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x65fcfe9e, "_gpl");
SYMBOL_CRC(br_forward_finish, 0x0aebd451, "_gpl");
SYMBOL_CRC(br_forward, 0x0ef92609, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x067ae222, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xa960d034, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x93bb38b1, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x00336bc0, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0x2e35b783, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x9b8873ec, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x44628b46, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x0d6487cb, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x846a075a, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xb3e9ca49, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x097b5250, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x9f8e1aaf, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xf750a18c, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x392a3112, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xa901de2e, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x6f7c64a0, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xf88b39ca, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x28cea613, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xa6e14d2c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4b1d9422, "netdev_lower_get_next" },
	{ 0xbeb9759, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfee73859, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xecdf4f33, "skb_copy_bits" },
	{ 0x81f06baa, "__nlmsg_put" },
	{ 0x6969ea9b, "switchdev_port_attr_set" },
	{ 0x520f6caf, "ipv6_mc_check_mld" },
	{ 0x4b48ebf5, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x3ce747f4, "call_switchdev_notifiers" },
	{ 0xeee37d03, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3281e668, "netdev_update_features" },
	{ 0xa36792c9, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3491292, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0x175503a2, "__traceiter_br_fdb_update" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x314af60b, "dev_uc_del" },
	{ 0x4d799091, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x2fb68372, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x4829a47e, "memcpy" },
	{ 0xed0fd78f, "switchdev_port_obj_act_is_deferred" },
	{ 0x87379e2f, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xce7f3c47, "dev_set_promiscuity" },
	{ 0x4ccbb4d2, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2f176937, "unregister_netdevice_queue" },
	{ 0x8b9a5db7, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0x7c0e22ad, "netdev_state_change" },
	{ 0xd5daeae3, "__pskb_copy_fclone" },
	{ 0xcef0bf00, "__dev_get_by_name" },
	{ 0x1b7724a8, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8699a127, "netdev_err" },
	{ 0x482739c8, "pskb_expand_head" },
	{ 0xb95e69fa, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xf0ec5bd4, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x27bf0c5b, "arp_xmit" },
	{ 0x417da3bd, "__traceiter_br_mdb_full" },
	{ 0xa43da080, "alloc_netdev_mqs" },
	{ 0x9e4a3960, "passthru_features_check" },
	{ 0x536897d0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x64f269c6, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc48f6045, "rtnl_af_register" },
	{ 0x4ed6cf42, "__tracepoint_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x94b31ccf, "__alloc_skb" },
	{ 0x95a016d6, "kmem_cache_alloc" },
	{ 0x1f32d6a6, "rtnl_set_sk_err" },
	{ 0xc0a46750, "skb_vlan_pop" },
	{ 0xb89b2778, "rtnl_unicast" },
	{ 0x5a31037e, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5ad1fcd4, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x65cc7c2c, "nla_reserve_64bit" },
	{ 0x63dfac0, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd4881283, "__dev_get_by_index" },
	{ 0x8c0cd4e1, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xfe19a518, "dev_get_port_parent_id" },
	{ 0xe41f1fc5, "init_net" },
	{ 0x54621c3, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x1550fa8b, "inet_confirm_addr" },
	{ 0xcdaf3032, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x94c53ae, "sysfs_remove_link" },
	{ 0xbfe93ad1, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x478bce1f, "rtnl_af_unregister" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x5f71b69d, "arp_send" },
	{ 0xe5e3a8e2, "dev_get_by_index_rcu" },
	{ 0xb7cc0cff, "__tracepoint_br_fdb_add" },
	{ 0xf8d831df, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x59a862d6, "skb_push" },
	{ 0x3cf20673, "kmem_cache_free" },
	{ 0xe4e3bffc, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x5e1d487d, "netdev_upper_dev_unlink" },
	{ 0x1696a738, "netif_receive_skb" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x606c0b5e, "llc_mac_hdr_init" },
	{ 0xeb6aae86, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x249fc9e9, "kobject_init_and_add" },
	{ 0x967d5ae8, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x906a2281, "ns_capable" },
	{ 0x63f88e1, "inet_select_addr" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbe31f442, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x155ba561, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x502dbbe4, "arp_create" },
	{ 0xcb9e98ae, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x84d45c61, "stp_proto_register" },
	{ 0x16926168, "rtnl_register_module" },
	{ 0x27dc9471, "__tracepoint_br_fdb_update" },
	{ 0x72520f06, "sysfs_rename_link_ns" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd8e6477e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x66bc71dc, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x53c2977b, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x4fb61be5, "__pskb_pull_tail" },
	{ 0xec131935, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xbff122f8, "netif_rx" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x8956ce93, "ip_mc_check_igmp" },
	{ 0xda38b8f8, "__netdev_alloc_skb" },
	{ 0x77d560cc, "rhashtable_destroy" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x3bd5f075, "switchdev_port_obj_del" },
	{ 0x752dab0e, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xedb6c964, "kobject_create_and_add" },
	{ 0xa5d2f6bd, "skb_trim" },
	{ 0x5620ffe1, "nf_hook_slow" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6330ecfc, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x973ab60c, "__ip_mc_inc_group" },
	{ 0x51ea4eef, "netdev_walk_all_upper_dev_rcu" },
	{ 0xcb2d4c21, "sysfs_remove_group" },
	{ 0x678aa63, "__traceiter_br_fdb_external_learn_add" },
	{ 0x26b4a1d9, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0xb05fa438, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x19821689, "__tracepoint_fdb_delete" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x33d85168, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1449e0a4, "vlan_vid_add" },
	{ 0x24d0918f, "neigh_destroy" },
	{ 0xc662ecda, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x7c1d8efc, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x88928686, "call_netdevice_notifiers" },
	{ 0xc6670b3b, "is_skb_forwardable" },
	{ 0xa67eec3c, "vlan_vid_del" },
	{ 0x983337b6, "dev_set_allmulti" },
	{ 0xfcd9f0df, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb5a06943, "netdev_master_upper_dev_get" },
	{ 0x9000639f, "ipv6_dev_mc_inc" },
	{ 0xc129cf23, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x289e011b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd7ce366b, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8cc5c57d, "skb_clone" },
	{ 0x585e5eed, "metadata_dst_alloc" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x541b46ad, "dst_release" },
	{ 0x18363d57, "netif_carrier_on" },
	{ 0x120396a9, "kobject_uevent" },
	{ 0x636c61a2, "arp_tbl" },
	{ 0xee422071, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe2d111d0, "netdev_rx_handler_register" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6b590708, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5187ebe8, "netif_set_tso_max_size" },
	{ 0x12287cae, "dev_disable_lro" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x8a2202a2, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x88c02c39, "dev_get_flags" },
	{ 0x98cf60b3, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xa981b70, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x5f211cee, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x638b7399, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xc09e090a, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xe4a41b90, "skb_ext_add" },
	{ 0x3907cbdd, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x1bd0d43, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x9114883b, "neigh_lookup" },
	{ 0x2a125c26, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xec37168, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xccb38b00, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "6688CB620D23305C0BE1643");
MODULE_INFO(rhelversion, "9.6");
