#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0xc8d330e3, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0xa2fd08a7, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0xc3dc3e34, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0xbff03f93, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x1750db31, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x384a2a89, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x14629e56, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0x32cdb346, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0xcfe4751c, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x24d3f394, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x46dbe45e, "dst_cache_set_ip4" },
	{ 0x7781db6c, "kernel_bind" },
	{ 0x9df34b0c, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0x88daa093, "netdev_warn" },
	{ 0x9d7f7069, "udp_tunnel_nic_ops" },
	{ 0x9d58ce5b, "ip_route_output_flow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x54621c3, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0xa4ac5e1e, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe6286f15, "iptunnel_xmit" },
	{ 0xf00a075f, "nla_put" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x5e9f1681, "kernel_connect" },
	{ 0xdcb764ad, "memset" },
	{ 0xa5d2f6bd, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6330ecfc, "__dynamic_netdev_dbg" },
	{ 0x37e16238, "dst_cache_get_ip4" },
	{ 0xcbd2741c, "sock_create_kern" },
	{ 0x88928686, "call_netdevice_notifiers" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x585e5eed, "metadata_dst_alloc" },
	{ 0x541b46ad, "dst_release" },
	{ 0xc3dc2ae7, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x2d327e2a, "sock_bindtoindex" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x349cba85, "strchr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CE2A033F72E009555B376EA");
MODULE_INFO(rhelversion, "9.6");
