#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xca005dde, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xcbd30ecb, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x640de488, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0xe2bb3710, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x1e7b07ec, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x91c3fe8b, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xd4ca9c59, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x8b14e526, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xb8768a96, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xe41466e1, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xfa60ea4a, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xf4722b38, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xa2f7b957, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x0124a3a9, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x9941bc51, "");
SYMBOL_CRC(nf_nat_follow_master, 0xedd729cf, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x86f61232, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0xc2e223a1, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xf67aff6f, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x43d79bc8, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xb7d35271, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdfa8fd56, "nf_ct_ext_add" },
	{ 0x32cee89b, "__do_once_done" },
	{ 0xcb8029e6, "nf_conntrack_find_get" },
	{ 0x2719e188, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x82415830, "nf_ip6_checksum" },
	{ 0xecdf4f33, "skb_copy_bits" },
	{ 0x973236e1, "nf_hook_entries_insert_raw" },
	{ 0x6adc43e9, "xfrm_lookup" },
	{ 0xb1205483, "nf_ct_seqadj_set" },
	{ 0x4b48ebf5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5a9f1d63, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9a00e74e, "nf_ct_helper_expectfn_unregister" },
	{ 0xbcadc0a2, "__xfrm_decode_session" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xab7c0ef4, "nf_ct_helper_expectfn_register" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x482739c8, "pskb_expand_head" },
	{ 0xb95e69fa, "register_pernet_subsys" },
	{ 0x945d0afd, "nf_conntrack_tuple_taken" },
	{ 0x92997ed8, "_printk" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xacb07435, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x65c65b22, "ipv6_skip_exthdr" },
	{ 0x53963c70, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xc5f35321, "nf_ipv6_ops" },
	{ 0xcd6663d1, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x7d33ffbd, "nf_conntrack_alter_reply" },
	{ 0xfde0e9b0, "ip_route_me_harder" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0xc50cfb4f, "nf_hook_entries_delete_raw" },
	{ 0x23b78018, "skb_ensure_writable" },
	{ 0xd3792c96, "nf_unregister_net_hooks" },
	{ 0x63f88e1, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0xd8e6477e, "unregister_pernet_subsys" },
	{ 0xb196c165, "skb_checksum" },
	{ 0xdcb764ad, "memset" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xbce1846d, "nf_ct_delete" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0xda8812b4, "nf_ip_checksum" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x893ccc2d, "register_btf_kfunc_id_set" },
	{ 0x8c2a1ce1, "nf_ct_iterate_destroy" },
	{ 0x8838dbf2, "inet_proto_csum_replace16" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x9feab381, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x4d0a599d, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9e60c86c, "__skb_checksum" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xd0c684ff, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7a5e96e9, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x541b46ad, "dst_release" },
	{ 0xa5c57449, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x2cfe8c38, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "EEB9ABC658119093C34A105");
MODULE_INFO(rhelversion, "9.6");
