#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x5db08103, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x6fd6c349, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0x29935aa5, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xddb94b45, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0xf3e3b1ee, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb03172b6, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x215018e1, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1f70a026, "inet_addr_type_table" },
	{ 0xadee631f, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xecdf4f33, "skb_copy_bits" },
	{ 0x61c4e288, "inet_unregister_protosw" },
	{ 0xbdd9960b, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x6db5011c, "sock_wfree" },
	{ 0x4b48ebf5, "skb_put" },
	{ 0xef3be249, "register_net_sysctl" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x9f33a37d, "__fl6_sock_lookup" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xac8ea7ab, "ip6_dst_hoplimit" },
	{ 0xa36792c9, "consume_skb" },
	{ 0xb9086e5, "inet6_add_offload" },
	{ 0x886e5833, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7c4d2d0d, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf36378d4, "trace_raw_output_prep" },
	{ 0xd95715b, "l3mdev_fib_table_by_index" },
	{ 0xc8d330e3, "udp_sock_create4" },
	{ 0xa9f201f1, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf8fafc38, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0xb06c598f, "skb_segment" },
	{ 0x8e564777, "trace_event_printf" },
	{ 0xd2f55ffb, "__ip_dev_find" },
	{ 0x8f5026f3, "udp_tunnel6_xmit_skb" },
	{ 0x25d5f2db, "sock_common_getsockopt" },
	{ 0xae8bbbb7, "inet_bind" },
	{ 0x53aed9c1, "sock_create" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xbf5ba3bd, "prepare_to_wait" },
	{ 0xfef03f30, "fd_install" },
	{ 0x2920c95f, "trace_event_raw_init" },
	{ 0x4829a47e, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xcd4d22f5, "inet_register_protosw" },
	{ 0x749dd022, "__xfrm_policy_check" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0x417477ec, "security_sctp_assoc_established" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0xc566d0c7, "bpf_trace_run2" },
	{ 0x4dfadb0f, "sock_common_setsockopt" },
	{ 0xf145dcca, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0xb467ca1b, "event_triggers_call" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x9d58ce5b, "ip_route_output_flow" },
	{ 0xa88a2a55, "rhashtable_walk_enter" },
	{ 0x8b9a5db7, "kmem_cache_create" },
	{ 0xe7e781e7, "__sk_mem_schedule" },
	{ 0x86413f70, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x85a68c23, "sock_alloc_file" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3f285282, "proc_create_net_data" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x58aab119, "sk_error_report" },
	{ 0xb95e69fa, "register_pernet_subsys" },
	{ 0x38f1eb39, "put_cmsg" },
	{ 0xe9688af5, "trace_event_buffer_commit" },
	{ 0xbd4d2d32, "timer_reduce" },
	{ 0xb0c4726, "inet_sock_destruct" },
	{ 0xa7e988c2, "crypto_destroy_tfm" },
	{ 0x89a1d1ce, "sock_kmalloc" },
	{ 0xbc014017, "inet6_del_protocol" },
	{ 0x3750f386, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x85e43f46, "inet_getname" },
	{ 0xa4fdf591, "proto_unregister" },
	{ 0xdc984676, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xc6ef6c51, "trace_event_ignore_this_pid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x94b31ccf, "__alloc_skb" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xfaac46a7, "inet_release" },
	{ 0xc62250e4, "rt_write_unlock" },
	{ 0x95a016d6, "kmem_cache_alloc" },
	{ 0x1c7d87b5, "proto_register" },
	{ 0x535e8f6, "skb_copy_expand" },
	{ 0xcf60a4e, "__wake_up_sync_key" },
	{ 0x668b9659, "__sock_recv_ts_and_drops" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0xf6951702, "idr_remove" },
	{ 0x2f80e6ff, "inet_ctl_sock_create" },
	{ 0xa1b063b6, "inet_ioctl" },
	{ 0xf1045d1c, "reuseport_add_sock" },
	{ 0xfee6a347, "reuseport_select_sock" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0xa674979f, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x464663ae, "sk_filter_trim_cap" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2afb19ea, "perf_trace_run_bpf_submit" },
	{ 0x145f76ac, "fput" },
	{ 0x7f278c2e, "__traceiter_sk_data_ready" },
	{ 0x7dbacd69, "inet_accept" },
	{ 0xe41f1fc5, "init_net" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x22cf08c1, "crypto_shash_setkey" },
	{ 0xcdaf3032, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x5c3c3b0e, "inet_add_offload" },
	{ 0xd2130a06, "radix_tree_preloads" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xbd51bed0, "inet_add_protocol" },
	{ 0x322536db, "inet_shutdown" },
	{ 0x5c82e42c, "sk_free" },
	{ 0x4ab2da1, "sock_wake_async" },
	{ 0xe5e3a8e2, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe250fb47, "inet_del_offload" },
	{ 0x59a862d6, "skb_push" },
	{ 0x1b7fb9f8, "__ip_queue_xmit" },
	{ 0x3cf20673, "kmem_cache_free" },
	{ 0x6e2bd74c, "__sk_mem_reclaim" },
	{ 0x607d90e8, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x4e24279e, "proc_doulongvec_minmax" },
	{ 0xaf8e059a, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x56802ae8, "rps_cpu_mask" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x747e24eb, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x906a2281, "ns_capable" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb028f388, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x84f19add, "inet6_ioctl" },
	{ 0xf00763b5, "skb_copy_datagram_iter" },
	{ 0xdd7d0a1a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xb8ac7390, "idr_alloc_cyclic" },
	{ 0x43a81f08, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xd8e6477e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xde30395d, "ip6_dst_lookup_flow" },
	{ 0xbb71e91f, "rhashtable_free_and_destroy" },
	{ 0xf8a4f825, "sock_no_socketpair" },
	{ 0xdcb764ad, "memset" },
	{ 0x66bc71dc, "rht_bucket_nested_insert" },
	{ 0x32cdb346, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb8a3d16d, "sock_no_mmap" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x4fb61be5, "__pskb_pull_tail" },
	{ 0xda20e786, "sock_no_sendpage" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xa2fd08a7, "setup_udp_tunnel_sock" },
	{ 0x3e762d68, "udp_sock_create6" },
	{ 0xa5d2f6bd, "skb_trim" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x46328ff1, "sk_common_release" },
	{ 0xb6fbb27b, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0xb05fa438, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x4d0a599d, "rt_read_lock" },
	{ 0x69e946c3, "inet6_getname" },
	{ 0x8427a8b5, "sock_i_ino" },
	{ 0x387db546, "inet6_sock_destruct" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x443110e8, "ip6_xmit" },
	{ 0xc0118bab, "security_sctp_assoc_request" },
	{ 0x8543e6b1, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3462c1f5, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x76d7e56b, "trace_event_buffer_reserve" },
	{ 0x9e60c86c, "__skb_checksum" },
	{ 0x90d80410, "reuseport_alloc" },
	{ 0xb19d0b86, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x563c5c07, "inet6_release" },
	{ 0x8fafbbda, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x9391ddc5, "inet_sendmsg" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xe471accf, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xac9e273b, "ipv6_dup_options" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7a5e96e9, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5539d4e4, "rhltable_init" },
	{ 0x14629e56, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0x39d75d66, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x56e45088, "proc_create_net_single" },
	{ 0x2ced7ad9, "skb_copy" },
	{ 0x8cc5c57d, "skb_clone" },
	{ 0x33a36232, "inet_sk_set_state" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x541b46ad, "dst_release" },
	{ 0xd2c99589, "rt_write_lock" },
	{ 0x160fe9ae, "_copy_from_iter" },
	{ 0xc3dc2ae7, "sock_release" },
	{ 0xfcf2fb51, "inet_recv_error" },
	{ 0xc4d5ca97, "proc_dointvec" },
	{ 0x438665ae, "seq_puts" },
	{ 0xa9a4bc3e, "sock_gettstamp" },
	{ 0xbc794b62, "security_sctp_bind_connect" },
	{ 0x8ca80874, "rhashtable_walk_next" },
	{ 0xc394bf60, "_proc_mkdir" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x6cb8cdac, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2bd62077, "send_sig" },
	{ 0x66ba1278, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x46f5011f, "inet6_add_protocol" },
	{ 0x5d7a1816, "from_kuid_munged" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x8ab211ff, "ip_setsockopt" },
	{ 0xe44f84b5, "ipv6_flowlabel_exclusive" },
	{ 0x8a2202a2, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9770def1, "ipv6_getsockopt" },
	{ 0x98cf60b3, "strlen" },
	{ 0xcfdaad20, "reuseport_detach_sock" },
	{ 0xe58a2ec, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x89bdc257, "iov_iter_revert" },
	{ 0xf8952d83, "crypto_alloc_shash" },
	{ 0xd62ecd49, "rps_sock_flow_table" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xacccbc43, "rhashtable_walk_exit" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xf7eeba3a, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x2a125c26, "kmem_cache_destroy" },
	{ 0x1740f5e0, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4e5a74e3, "skb_queue_head" },
	{ 0x80e2f74f, "proc_dointvec_minmax" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "ipv6,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "218632A41ED2E03CADC829E");
MODULE_INFO(rhelversion, "9.6");
