#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(g_token_size, "_gpl", "");
KSYMTAB_FUNC(g_make_token_header, "_gpl", "");
KSYMTAB_FUNC(g_verify_token_header, "_gpl", "");
KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(g_token_size, 0x482ac5a4, "_gpl");
SYMBOL_CRC(g_make_token_header, 0x38d3dce5, "_gpl");
SYMBOL_CRC(g_verify_token_header, 0xd7673035, "_gpl");
SYMBOL_CRC(gss_mech_register, 0xb8a4ab66, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0xde237690, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x1269b6e5, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x30b91652, "");
SYMBOL_CRC(gss_mech_put, 0x9d59e3e5, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x3ced2ce5, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xaa53f90b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x42f6d0f, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2719e188, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x218b0b3c, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x6e22481e, "xdr_buf_from_iov" },
	{ 0xc7fc1ae1, "bpf_trace_run4" },
	{ 0x78e2737a, "xdr_stream_decode_opaque_auth" },
	{ 0x90034aef, "param_ops_uint" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc2d01b10, "xdr_write_pages" },
	{ 0xf2d2acf4, "rpc_shutdown_client" },
	{ 0xa8fae80b, "auth_domain_find" },
	{ 0x5a9f1d63, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4dda1edf, "xdr_inline_decode" },
	{ 0x764a3728, "cache_create_net" },
	{ 0x10a3727f, "rpcauth_destroy_credcache" },
	{ 0xf36378d4, "trace_raw_output_prep" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xbb7decc3, "bpf_trace_run6" },
	{ 0x6ab4a10e, "rpc_net_ns" },
	{ 0x1f29b0e9, "read_bytes_from_xdr_buf" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0xb9c3d7ee, "finish_wait" },
	{ 0x9e8d65df, "rpc_wake_up" },
	{ 0x8e564777, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x9c1e7772, "sunrpc_cache_lookup_rcu" },
	{ 0xbf5ba3bd, "prepare_to_wait" },
	{ 0x2920c95f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x54ab99f3, "__put_devmap_managed_page_refs" },
	{ 0x9523838b, "proc_create_data" },
	{ 0x43d22fb9, "groups_alloc" },
	{ 0xc566d0c7, "bpf_trace_run2" },
	{ 0xb7641d06, "prepare_to_wait_event" },
	{ 0x64ea2a70, "xdr_truncate_decode" },
	{ 0xc669ae4, "rpcauth_unregister" },
	{ 0xb467ca1b, "event_triggers_call" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0x24d01ab7, "__xdr_commit_encode" },
	{ 0x6c852f74, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xddeb7305, "rpc_sleep_on" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xc3de986a, "__put_cred" },
	{ 0xb95e69fa, "register_pernet_subsys" },
	{ 0xe9688af5, "trace_event_buffer_commit" },
	{ 0x4c213cf4, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x7b747307, "rpc_release_client" },
	{ 0x9ab3783, "auth_domain_lookup" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x706228bd, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0x891c66d4, "svc_auth_register" },
	{ 0xb38b7e2, "xdr_stream_encode_opaque_auth" },
	{ 0xc6ef6c51, "trace_event_ignore_this_pid" },
	{ 0xeb09acab, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0xc4652e21, "rpc_destroy_pipe_data" },
	{ 0x6cf3d0e8, "__free_pages" },
	{ 0xdecc5f1a, "rpc_pipe_generic_upcall" },
	{ 0xcd6663d1, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x8f5caf86, "cache_unregister_net" },
	{ 0xbf828806, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2afb19ea, "perf_trace_run_bpf_submit" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x28c1a943, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xff1f35ba, "rpcauth_init_credcache" },
	{ 0xdfc43ed8, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0x9e62c70d, "xdr_init_decode" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0xaf8e059a, "trace_event_reg" },
	{ 0x10128e9b, "rpc_call_null" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd11f5b2c, "rpc_sleep_on_timeout" },
	{ 0x5448f43a, "rpc_create" },
	{ 0xb520d430, "bpf_trace_run1" },
	{ 0xa4286268, "rpc_call_sync" },
	{ 0x9e8e306b, "from_kuid" },
	{ 0xd8e6477e, "unregister_pernet_subsys" },
	{ 0xe13fb56e, "rpc_queue_upcall" },
	{ 0xa8e697d4, "xdr_encode_word" },
	{ 0xdcb764ad, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa4ccf622, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x61156bfb, "svcauth_unix_set_client" },
	{ 0xa7f32966, "xdr_buf_subsegment" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xbc99e255, "make_kgid" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0x564a0902, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0xf1b765a4, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe016b433, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xb6fbb27b, "bpf_trace_run3" },
	{ 0x9feab381, "__put_net" },
	{ 0x26e8435a, "rpc_mkpipe_dentry" },
	{ 0xe265d70f, "rpc_mkpipe_data" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x7d3aaeb8, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x76d7e56b, "trace_event_buffer_reserve" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0x732dd326, "groups_free" },
	{ 0x4246f584, "cache_register_net" },
	{ 0x2666fefc, "init_user_ns" },
	{ 0x306bf02e, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x9fec0f5f, "xdr_inline_pages" },
	{ 0xe0cff386, "__folio_put" },
	{ 0x38132628, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xdb83be08, "rpc_init_wait_queue" },
	{ 0x86f8a4a, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x5c8aae11, "rpc_unlink" },
	{ 0x36e4bb7f, "rpcauth_wrap_req_encode" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa23ffc04, "groups_sort" },
	{ 0x5d7a1816, "from_kuid_munged" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x10bf6a95, "rpcauth_init_cred" },
	{ 0x8ae59b42, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x94195077, "cache_destroy_net" },
	{ 0x98cf60b3, "strlen" },
	{ 0xa334feb3, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x1605e9ce, "xdr_stream_pos" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xa314f730, "sunrpc_cache_update" },
	{ 0x2d8f99ec, "xdr_truncate_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x84ebb044, "rpc_destroy_wait_queue" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xfe7bb911, "auth_domain_put" },
	{ 0x74b381c3, "rpcauth_unwrap_resp_decode" },
	{ 0x6974476f, "rpcauth_register" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "042216EF997B5C7D2FED528");
MODULE_INFO(rhelversion, "9.6");
