#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x4ea14047, "");
SYMBOL_CRC(tipc_dump_start, 0x91638789, "");
SYMBOL_CRC(tipc_dump_done, 0xd1f50b63, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x3724135d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b1263b7, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x215018e1, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xc7fc1ae1, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x81f06baa, "__nlmsg_put" },
	{ 0xbdd9960b, "idr_find" },
	{ 0x4b48ebf5, "skb_put" },
	{ 0xef3be249, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xac8ea7ab, "ip6_dst_hoplimit" },
	{ 0x3694c075, "trace_output_call" },
	{ 0xa36792c9, "consume_skb" },
	{ 0x5a0a574e, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf36378d4, "trace_raw_output_prep" },
	{ 0xcb8ddca9, "nla_put_64bit" },
	{ 0xc8d330e3, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x8e564777, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xd2f55ffb, "__ip_dev_find" },
	{ 0x46dbe45e, "dst_cache_set_ip4" },
	{ 0x8f5026f3, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xa060f811, "genlmsg_put" },
	{ 0x67f6efc0, "___pskb_trim" },
	{ 0x2920c95f, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e96c486, "add_wait_queue" },
	{ 0x4ccbb4d2, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc168c0a, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x88daa093, "netdev_warn" },
	{ 0x556d91b9, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x25c7fc4a, "crypto_aead_decrypt" },
	{ 0xb467ca1b, "event_triggers_call" },
	{ 0x8cd58d70, "kernel_accept" },
	{ 0x6c852f74, "__module_get" },
	{ 0x9d58ce5b, "ip_route_output_flow" },
	{ 0xa88a2a55, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xd5daeae3, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x482739c8, "pskb_expand_head" },
	{ 0xb95e69fa, "register_pernet_subsys" },
	{ 0x38f1eb39, "put_cmsg" },
	{ 0xcc656d23, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xe9688af5, "trace_event_buffer_commit" },
	{ 0xa7e988c2, "crypto_destroy_tfm" },
	{ 0xf51b4a74, "eth_type_trans" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xa4fdf591, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x9b2a1158, "sock_register" },
	{ 0x4c056947, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc6ef6c51, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x94b31ccf, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc62250e4, "rt_write_unlock" },
	{ 0xfe730afd, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x5c68f795, "skb_try_coalesce" },
	{ 0x1c7d87b5, "proto_register" },
	{ 0x535e8f6, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xcf60a4e, "__wake_up_sync_key" },
	{ 0xd9ce9890, "skb_queue_tail" },
	{ 0xcd6663d1, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xf6951702, "idr_remove" },
	{ 0xfb7f2053, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0xd4881283, "__dev_get_by_index" },
	{ 0x2afb19ea, "perf_trace_run_bpf_submit" },
	{ 0x7f278c2e, "__traceiter_sk_data_ready" },
	{ 0xe41f1fc5, "init_net" },
	{ 0x54621c3, "ipv6_stub" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0xcdaf3032, "skb_pull" },
	{ 0x43b0c9c3, "preempt_schedule" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x335ce2a8, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9e8c4128, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0x30d22e41, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x98dce6a3, "dev_remove_pack" },
	{ 0x5c82e42c, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa4ac5e1e, "kernel_sock_shutdown" },
	{ 0x2f3d6c87, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x59a862d6, "skb_push" },
	{ 0x88d00784, "dst_cache_get" },
	{ 0xff379089, "sock_no_listen" },
	{ 0xf00a075f, "nla_put" },
	{ 0x4e24279e, "proc_doulongvec_minmax" },
	{ 0xaf8e059a, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xcf9d84d5, "iov_iter_kvec" },
	{ 0xa621c9f8, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x747e24eb, "rhashtable_walk_start_check" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xc20c536, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xb028f388, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xf00763b5, "skb_copy_datagram_iter" },
	{ 0xdd7d0a1a, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x43a81f08, "sk_alloc" },
	{ 0xded561c0, "idr_destroy" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xd8e6477e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xdcb764ad, "memset" },
	{ 0x41da80f7, "kfree_skb_partial" },
	{ 0x66bc71dc, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x32cdb346, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0xb8a3d16d, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x4fb61be5, "__pskb_pull_tail" },
	{ 0xda20e786, "sock_no_sendpage" },
	{ 0xbff122f8, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x77d560cc, "rhashtable_destroy" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xa2fd08a7, "setup_udp_tunnel_sock" },
	{ 0x3e762d68, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa5d2f6bd, "skb_trim" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x1d7bc1b4, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb6fbb27b, "bpf_trace_run3" },
	{ 0xb05fa438, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x32cba8b9, "sock_rfree" },
	{ 0x4d0a599d, "rt_read_lock" },
	{ 0x8427a8b5, "sock_i_ino" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfa917109, "kernel_listen" },
	{ 0x33d85168, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x76d7e56b, "trace_event_buffer_reserve" },
	{ 0x7b3bbca6, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xcbd2741c, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x1c18e976, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xdb5005af, "dst_cache_set_ip6" },
	{ 0xd90078e9, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7a5e96e9, "rt_read_unlock" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x14629e56, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe136a0a5, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2ced7ad9, "skb_copy" },
	{ 0x8cc5c57d, "skb_clone" },
	{ 0x5b5cfa17, "dev_get_by_name" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0xd2c99589, "rt_write_lock" },
	{ 0x160fe9ae, "_copy_from_iter" },
	{ 0xc3dc2ae7, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x6470faaa, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x8ca80874, "rhashtable_walk_next" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0x84080ca0, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf8ed4213, "sk_stop_timer" },
	{ 0x66ba1278, "unregister_net_sysctl_table" },
	{ 0x94e178ae, "genl_unregister_family" },
	{ 0x5d7a1816, "from_kuid_munged" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0x98cf60b3, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x89bdc257, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x5aace168, "genl_register_family" },
	{ 0xdbf0f977, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf0b80670, "skb_to_sgvec" },
	{ 0xacccbc43, "rhashtable_walk_exit" },
	{ 0x6d98ebb2, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf7eeba3a, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x1740f5e0, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x80e2f74f, "proc_dointvec_minmax" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "5C25E4FED17CD5184039F3F");
MODULE_INFO(rhelversion, "9.6");
