#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x6391e23f, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xb9c53bd8, "_gpl");
SYMBOL_CRC(tls_get_record, 0x2ab17877, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x566df9a2, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0xac79f35a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5374fefb, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3569467a, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa34ccec0, "flush_dcache_page" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x77771afa, "tcp_read_sock" },
	{ 0xc7fc1ae1, "bpf_trace_run4" },
	{ 0xecdf4f33, "skb_copy_bits" },
	{ 0x86fe7023, "sk_page_frag_refill" },
	{ 0x4b48ebf5, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa36792c9, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf36378d4, "trace_raw_output_prep" },
	{ 0x3ea1d0aa, "sk_psock_msg_verdict" },
	{ 0xbb7decc3, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x8d008ca9, "rt_mutex_base_init" },
	{ 0x8e564777, "trace_event_printf" },
	{ 0x92c7061c, "iov_iter_get_pages2" },
	{ 0x67f6efc0, "___pskb_trim" },
	{ 0x2920c95f, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x4e96c486, "add_wait_queue" },
	{ 0x54ab99f3, "__put_devmap_managed_page_refs" },
	{ 0x44f44fb0, "clean_acked_data_enable" },
	{ 0xdcac622, "skb_splice_bits" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc168c0a, "crypto_alloc_aead" },
	{ 0xff1ffd2c, "__tracepoint_sk_data_ready" },
	{ 0x556d91b9, "crypto_aead_setauthsize" },
	{ 0x25c7fc4a, "crypto_aead_decrypt" },
	{ 0xb467ca1b, "event_triggers_call" },
	{ 0x82f91eb2, "__wake_up" },
	{ 0x86c7d1b0, "sk_stream_error" },
	{ 0x54e47939, "sk_msg_recvmsg" },
	{ 0x32047ad5, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc94a156b, "sk_msg_memcopy_from_iter" },
	{ 0x58aab119, "sk_error_report" },
	{ 0xb95e69fa, "register_pernet_subsys" },
	{ 0x38f1eb39, "put_cmsg" },
	{ 0xee499122, "__sk_flush_backlog" },
	{ 0xe9688af5, "trace_event_buffer_commit" },
	{ 0xa7e988c2, "crypto_destroy_tfm" },
	{ 0xb66746d9, "do_tcp_sendpages" },
	{ 0x92997ed8, "_printk" },
	{ 0x6205877a, "sk_psock_tls_strp_read" },
	{ 0xd25bc5d4, "csum_tcpudp_nofold" },
	{ 0xff82b8ed, "sk_msg_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6cbbfc54, "__arch_copy_to_user" },
	{ 0xc6ef6c51, "trace_event_ignore_this_pid" },
	{ 0x94b31ccf, "__alloc_skb" },
	{ 0xc62250e4, "rt_write_unlock" },
	{ 0xbb35f17f, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0x3d3849ae, "tcp_recv_skb" },
	{ 0xfb7f2053, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x2afb19ea, "perf_trace_run_bpf_submit" },
	{ 0x278f134f, "down_write" },
	{ 0x7f278c2e, "__traceiter_sk_data_ready" },
	{ 0x1d74cf1a, "crypto_req_done" },
	{ 0xc9a693cf, "up_write" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9e8c4128, "crypto_aead_encrypt" },
	{ 0x6b52c789, "sk_skb_reason_drop" },
	{ 0xbbbd1bf9, "bpf_trace_run5" },
	{ 0x5c82e42c, "sk_free" },
	{ 0x4e87bc41, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe6f73183, "mutex_lock" },
	{ 0x6e2bd74c, "__sk_mem_reclaim" },
	{ 0xfc4f5f61, "sk_stream_wait_memory" },
	{ 0xf00a075f, "nla_put" },
	{ 0xaf8e059a, "trace_event_reg" },
	{ 0xcf9d84d5, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4b6f6bc2, "sock_recv_errqueue" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5ffd9032, "__cpu_online_mask" },
	{ 0xb028f388, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb6f7493c, "sk_msg_return_zero" },
	{ 0x5f13acd4, "mutex_lock_interruptible" },
	{ 0xf00763b5, "skb_copy_datagram_iter" },
	{ 0xb520d430, "bpf_trace_run1" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xd8e6477e, "unregister_pernet_subsys" },
	{ 0x6053f4b4, "__cpu_possible_mask" },
	{ 0xdcb764ad, "memset" },
	{ 0xa16a6f0f, "sock_efree" },
	{ 0xc91b8f0f, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb4e77396, "clean_acked_data_disable" },
	{ 0xae1a44f5, "__init_waitqueue_head" },
	{ 0x4d65cbd5, "csum_ipv6_magic" },
	{ 0x83694b20, "rt_spin_unlock" },
	{ 0xdcd7afc1, "sk_msg_free_partial" },
	{ 0xd58b9dbf, "down_read" },
	{ 0xa5d2f6bd, "skb_trim" },
	{ 0x9c7df6ff, "mutex_trylock" },
	{ 0x89d32141, "rt_spin_lock" },
	{ 0x618d9b9d, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18290ea6, "tcp_register_ulp" },
	{ 0xb6fbb27b, "bpf_trace_run3" },
	{ 0xf2b33cb7, "memory_cgrp_subsys_on_dfl_key" },
	{ 0x77ef9c7f, "sk_psock_drop" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xaaf307f9, "skb_page_frag_refill" },
	{ 0x76d7e56b, "trace_event_buffer_reserve" },
	{ 0x520ccebb, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x209f801e, "sk_msg_free_nocharge" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x306bf02e, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe0cff386, "__folio_put" },
	{ 0x38132628, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x39d75d66, "seq_printf" },
	{ 0x56e45088, "proc_create_net_single" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8cc5c57d, "skb_clone" },
	{ 0x12a4e128, "__arch_copy_from_user" },
	{ 0x541b46ad, "dst_release" },
	{ 0xd2c99589, "rt_write_lock" },
	{ 0x160fe9ae, "_copy_from_iter" },
	{ 0x2f5db9ab, "skb_copy_header" },
	{ 0x216bfcad, "sk_msg_trim" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x6470faaa, "remove_wait_queue" },
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xd5617daf, "netdev_sk_get_lowest_dev" },
	{ 0xd7e8b043, "sk_msg_alloc" },
	{ 0x7514f29, "kmalloc_trace" },
	{ 0xf73ca464, "_copy_from_iter_nocache" },
	{ 0xccadd363, "tcp_rate_check_app_limited" },
	{ 0x5384bc46, "tcp_poll" },
	{ 0x89bdc257, "iov_iter_revert" },
	{ 0x60d0cd9b, "sk_msg_zerocopy_from_iter" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf0b80670, "skb_to_sgvec" },
	{ 0xf26a31bd, "up_read" },
	{ 0x35980d93, "__mutex_rt_init" },
	{ 0xe41ad350, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5fe2cb16, "kmalloc_caches" },
	{ 0x6ad40c96, "tcp_read_done" },
	{ 0x1740f5e0, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x68626c1b, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7056DAA37D02E0E08BCAB4D");
MODULE_INFO(rhelversion, "9.6");
